[Touch-packages] [Bug 1884255] Re: [AMD/ATI] SBx00 Azalia (Intel HDA) Audio Ubuntu 20.04 not working

2020-07-16 Thread Kai-Heng Feng
Sounds like a userspace issue. Have you tried any chromium based
browser?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1884255

Title:
  [AMD/ATI] SBx00 Azalia (Intel HDA) Audio Ubuntu 20.04 not working

Status in linux package in Ubuntu:
  Incomplete
Status in pulseaudio package in Ubuntu:
  New

Bug description:
  When you start playing some audio, the sound disappears.

  00:14.2 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 Azalia 
(Intel HDA)
Subsystem: ASUSTeK Computer Inc. M5A78L LE
Kernel driver in use: snd_hda_intel
Kernel modules: snd_hda_intel

  
  uname -a
  Linux Marcelo-STI-FX6300 5.4.0-37-generic #41-Ubuntu SMP Wed Jun 3 18:57:02 
UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

  alsa-info

  
  !!
  !!ALSA Information Script v 0.4.65
  !!

  !!Script ran on: Fri Jun 19 13:38:12 UTC 2020

  
  !!Linux Distribution
  !!--

  Ubuntu 20.04 LTS \n \l DISTRIB_ID=Ubuntu DISTRIB_DESCRIPTION="Ubuntu
  20.04 LTS" NAME="Ubuntu" ID=ubuntu ID_LIKE=debian PRETTY_NAME="Ubuntu
  20.04 LTS" HOME_URL="https://www.ubuntu.com/;
  SUPPORT_URL="https://help.ubuntu.com/;
  BUG_REPORT_URL="https://bugs.launchpad.net/ubuntu/;
  PRIVACY_POLICY_URL="https://www.ubuntu.com/legal/terms-and-policies
  /privacy-policy" UBUNTU_CODENAME=focal

  
  !!DMI Information
  !!---

  Manufacturer:  System manufacturer
  Product Name:  System Product Name
  Product Version:   System Version
  Firmware Version:  1201   
  Board Vendor:  ASUSTeK Computer INC.
  Board Name:M5A78L-M LX/BR

  
  !!ACPI Device Status Information
  !!---

  /sys/bus/acpi/devices/ATK0110:00/status15
  /sys/bus/acpi/devices/PNP0103:00/status15
  /sys/bus/acpi/devices/PNP0400:00/status15
  /sys/bus/acpi/devices/PNP0501:00/status15
  /sys/bus/acpi/devices/PNP0C0C:00/status11
  /sys/bus/acpi/devices/PNP0C0F:00/status9
  /sys/bus/acpi/devices/PNP0C0F:01/status9
  /sys/bus/acpi/devices/PNP0C0F:02/status9
  /sys/bus/acpi/devices/PNP0C0F:03/status9
  /sys/bus/acpi/devices/PNP0C0F:04/status9
  /sys/bus/acpi/devices/PNP0C0F:05/status9
  /sys/bus/acpi/devices/PNP0C0F:06/status9
  /sys/bus/acpi/devices/PNP0C0F:07/status9
  /sys/bus/acpi/devices/device:20/status 15
  /sys/bus/acpi/devices/device:21/status 15

  
  !!Kernel Information
  !!--

  Kernel release:5.4.0-37-generic
  Operating System:  GNU/Linux
  Architecture:  x86_64
  Processor: x86_64
  SMP Enabled:   Yes

  
  !!ALSA Version
  !!

  Driver version: k5.4.0-37-generic
  Library version:1.2.3
  Utilities version:  1.2.2

  
  !!Loaded ALSA modules
  !!---

  snd_hda_intel

  
  !!Sound Servers on this system
  !!

  Pulseaudio:
Installed - Yes (/usr/bin/pulseaudio)
Running - Yes

  
  !!Soundcards recognised by ALSA
  !!-

   0 [SB ]: HDA-Intel - HDA ATI SB
HDA ATI SB at 0xfe9f4000 irq 16

  
  !!PCI Soundcards installed in the system
  !!--

  00:14.2 Audio device [0403]: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 
Azalia (Intel HDA) [1002:4383]
Subsystem: ASUSTeK Computer Inc. M5A78L LE [1043:8445]

  
  !!Modprobe options (Sound related)
  !!

  snd_pcsp: index=-2
  snd_usb_audio: index=-2
  snd_atiixp_modem: index=-2
  snd_intel8x0m: index=-2
  snd_via82xx_modem: index=-2
  snd_atiixp_modem: index=-2
  snd_intel8x0m: index=-2
  snd_via82xx_modem: index=-2
  snd_usb_audio: index=-2
  snd_usb_caiaq: index=-2
  snd_usb_ua101: index=-2
  snd_usb_us122l: index=-2
  snd_usb_usx2y: index=-2
  snd_cmipci: mpu_port=0x330 fm_port=0x388
  snd_pcsp: index=-2
  snd_usb_audio: index=-2
  snd_hda_intel: model=auto
  snd_hda_intel: dmic detect=0

  
  !!Loaded sound module options
  !!---

  !!Module: snd_hda_intel
align_buffer_size : -1
bdl_pos_adj : 
-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
beep_mode : 
N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N
dmic_detect : Y
enable : Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y
enable_msi : -1
id : 
(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
index : 
-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
jackpoll_ms : 

[Touch-packages] [Bug 582585]

2020-07-16 Thread Alex Grönholm
This is what the attached script gives me now (Fedora 32, Glibc 2.31):

getaddrinfo host="None" hints.ai_flags=AI_ADDRCONFIG:
  ::1
  127.0.0.1
getaddrinfo host="localhost" hints.ai_flags=AI_ADDRCONFIG:
  ::1
  127.0.0.1
getaddrinfo host="127.0.0.1" hints.ai_flags=AI_ADDRCONFIG:
  127.0.0.1
getaddrinfo host="localhost4" hints.ai_flags=AI_ADDRCONFIG:
  127.0.0.1
getaddrinfo host="::1" hints.ai_flags=AI_ADDRCONFIG:
  ::1
getaddrinfo host="localhost6" hints.ai_flags=AI_ADDRCONFIG:
  ::1
getaddrinfo host="195.47.235.3" hints.ai_flags=AI_ADDRCONFIG:
  195.47.235.3
getaddrinfo host="2a02:38::1001" hints.ai_flags=AI_ADDRCONFIG:
  2a02:38::1001
getaddrinfo host="info.nix.cz" hints.ai_flags=AI_ADDRCONFIG:
  2a02:38::1001
  195.47.235.3
getaddrinfo host="www.google.com" hints.ai_flags=AI_ADDRCONFIG:
  2a00:1450:400f:809::2004
  172.217.21.132

So the output is fine now.
HOWEVER, if I query with family=AF_INET, I still get two results:
[(, , 6, '', ('127.0.0.1', 
0)),
 (, , 6, '', ('127.0.0.1', 
0))]

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to eglibc in Ubuntu.
https://bugs.launchpad.net/bugs/582585

Title:
  getaddrinfo() returns duplicate addresses under AI_ADDRCONFIG

Status in eglibc:
  Confirmed
Status in eglibc package in Ubuntu:
  Confirmed

Bug description:
  Presume I have a computer that has no global IPv6 addresses, but a few
  IPv4 addresses.

  Applications using getaddrinfo() with hints.ai_flags = AI_ADDRCONFIG
  set will properly omit IPv6 addresses, HOWEVER they will return
  duplicate IPv4 addresses.

  Demonstration code attached.

  Without IPv6 addresses:

  # show setup
  $ grep -w localhost /etc/hosts
  127.0.0.1 localhost
  ::1 localhost ip6-localhost ip6-loopback
  $ ip a s | grep inet
  inet 127.0.0.1/8 scope host lo
  inet6 ::1/128 scope host 
  inet 192.168.0.4/24 brd 192.168.0.255 scope global eth0
  inet6 fe80::226:::/64 scope link  # masked for privacy

  # compile test case
  $ gcc -Wall -Wextra -pedantic -O -o libcbug-demo libcbug-demo.c

  # run test case
  $ ./libcbug-demo localhost echo
  Address 1: 127.0.0.1
  Address 2: 127.0.0.1

  (127.0.0.1 should be listed only once, Solaris 10 for instance
  achieves that)

  Now configure a fake IPv6 address (don't do this on hosts with real
  IPv6 connectivity, it suffices to use your real IPv6 address) and re-
  run the application:

  $ ip a a 2001::2001 dev eth0 # set up IPv6
  $ ./libcbug-demo localhost echo
  Address 1: ::1
  Address 2: 127.0.0.1
  $ ip a d 2001::2001 dev eth0 # deconfigure bogus address

  (This is fine)

  Practical consequence: excessive connection retries by applications
  that possibly take a long time.

  This isn't Ubuntu specific.

  ProblemType: Bug
  DistroRelease: Ubuntu 10.04
  Package: libc6 2.11.1-0ubuntu7
  ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
  Uname: Linux 2.6.32-22-generic x86_64
  NonfreeKernelModules: fglrx
  Architecture: amd64
  Date: Wed May 19 01:13:51 2010
  ProcEnviron:
   PATH=(custom, no user)
   LANG=de_DE.UTF-8
   SHELL=/bin/bash
  SourcePackage: eglibc

To manage notifications about this bug go to:
https://bugs.launchpad.net/eglibc/+bug/582585/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887871] Re: Graphics bug

2020-07-16 Thread Daniel van Vugt
Ubuntu 14.04 reached end of standard support in April 2019:

  https://wiki.ubuntu.com/Releases

If you would like to continue with free support then please update to a
newer Ubuntu version and tell us if the problem still occurs.

If you would like to continue with Ubuntu 14.04 then there is a paid
support option detailed at https://www.ubuntu.com/esm


** Package changed: xorg (Ubuntu) => xorg-server (Ubuntu)

** Changed in: xorg-server (Ubuntu)
   Status: New => Won't Fix

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1887871

Title:
  Graphics bug

Status in xorg-server package in Ubuntu:
  Won't Fix

Bug description:
  Not sure about it's a bug, but I've been having problems with some
  programs, mostly games. It slows down.

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: xorg 1:7.7+1ubuntu8.1
  ProcVersionSignature: Ubuntu 3.13.0-170.220-generic 3.13.11-ckt39
  Uname: Linux 3.13.0-170-generic x86_64
  NonfreeKernelModules: wl
  .tmp.unity.support.test.0:
   
  ApportVersion: 2.14.1-0ubuntu3.29
  Architecture: amd64
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: compiz
  CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
  CompositorUnredirectFSW: true
  Date: Thu Jul 16 20:48:28 2020
  DistUpgraded: 2020-06-10 00:02:31,715 DEBUG enabling apt cron job
  DistroCodename: trusty
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, including running git bisection searches
  GraphicsCard:
   Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] 
(rev 12) (prog-if 00 [VGA controller])
 Subsystem: Dell Device [1028:0434]
  InstallationDate: Installed on 2011-08-18 (3255 days ago)
  InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
  Lsusb:
   Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
   Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
   Bus 001 Device 003: ID 0c45:641d Microdia 1.3 MPixel Integrated Webcam
   Bus 001 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
   Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
  MachineType: Dell Inc. Inspiron 1464
  ProcEnviron:
   LANGUAGE=en_US
   PATH=(custom, no user)
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-170-generic 
root=UUID=68c2f41b-3cd6-45e1-b3ad-8329a3b67db8 ro quiet splash vt.handoff=7
  SourcePackage: xorg
  UpgradeStatus: Upgraded to trusty on 2020-06-10 (36 days ago)
  dmi.bios.date: 03/29/2011
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: A13
  dmi.board.name: 0C6HFD
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A13
  dmi.chassis.type: 8
  dmi.chassis.vendor: Dell Inc.
  dmi.chassis.version: A13
  dmi.modalias: 
dmi:bvnDellInc.:bvrA13:bd03/29/2011:svnDellInc.:pnInspiron1464:pvrA13:rvnDellInc.:rn0C6HFD:rvrA13:cvnDellInc.:ct8:cvrA13:
  dmi.product.name: Inspiron 1464
  dmi.product.version: A13
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz 1:0.9.11.3+14.04.20160425-0ubuntu1
  version.ia32-libs: ia32-libs N/A
  version.libdrm2: libdrm2 2.4.67-1ubuntu0.14.04.2
  version.libgl1-mesa-dri: libgl1-mesa-dri 10.1.3-0ubuntu0.6
  version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
  version.libgl1-mesa-glx: libgl1-mesa-glx 10.1.3-0ubuntu0.6
  version.xserver-xorg-core: xserver-xorg-core 2:1.15.1-0ubuntu2.11
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.8.2-1ubuntu2
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.3.0-1ubuntu3.1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.910-0ubuntu1.7
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 
1:1.0.10-1ubuntu2
  xserver.bootTime: Thu Jul 16 19:48:13 2020
  xserver.configfile: default
  xserver.errors:
   
  xserver.logfile: /var/log/Xorg.0.log
  xserver.outputs:
   product id4156 
   vendor AUO
  xserver.version: 2:1.15.1-0ubuntu2.11

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/1887871/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887829] Re: graphic card not working

2020-07-16 Thread Daniel van Vugt
Please switch back to the Nvidia driver, reproduce the freeze again,
reboot and then immediately run:

  journalctl -b-1 > prevboot.txt

and attach the resulting text file here.


** Tags added: nvidia

** Package changed: xorg (Ubuntu) => nvidia-graphics-drivers-390
(Ubuntu)

** Changed in: nvidia-graphics-drivers-390 (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1887829

Title:
  graphic card not working

Status in nvidia-graphics-drivers-390 package in Ubuntu:
  Incomplete

Bug description:
  graphic card not working properly so I have to switch to custom
  graphic driver |If i use nvidia driver the system freezes  after few
  minutes

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.4.0-40.44-generic 5.4.44
  Uname: Linux 5.4.0-40-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.3
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Jul 16 22:06:22 2020
  DistUpgraded: Fresh install
  DistroCodename: focal
  DistroVariant: ubuntu
  DkmsStatus: nvidia, 390.138, 5.4.0-40-generic, x86_64: installed
  ExtraDebuggingInterest: Yes
  GraphicsCard:
   NVIDIA Corporation G98 [GeForce 8400 GS Rev. 2] [10de:06e4] (rev a1) 
(prog-if 00 [VGA controller])
 Subsystem: ASUSTeK Computer Inc. G98 [GeForce 8400 GS Rev. 2] [1043:8322]
  InstallationDate: Installed on 2020-07-15 (0 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-40-generic 
root=UUID=2f89e325-7cba-46e0-8714-d8d6cbab9ff2 ro quiet splash vt.handoff=7
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 11/19/2009
  dmi.bios.vendor: Intel Corp.
  dmi.bios.version: TCIBX10H.86A.0027.2009.1119.1517
  dmi.board.asset.tag: To be filled by O.E.M.
  dmi.board.name: DH55TC
  dmi.board.vendor: Intel Corporation
  dmi.board.version: AAE70932-206
  dmi.chassis.type: 3
  dmi.modalias: 
dmi:bvnIntelCorp.:bvrTCIBX10H.86A.0027.2009.1119.1517:bd11/19/2009:svn:pn:pvr:rvnIntelCorporation:rnDH55TC:rvrAAE70932-206:cvn:ct3:cvr:
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.101-2
  version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.8-0ubuntu1~20.04.1
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2.1
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-390/+bug/1887829/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887796] Re: Bluetooth headset cant set output as A2DP sink while using the mic as input device

2020-07-16 Thread Daniel van Vugt
*** This bug is a duplicate of bug 1838151 ***
https://bugs.launchpad.net/bugs/1838151

This is unfortunately not a bug, it's the Bluetooth standard... A2DP
(high quality output) does not support any input. So if you enable input
you will get forced back to HSP/HFP (which does sound terrible).

But there's a solution coming in the form of a different standard, which
we are tracking in bug 1838151.

** This bug has been marked a duplicate of bug 1838151
   Poor quality audio with modern Bluetooth headsets in HSP/HFP.  Missing wide 
band speech support.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bluez in Ubuntu.
https://bugs.launchpad.net/bugs/1887796

Title:
  Bluetooth headset cant set output as A2DP sink while using the mic as
  input device

Status in bluez package in Ubuntu:
  Incomplete

Bug description:
  I have the popular Sony WH-100XM3 headset.

  I can connect to the headset fine using bluetooth. I set the Output
  device in Sound Option, there are two configurations A2DP Sink (sounds
  great) and HSP/HFP (sounds terrible).

  If I set the input device to the headset, it silently switches the
  output configuration to HSP/HFP and so the audio sounds terrible.

  If I then switch the output configuation back to A2DP sink, the audio
  output sounds good again, but then the input device switches to
  something else.

  So the problem is that I cant use the headset as audio input while
  having the good-sounding output configuration.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/1887796/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885782] Re: package initramfs-tools 0.136ubuntu6.2 failed to install/upgrade: installed initramfs-tools package post-installation script subprocess returned error exit status 1

2020-07-16 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: initramfs-tools (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1885782

Title:
  package initramfs-tools 0.136ubuntu6.2 failed to install/upgrade:
  installed initramfs-tools package post-installation script subprocess
  returned error exit status 1

Status in initramfs-tools package in Ubuntu:
  Confirmed

Bug description:
  This error occurred during and upgrade of Ubuntu Server from 18.04LTS
  to 20.02LTS

  ProblemType: Package
  DistroRelease: Ubuntu 20.04
  Package: initramfs-tools 0.136ubuntu6.2
  ProcVersionSignature: Ubuntu 4.15.0-108.109-generic 4.15.18
  Uname: Linux 4.15.0-108-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.3
  Architecture: amd64
  CasperMD5CheckResult: skip
  Date: Tue Jun 30 21:46:27 2020
  ErrorMessage: installed initramfs-tools package post-installation script 
subprocess returned error exit status 1
  InstallationDate: Installed on 2014-12-28 (2011 days ago)
  InstallationMedia: Ubuntu-Server 14.04.1 LTS "Trusty Tahr" - Release amd64 
(20140722.3)
  PackageArchitecture: all
  Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu2
  PythonDetails: /usr/bin/python2.7, Python 2.7.18rc1, python-is-python2, 
2.7.17-4
  RelatedPackageVersions:
   dpkg 1.19.7ubuntu3
   apt  2.0.2ubuntu0.1
  SourcePackage: initramfs-tools
  Title: package initramfs-tools 0.136ubuntu6.2 failed to install/upgrade: 
installed initramfs-tools package post-installation script subprocess returned 
error exit status 1
  UpgradeStatus: Upgraded to focal on 2020-06-30 (0 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1885782/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887871] [NEW] Graphics bug

2020-07-16 Thread Federico Simondi
Public bug reported:

Not sure about it's a bug, but I've been having problems with some
programs, mostly games. It slows down.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: xorg 1:7.7+1ubuntu8.1
ProcVersionSignature: Ubuntu 3.13.0-170.220-generic 3.13.11-ckt39
Uname: Linux 3.13.0-170-generic x86_64
NonfreeKernelModules: wl
.tmp.unity.support.test.0:
 
ApportVersion: 2.14.1-0ubuntu3.29
Architecture: amd64
CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
Date: Thu Jul 16 20:48:28 2020
DistUpgraded: 2020-06-10 00:02:31,715 DEBUG enabling apt cron job
DistroCodename: trusty
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, including running git bisection searches
GraphicsCard:
 Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] 
(rev 12) (prog-if 00 [VGA controller])
   Subsystem: Dell Device [1028:0434]
InstallationDate: Installed on 2011-08-18 (3255 days ago)
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
Lsusb:
 Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
 Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 001 Device 003: ID 0c45:641d Microdia 1.3 MPixel Integrated Webcam
 Bus 001 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Dell Inc. Inspiron 1464
ProcEnviron:
 LANGUAGE=en_US
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-170-generic 
root=UUID=68c2f41b-3cd6-45e1-b3ad-8329a3b67db8 ro quiet splash vt.handoff=7
SourcePackage: xorg
UpgradeStatus: Upgraded to trusty on 2020-06-10 (36 days ago)
dmi.bios.date: 03/29/2011
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A13
dmi.board.name: 0C6HFD
dmi.board.vendor: Dell Inc.
dmi.board.version: A13
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: A13
dmi.modalias: 
dmi:bvnDellInc.:bvrA13:bd03/29/2011:svnDellInc.:pnInspiron1464:pvrA13:rvnDellInc.:rn0C6HFD:rvrA13:cvnDellInc.:ct8:cvrA13:
dmi.product.name: Inspiron 1464
dmi.product.version: A13
dmi.sys.vendor: Dell Inc.
version.compiz: compiz 1:0.9.11.3+14.04.20160425-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.67-1ubuntu0.14.04.2
version.libgl1-mesa-dri: libgl1-mesa-dri 10.1.3-0ubuntu0.6
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.1.3-0ubuntu0.6
version.xserver-xorg-core: xserver-xorg-core 2:1.15.1-0ubuntu2.11
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.8.2-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.3.0-1ubuntu3.1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.910-0ubuntu1.7
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.10-1ubuntu2
xserver.bootTime: Thu Jul 16 19:48:13 2020
xserver.configfile: default
xserver.errors:
 
xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id4156 
 vendor AUO
xserver.version: 2:1.15.1-0ubuntu2.11

** Affects: xorg (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug compiz-0.9 trusty ubuntu

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1887871

Title:
  Graphics bug

Status in xorg package in Ubuntu:
  New

Bug description:
  Not sure about it's a bug, but I've been having problems with some
  programs, mostly games. It slows down.

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: xorg 1:7.7+1ubuntu8.1
  ProcVersionSignature: Ubuntu 3.13.0-170.220-generic 3.13.11-ckt39
  Uname: Linux 3.13.0-170-generic x86_64
  NonfreeKernelModules: wl
  .tmp.unity.support.test.0:
   
  ApportVersion: 2.14.1-0ubuntu3.29
  Architecture: amd64
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: compiz
  CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
  CompositorUnredirectFSW: true
  Date: Thu Jul 16 20:48:28 2020
  DistUpgraded: 2020-06-10 00:02:31,715 DEBUG enabling apt cron job
  DistroCodename: trusty
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, including running git bisection searches
  GraphicsCard:
   Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] 
(rev 12) (prog-if 00 [VGA controller])
 Subsystem: Dell Device [1028:0434]
  InstallationDate: Installed on 2011-08-18 (3255 days ago)
  InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release amd64 (20100429)
  Lsusb:
   Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
   Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
   Bus 001 

[Touch-packages] [Bug 1869116] Re: smartctl-validate is borked in a recent release

2020-07-16 Thread Bug Watch Updater
** Changed in: lxd
   Status: Unknown => New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to util-linux in Ubuntu.
https://bugs.launchpad.net/bugs/1869116

Title:
  smartctl-validate is borked in a recent release

Status in lxd:
  New
Status in MAAS:
  Triaged
Status in MAAS 2.8 series:
  New
Status in util-linux package in Ubuntu:
  Confirmed

Bug description:
  Bug (maybe?) details first, diatribe second.

  Bug Summary: multi-hdd / raid with multiple drives / multiple devices
  or something along those lines cannot be commissioned anymore: 2.4.x
  worked fine, 2.7.0 does not.

  Here is the script output of smartctl-validate:

  -
  # /dev/sda (Model: PERC 6/i, Serial: 6842b2b0740e9900260e66c9220df4ac)

  Unable to run 'smartctl-validate': Storage device 'PERC 6/i' with serial 
'6842b2b0740e9900260e66c9220df4ac' not found!
  This indicates the storage device has been removed or the OS is unable to 
find it due to a hardware failure. Please re-commission this node to 
re-discover the storage devices, or delete this device manually.
  Given parameters:
  {'storage': {'argument_format': '{path
  }', 'type': 'storage', 'value': {'id_path': 
'/dev/disk/by-id/wwn-0x6842b2b0740e9900260e66c9220df4ac', 'model': 'PERC 6/i', 
'name': 'sda', 'physical_blockdevice_id': 33, 'serial': 
'6842b2b0740e9900260e66c9220df4ac'
  }
  }
  }
  Discovered storage devices: [
  {'NAME': 'sda', 'MODEL': 'PERC_6/i', 'SERIAL': 
'6842b2b0740e9900260e66c9220df4ac'
  },
  {'NAME': 'sdb', 'MODEL': 'PERC_6/i', 'SERIAL': 
'6842b2b0740e9900260e66f924ecece0'
  },
  {'NAME': 'sr0', 'MODEL': 'TEAC_DVD-ROM_DV-28SW', 'SERIAL': 
'10092013112645'
  }
  ]
  Discovered interfaces: {'xx: xx: xx: xx: xx: xx': 'eno1'
  }
  -
  -
  # /dev/sdb (Model: PERC 6/i, Serial: 6842b2b0740e9900260e66f924ecece0)
  Unable to run 'smartctl-validate': Storage device 'PERC 6/i' with serial 
'6842b2b0740e9900260e66f924ecece0' not found!
  This indicates the storage device has been removed or the OS is unable to 
find it due to a hardware failure. Please re-commission this node to 
re-discover the storage devices, or delete this device manually.
  Given parameters: {'storage': {'argument_format': '{path
  }', 'type': 'storage', 'value': {'id_path': 
'/dev/disk/by-id/wwn-0x6842b2b0740e9900260e66f924ecece0', 'model': 'PERC 6/i', 
'name': 'sdb', 'physical_blockdevice_id': 34, 'serial': 
'6842b2b0740e9900260e66f924ecece0'
  }
  }
  }
  Discovered storage devices: [
  {'NAME': 'sda', 'MODEL': 'PERC_6/i', 'SERIAL': 
'6842b2b0740e9900260e66c9220df4ac'
  },
  {'NAME': 'sdb', 'MODEL': 'PERC_6/i', 'SERIAL': 
'6842b2b0740e9900260e66f924ecece0'
  },
  {'NAME': 'sr0', 'MODEL': 'TEAC_DVD-ROM_DV-28SW', 'SERIAL': 
'10092013112645'
  }
  ]
  Discovered interfaces: {'xx: xx: xx: xx: xx: xx': 'eno1'
  }
  -

  You can see that it says the storage cannot be found and immediately
  lists it as a discovered device. It does it for both tests (one for
  each drive), and for both servers

  Bug Details:
  I had maas 2.4.x for the longest time over my journey (see below journey) and 
have never had any problems re-commissioning (or deleting and re-discovering 
over boot PXE) 2 of my servers (r610, r710).

  r610 has an iPERC 6, four 10K X00GB drives configured in a RAID10, 1 virtual 
disk.
  r710 has an iPERC 6, 6x 2TB drives, configured in a RAID10, 2 virtual disks

  So commission after commission trying to get through my journey, 0
  problems. After I finally get everything figured out on the juju,
  network/vlan, quad-nic end, I go to re-commission and I cannot.
  smartctl-validate fails on both, over and over again. I even destroyed
  and re-created the raid/VDs, still not.

  After spending so much time on it I remembered that it was the first
  time I had tried to re-commission these two servers since doing an
  upgrade from 2.4.x->2.7 in an effort to use the updated KVM
  integration to add a couple more guests. Once I got all everything
  figured out I went to re-commission everything and boom.

  [Upgrade path notes]
  In full disclosure, in case this matters. I was on apt install of 2.4.x and 
using snap for 2.7, except it didn't work. So I read on how to do apt 2.7 and 
did that and did not uninstall snap 2.7 yet. I wanted to migrate from apt to 
snap but do not know how to without losing all maas data and could not find 
docs on it, so a problem for another day. But in case that is part of the 
problem for some odd reason, I wanted to share.

  
  [Diatribe]
  My journey to get maas+juju+openstack+kubernets has been less then stellar. I 
have ran into problem after problem; albeit some of which were my own. I am so 
close, after spending the last 6 months on/off when I had time, and really 
hardcore the last 4 days. The last half day of which has been this little gem. 
Maas has been pretty fun to work 

[Touch-packages] [Bug 1790205] Re: systemd journals take up a lot of space, and it's not obvious how much is used, and what the upper limit is.

2020-07-16 Thread Coeur Noir
For reference, another example : https://discourse.ubuntubudgie.org/t
/journalctl-takes-much-storage-has-no-config/3927

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1790205

Title:
  systemd journals take up a lot of space, and it's not obvious how much
  is used, and what the upper limit is.

Status in systemd:
  New
Status in systemd package in Ubuntu:
  Confirmed

Bug description:
  After running Bionic for 3 months, I had 2.6 GB of journals.

  I would not expect from a normal desktop user that they should have to
  run commands like `sudo journalctl --vacuum-time=10d`.

  I would nominate this command as a sane default to have running at
  each reboot to ensure that logs do not exceed 500 MB:

  sudo journalctl --vacuum-size=500M

  Supposedly, a server should by default retain more logs, so perhaps
  this should be implemented through a configuration package "systemd-
  configuration-desktop" as a dependency of the ubuntu-desktop meta
  package?

  
  . as it turns out, it's hard to see how much disk space is used, and what 
the upper limit is, even when it is set and respected by default.

To manage notifications about this bug go to:
https://bugs.launchpad.net/systemd/+bug/1790205/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1869116] Re: smartctl-validate is borked in a recent release

2020-07-16 Thread Lee Trager
** Bug watch added: LXD bug tracker #7665
   https://github.com/lxc/lxd/issues/7665

** Changed in: lxd
   Status: Fix Released => Unknown

** Changed in: lxd
 Remote watch: LXD bug tracker #7096 => LXD bug tracker #7665

** Changed in: maas
   Importance: Undecided => High

** Changed in: maas/2.8
   Importance: Undecided => High

** Changed in: maas
   Importance: High => Critical

** Changed in: maas/2.8
   Importance: High => Critical

** Changed in: maas
Milestone: None => 2.9.0b1

** Changed in: maas
 Assignee: (unassigned) => Lee Trager (ltrager)

** Changed in: maas/2.8
 Assignee: (unassigned) => Lee Trager (ltrager)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to util-linux in Ubuntu.
https://bugs.launchpad.net/bugs/1869116

Title:
  smartctl-validate is borked in a recent release

Status in lxd:
  Unknown
Status in MAAS:
  Triaged
Status in MAAS 2.8 series:
  New
Status in util-linux package in Ubuntu:
  Confirmed

Bug description:
  Bug (maybe?) details first, diatribe second.

  Bug Summary: multi-hdd / raid with multiple drives / multiple devices
  or something along those lines cannot be commissioned anymore: 2.4.x
  worked fine, 2.7.0 does not.

  Here is the script output of smartctl-validate:

  -
  # /dev/sda (Model: PERC 6/i, Serial: 6842b2b0740e9900260e66c9220df4ac)

  Unable to run 'smartctl-validate': Storage device 'PERC 6/i' with serial 
'6842b2b0740e9900260e66c9220df4ac' not found!
  This indicates the storage device has been removed or the OS is unable to 
find it due to a hardware failure. Please re-commission this node to 
re-discover the storage devices, or delete this device manually.
  Given parameters:
  {'storage': {'argument_format': '{path
  }', 'type': 'storage', 'value': {'id_path': 
'/dev/disk/by-id/wwn-0x6842b2b0740e9900260e66c9220df4ac', 'model': 'PERC 6/i', 
'name': 'sda', 'physical_blockdevice_id': 33, 'serial': 
'6842b2b0740e9900260e66c9220df4ac'
  }
  }
  }
  Discovered storage devices: [
  {'NAME': 'sda', 'MODEL': 'PERC_6/i', 'SERIAL': 
'6842b2b0740e9900260e66c9220df4ac'
  },
  {'NAME': 'sdb', 'MODEL': 'PERC_6/i', 'SERIAL': 
'6842b2b0740e9900260e66f924ecece0'
  },
  {'NAME': 'sr0', 'MODEL': 'TEAC_DVD-ROM_DV-28SW', 'SERIAL': 
'10092013112645'
  }
  ]
  Discovered interfaces: {'xx: xx: xx: xx: xx: xx': 'eno1'
  }
  -
  -
  # /dev/sdb (Model: PERC 6/i, Serial: 6842b2b0740e9900260e66f924ecece0)
  Unable to run 'smartctl-validate': Storage device 'PERC 6/i' with serial 
'6842b2b0740e9900260e66f924ecece0' not found!
  This indicates the storage device has been removed or the OS is unable to 
find it due to a hardware failure. Please re-commission this node to 
re-discover the storage devices, or delete this device manually.
  Given parameters: {'storage': {'argument_format': '{path
  }', 'type': 'storage', 'value': {'id_path': 
'/dev/disk/by-id/wwn-0x6842b2b0740e9900260e66f924ecece0', 'model': 'PERC 6/i', 
'name': 'sdb', 'physical_blockdevice_id': 34, 'serial': 
'6842b2b0740e9900260e66f924ecece0'
  }
  }
  }
  Discovered storage devices: [
  {'NAME': 'sda', 'MODEL': 'PERC_6/i', 'SERIAL': 
'6842b2b0740e9900260e66c9220df4ac'
  },
  {'NAME': 'sdb', 'MODEL': 'PERC_6/i', 'SERIAL': 
'6842b2b0740e9900260e66f924ecece0'
  },
  {'NAME': 'sr0', 'MODEL': 'TEAC_DVD-ROM_DV-28SW', 'SERIAL': 
'10092013112645'
  }
  ]
  Discovered interfaces: {'xx: xx: xx: xx: xx: xx': 'eno1'
  }
  -

  You can see that it says the storage cannot be found and immediately
  lists it as a discovered device. It does it for both tests (one for
  each drive), and for both servers

  Bug Details:
  I had maas 2.4.x for the longest time over my journey (see below journey) and 
have never had any problems re-commissioning (or deleting and re-discovering 
over boot PXE) 2 of my servers (r610, r710).

  r610 has an iPERC 6, four 10K X00GB drives configured in a RAID10, 1 virtual 
disk.
  r710 has an iPERC 6, 6x 2TB drives, configured in a RAID10, 2 virtual disks

  So commission after commission trying to get through my journey, 0
  problems. After I finally get everything figured out on the juju,
  network/vlan, quad-nic end, I go to re-commission and I cannot.
  smartctl-validate fails on both, over and over again. I even destroyed
  and re-created the raid/VDs, still not.

  After spending so much time on it I remembered that it was the first
  time I had tried to re-commission these two servers since doing an
  upgrade from 2.4.x->2.7 in an effort to use the updated KVM
  integration to add a couple more guests. Once I got all everything
  figured out I went to re-commission everything and boom.

  [Upgrade path notes]
  In full disclosure, in case this matters. I was on apt install of 2.4.x and 
using snap for 2.7, except it didn't work. So I read on how to do apt 2.7 and 
did that and did not uninstall snap 2.7 

[Touch-packages] [Bug 1870260] Re: initramfs unpacking failed: Decoding failed", message appears on boot up.

2020-07-16 Thread Gaurish Korpal
*** This bug is a duplicate of bug 1835660 ***
https://bugs.launchpad.net/bugs/1835660

** This bug has been marked a duplicate of bug 1835660
   initramfs unpacking failed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-meta in Ubuntu.
https://bugs.launchpad.net/bugs/1870260

Title:
  initramfs unpacking failed: Decoding failed", message appears on boot
  up.

Status in linux package in Ubuntu:
  Confirmed
Status in ubuntu-meta package in Ubuntu:
  Confirmed

Bug description:
  OS : Ubuntu 20.04(20200401)

  Problem: "initramfs unpacking failed: Decoding failed", message
  appears on boot up

  solution: 
If we edit /etc/initramfs-tools/initramfs.conf and COMPRESS=lz4, to 
COMPRESS=gzip 
  then the error is fixing .

  Expected solution:
  This but in there from a long time I have seen this from 
Ubuntu 18.04,19.04,19.10
  now in 20.04 So please fix it or change it from lz4 to gzip.
  an early reply is highly appreciated 
  Thank you .
  --- 
  ProblemType: Bug
  ApportVersion: 2.20.11-0ubuntu21
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  tamal  1451 F pulseaudio
  CurrentDesktop: ubuntu:GNOME
  DistroRelease: Ubuntu 20.04
  InstallationDate: Installed on 2020-04-02 (0 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Beta amd64 (20200331)
  Lsusb:
   Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
   Bus 001 Device 004: ID 0bda:b009 Realtek Semiconductor Corp. 802.11n WLAN 
Adapter
   Bus 001 Device 003: ID 0408:5365 Quanta Computer, Inc. HP TrueVision HD 
Camera
   Bus 001 Device 002: ID 046d:c52b Logitech, Inc. Unifying Receiver
   Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
  MachineType: HP HP Laptop 15-da0xxx
  Package: ubuntu-meta
  ProcEnviron:
   LANGUAGE=en_IN:en
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_IN
   SHELL=/bin/bash
  ProcFB: 0 i915drmfb
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-21-generic 
root=UUID=29f895bf-ab7b-4df8-8e9a-c277376a2685 ro quiet splash vt.handoff=7
  ProcVersionSignature: Ubuntu 5.4.0-21.25-generic 5.4.27
  RelatedPackageVersions:
   linux-restricted-modules-5.4.0-21-generic N/A
   linux-backports-modules-5.4.0-21-generic  N/A
   linux-firmware1.187
  Tags:  focal
  Uname: Linux 5.4.0-21-generic x86_64
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin lxd plugdev sambashare sudo
  _MarkForUpload: True
  dmi.bios.date: 11/29/2019
  dmi.bios.vendor: Insyde
  dmi.bios.version: F.23
  dmi.board.asset.tag: Type2 - Board Asset Tag
  dmi.board.name: 84A6
  dmi.board.vendor: HP
  dmi.board.version: 80.43
  dmi.chassis.asset.tag: Chassis Asset Tag
  dmi.chassis.type: 10
  dmi.chassis.vendor: HP
  dmi.chassis.version: Chassis Version
  dmi.modalias: 
dmi:bvnInsyde:bvrF.23:bd11/29/2019:svnHP:pnHPLaptop15-da0xxx:pvrType1ProductConfigId:rvnHP:rn84A6:rvr80.43:cvnHP:ct10:cvrChassisVersion:
  dmi.product.family: 103C_5335KV HP Notebook
  dmi.product.name: HP Laptop 15-da0xxx
  dmi.product.sku: 5AY34PA#ACJ
  dmi.product.version: Type1ProductConfigId
  dmi.sys.vendor: HP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1870260/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1857036] Re: `sudo --login --user USERNAME` throws `setrlimit(RLIMIT_CORE): Operation not permitted` error when run inside a container.

2020-07-16 Thread Bryce Harrington
** Changed in: sudo (Ubuntu Focal)
   Status: In Progress => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to sudo in Ubuntu.
https://bugs.launchpad.net/bugs/1857036

Title:
  `sudo --login --user USERNAME` throws `setrlimit(RLIMIT_CORE):
  Operation not permitted` error when run inside a container.

Status in sudo package in Ubuntu:
  Fix Released
Status in sudo source package in Focal:
  Fix Committed
Status in sudo source package in Groovy:
  Fix Released

Bug description:
  [Impact]
  Logging in as a sudo user in a Ubuntu Focal Linux container displays a
  warning:

    sudo: setrlimit(RLIMIT_CORE): Operation not permitted

  The warning is entirely unnecessary - the container is trying to adjust
  RLIMIT_CORE, but this isn't allowed inside a container anyway.

  While this is "just" a warning, logging into a container as sudo is a
  very common practice, so this warning risks creating confusion for LTS
  users.

  [Test Case]
  $ lxc launch ubuntu:20.04/amd64 sudo-sru-lp1857036-test
  $ lxc shell sudo-sru-lp1857036-test

  # sudo --login --user ubuntu
  sudo: setrlimit(RLIMIT_CORE): Operation not permitted
  To run a command as administrator (user "root"), use "sudo ".
  See "man sudo_root" for details.
  $ logout

  Install the PPA
  # apt-add-repository -yus ppa:bryce/sudo-sru-lp1857036-setrlimit-in-lxc
  # apt-get install sudo

  # sudo --login --user ubuntu
  $

  [Regression Potential]
  As this only affects printing of a couple warnings, the only behavioral
  change is in stderr output.

  [Discussion]
  This changes a couple warnings into equivalent debug printfs, which
  brings the sudo behavior in-line with the behavior in groovy, bionic,
  etc. and should cause no troubles.

  This patch originates from upstream, and is already in groovy's sudo
  package (which thus can be seen not to exhibit the issue).

  The upstream patch includes some new debug prints which should be
  harmless but are unnecessary to the fix so they've been removed.

  [Original Report]
  When using `sudo --login --user USERNAME` with Ubuntu Focal currently, it 
will correctly operate but it will also throw the following error before 
continuing with the logon process (which completes successfully except for the 
stated error):

  sudo: setrlimit(RLIMIT_CORE): Operation not permitted

  A full run of this was tested in a Focal LXD container after dropping
  to a root shell to reproduce (arstotzka is the host system, focal-test
  is the test container):

  teward@arstotzka:~$ lxc shell focal-test
  root@focal-test:~# sudo --login --user ubuntu
  sudo: setrlimit(RLIMIT_CORE): Operation not permitted
  To run a command as administrator (user "root"), use "sudo ".
  See "man sudo_root" for details.

  ubuntu@focal-test:~$

  This appears to be similar to this issue identified on RedHat's
  tracker: https://bugzilla.redhat.com/show_bug.cgi?id=1773148

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: sudo 1.8.29-1ubuntu1
  ProcVersionSignature: Ubuntu 4.15.0-72.81-generic 4.15.18
  Uname: Linux 4.15.0-72-generic x86_64
  ApportVersion: 2.20.11-0ubuntu14
  Architecture: amd64
  Date: Thu Dec 19 17:16:31 2019
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   LANG=C.UTF-8
   SHELL=/bin/bash
  SourcePackage: sudo
  UpgradeStatus: No upgrade log present (probably fresh install)
  VisudoCheck:
   /etc/sudoers: parsed OK
   /etc/sudoers.d/90-cloud-init-users: parsed OK
   /etc/sudoers.d/README: parsed OK

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/sudo/+bug/1857036/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1877536] Re: BlueZ 5.54 release

2020-07-16 Thread Sebastien Bacher
** Changed in: bluez (Ubuntu)
   Status: In Progress => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bluez in Ubuntu.
https://bugs.launchpad.net/bugs/1877536

Title:
  BlueZ 5.54 release

Status in bluez package in Ubuntu:
  Fix Committed

Bug description:
  Release BlueZ 5.54 to groovy

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/1877536/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887478] Re: missing symlinks for login and logout files used by gnome

2020-07-16 Thread Yousuf 'Jay' Philips
As mentioned in the bug description, I've filed a MR upstream to fix the
issue and this is a downstream bug for tracking. To test the issue,
install the freedesktop sound theme and enable it as the default sound
theme, and install the gnome-session-canberra to get the startup and
shutdown execution. I'm running xubuntu 20.04.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to sound-theme-freedesktop in
Ubuntu.
https://bugs.launchpad.net/bugs/1887478

Title:
  missing symlinks for login and logout files used by gnome

Status in sound-theme-freedesktop package in Ubuntu:
  Incomplete

Bug description:
  Merge request submitted upstream in Debian to fix the issue.
  https://salsa.debian.org/gnome-team/sound-theme-freedesktop/-/merge_requests/1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/sound-theme-freedesktop/+bug/1887478/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887829] Re: graphic card not working

2020-07-16 Thread Ubuntu Foundations Team Bug Bot
** Package changed: ubuntu => xorg (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1887829

Title:
  graphic card not working

Status in xorg package in Ubuntu:
  New

Bug description:
  graphic card not working properly so I have to switch to custom
  graphic driver |If i use nvidia driver the system freezes  after few
  minutes

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: xorg 1:7.7+19ubuntu14
  ProcVersionSignature: Ubuntu 5.4.0-40.44-generic 5.4.44
  Uname: Linux 5.4.0-40-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.3
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CasperMD5CheckResult: skip
  CompositorRunning: None
  CurrentDesktop: ubuntu:GNOME
  Date: Thu Jul 16 22:06:22 2020
  DistUpgraded: Fresh install
  DistroCodename: focal
  DistroVariant: ubuntu
  DkmsStatus: nvidia, 390.138, 5.4.0-40-generic, x86_64: installed
  ExtraDebuggingInterest: Yes
  GraphicsCard:
   NVIDIA Corporation G98 [GeForce 8400 GS Rev. 2] [10de:06e4] (rev a1) 
(prog-if 00 [VGA controller])
 Subsystem: ASUSTeK Computer Inc. G98 [GeForce 8400 GS Rev. 2] [1043:8322]
  InstallationDate: Installed on 2020-07-15 (0 days ago)
  InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-40-generic 
root=UUID=2f89e325-7cba-46e0-8714-d8d6cbab9ff2 ro quiet splash vt.handoff=7
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 11/19/2009
  dmi.bios.vendor: Intel Corp.
  dmi.bios.version: TCIBX10H.86A.0027.2009.1119.1517
  dmi.board.asset.tag: To be filled by O.E.M.
  dmi.board.name: DH55TC
  dmi.board.vendor: Intel Corporation
  dmi.board.version: AAE70932-206
  dmi.chassis.type: 3
  dmi.modalias: 
dmi:bvnIntelCorp.:bvrTCIBX10H.86A.0027.2009.1119.1517:bd11/19/2009:svn:pn:pvr:rvnIntelCorporation:rnDH55TC:rvrAAE70932-206:cvn:ct3:cvr:
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.101-2
  version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.8-0ubuntu1~20.04.1
  version.libgl1-mesa-glx: libgl1-mesa-glx N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2.1
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1887829/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887829] [NEW] graphic card not working

2020-07-16 Thread Launchpad Bug Tracker
You have been subscribed to a public bug:

graphic card not working properly so I have to switch to custom graphic
driver |If i use nvidia driver the system freezes  after few minutes

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: xorg 1:7.7+19ubuntu14
ProcVersionSignature: Ubuntu 5.4.0-40.44-generic 5.4.44
Uname: Linux 5.4.0-40-generic x86_64
ApportVersion: 2.20.11-0ubuntu27.3
Architecture: amd64
BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
CasperMD5CheckResult: skip
CompositorRunning: None
CurrentDesktop: ubuntu:GNOME
Date: Thu Jul 16 22:06:22 2020
DistUpgraded: Fresh install
DistroCodename: focal
DistroVariant: ubuntu
DkmsStatus: nvidia, 390.138, 5.4.0-40-generic, x86_64: installed
ExtraDebuggingInterest: Yes
GraphicsCard:
 NVIDIA Corporation G98 [GeForce 8400 GS Rev. 2] [10de:06e4] (rev a1) (prog-if 
00 [VGA controller])
   Subsystem: ASUSTeK Computer Inc. G98 [GeForce 8400 GS Rev. 2] [1043:8322]
InstallationDate: Installed on 2020-07-15 (0 days ago)
InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-40-generic 
root=UUID=2f89e325-7cba-46e0-8714-d8d6cbab9ff2 ro quiet splash vt.handoff=7
SourcePackage: xorg
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 11/19/2009
dmi.bios.vendor: Intel Corp.
dmi.bios.version: TCIBX10H.86A.0027.2009.1119.1517
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: DH55TC
dmi.board.vendor: Intel Corporation
dmi.board.version: AAE70932-206
dmi.chassis.type: 3
dmi.modalias: 
dmi:bvnIntelCorp.:bvrTCIBX10H.86A.0027.2009.1119.1517:bd11/19/2009:svn:pn:pvr:rvnIntelCorporation:rnDH55TC:rvrAAE70932-206:cvn:ct3:cvr:
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.101-2
version.libgl1-mesa-dri: libgl1-mesa-dri 20.0.8-0ubuntu1~20.04.1
version.libgl1-mesa-glx: libgl1-mesa-glx N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.20.8-2ubuntu2.1
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev N/A
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:19.1.0-1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20200226-1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.16-1

** Affects: xorg (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug focal ubuntu
-- 
graphic card not working
https://bugs.launchpad.net/bugs/1887829
You received this bug notification because you are a member of Ubuntu Touch 
seeded packages, which is subscribed to xorg in Ubuntu.

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887821] Re: gnome-shell GUI freezes totally

2020-07-16 Thread Sami Kuisma
** Package changed: pulseaudio (Ubuntu) => gnome-shell (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1887821

Title:
  gnome-shell GUI freezes totally

Status in gnome-shell package in Ubuntu:
  New

Bug description:
  I'm using basic Ubuntu 20.04 and GUI (gnome?) freezes totally. 
  - I was running Firefox 78.0.2 and watching Youtube. The video and sound 
stopped.
  - Keyboard was unresponsive, can't get into console, and for example pressing 
caps lock/num lock didn't toggle keyboard leds.
  - mouse didn't move.
  - The whole computer and OS didn't crash I suppose. I could ping the computer 
from another computer. and there were entries in /var/log/syslog after the GUI 
freeze.

  What ever happened I can find some indicating in /var/log/syslog:

  Crash happened 14:21 local time which pinpoints the bug into these
  entries:

  
  Jul 16 14:21:24 Aorus-Ultra-Ryzen gnome-shell[897367]: [Child 897367, 
ImageBridgeChld] WARNING: failed to open shm: Too many open files: file 
/build/firefox-k3d8Rk/firefox-78.0.2+build2/ipc/chromium/src/base/shared_memory_posix.cc,
 line 246
  Jul 16 14:21:24 Aorus-Ultra-Ryzen gnome-shell[897367]: [Child 897367, 
MediaDecoderStateMachine #1] WARNING: Decoder=7f08246e5000 Decode error: 
NS_ERROR_OUT_OF_MEMORY (0x8007000e) - mozilla::MediaResult 
mozilla::FFmpegVideoDecoder<46465650>::CreateImage(int64_t, int64_t, int64_t, 
MediaDataDecoder::DecodedData &): image allocation error: file 
/build/firefox-k3d8Rk/firefox-78.0.2+build2/dom/media/MediaDecoderStateMachine.cpp,
 line 3470
  Jul 16 14:21:25 Aorus-Ultra-Ryzen gnome-shell[897367]: message repeated 2 
times: [ [Child 897367, MediaDecoderStateMachine #1] WARNING: 
Decoder=7f08246e5000 Decode error: NS_ERROR_OUT_OF_MEMORY (0x8007000e) - 
mozilla::MediaResult 
mozilla::FFmpegVideoDecoder<46465650>::CreateImage(int64_t, int64_t, int64_t, 
MediaDataDecoder::DecodedData &): image allocation error: file 
/build/firefox-k3d8Rk/firefox-78.0.2+build2/dom/media/MediaDecoderStateMachine.cpp,
 line 3470]

  
  after that anything GUI, keyboard or mouse related was totally unresponsive. 

  there were other entries in syslog after that, and ping worked into
  this frozen machine. So the whole OS didn't crash. Only GUI related.

  I hope this helps.


  
  lsb_release -rd
  Description:  Ubuntu 20.04 LTS
  Release:  20.04

  
  apt-cache policy firefox
  firefox:
Installed: 78.0.2+build2-0ubuntu0.20.04.1
Candidate: 78.0.2+build2-0ubuntu0.20.04.1
Version table:
   *** 78.0.2+build2-0ubuntu0.20.04.1 500
  500 http://fi.archive.ubuntu.com/ubuntu focal-updates/main amd64 
Packages
  500 http://security.ubuntu.com/ubuntu focal-security/main amd64 
Packages
  100 /var/lib/dpkg/status
   75.0+build3-0ubuntu1 500
  500 http://fi.archive.ubuntu.com/ubuntu focal/main amd64 Packages

  
  I'm sure this is a bug. The same effect has happened 3 times in 30 days. I 
didn't check the previous syslog which error message there was.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gnome-shell/+bug/1887821/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887744] Re: systemd dumps core on starting service: Assertion 'u->instance' failed at src/core/load-fragment.c:4798

2020-07-16 Thread Dan Streetman
> To replicate

I can't reproduce it with those steps, but maybe it's because i dont
have the same content under /opt/... that you do; can you provide
simpler repro steps that doesn't require anything installed under
/opt/... ?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1887744

Title:
  systemd dumps core on starting service: Assertion 'u->instance' failed
  at src/core/load-fragment.c:4798

Status in systemd package in Ubuntu:
  New

Bug description:
  On an Ubuntu 20.04 server, when I started a newly installed systemd
  service 'systemctl start testemail2jira.service', systemd trips on an
  assertion (from journalctl):

  Jul 16 13:49:12 pangolin-jiraconf systemd[1]: Assertion 'u->instance' failed 
at src/core/load-fragment.c:4798, function unit_load_fragment(). Aborting.
  Jul 16 13:49:13 pangolin-jiraconf systemd[1]: Caught , dumped core as 
pid 2906637.
  Jul 16 13:49:13 pangolin-jiraconf systemd[1]: Freezing execution.

  apport generates a core dump which I trust is attached.

  The server still works, but my terminal keeps showing:

  Failed to get properties: Failed to activate service
  'org.freedesktop.systemd1': timed out (service_start_timeout=25000ms)

  and pauses for 25s after each command.

  In case it's relevant, the  i was trying to start had just
  been symlinked into /etc/systemd/system/:

  root@pangolin-jiraconf # ls -la /etc/systemd/system/testemail2jira.service
  lrwxrwxrwx 1 root root 82 Jul 16 13:48 
/etc/systemd/system/testemail2jira.service -> 
/opt/atlassian/jira/current/emailprocessing/testemail2jira/testemail2jira@.service

  File contents:

  [Unit]
  Description=Check that email to %i JIRA works

  [Service]
  #Type=oneshot
  # Note: I keep the config file, testemail2jira.json5 and rsa.* files in 
emailprocessing/, one directory below testemail2jira/, so that they can be 
version-controlled independently.
  # If you want testemail2jira.json5 and rsa.* within testemail2jira/, then add 
testemail2jira/ to WorkingDirectory and remove it from the ExecStart command
  WorkingDirectory=/opt/atlassian/%i/current/emailprocessing
  
ExecStart=/opt/atlassian/%i/current/emailprocessing/testemail2jira/venv/bin/python
 testemail2jira/testemail2jira.py
  User=root

  [Install] 
  WantedBy=multi-user.target

  
  Perhaps the problem is that my service file is a template 
(testemail2jira@.service), but I symlinked it as a regular 
'testemail2jira.service'.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: systemd 245.4-4ubuntu3.1
  ProcVersionSignature: Ubuntu 5.4.0-39.43-generic 5.4.41
  Uname: Linux 5.4.0-39-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
  ApportVersion: 2.20.11-0ubuntu27.3
  Architecture: amd64
  CasperMD5CheckResult: skip
  Date: Thu Jul 16 14:13:06 2020
  InstallationDate: Installed on 2020-05-27 (49 days ago)
  InstallationMedia: Ubuntu-Server 20.04 LTS "Focal Fossa" - Release amd64 
(20200423)
  Lsusb: Error: command ['lsusb'] failed with exit code 1:
  Lsusb-t:
   
  Lsusb-v: Error: command ['lsusb', '-v'] failed with exit code 1:
  MachineType: QEMU Standard PC (Q35 + ICH9, 2009)
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-39-generic root=/dev/sda ro 
console=ttyS0,19200n8 net.ifnames=0
  SourcePackage: systemd
  SystemdFailedUnits: Error: command ['systemctl', 'status', '--full', 
'Error:'] failed with exit code 1: Failed to get properties: Failed to activate 
service 'org.freedesktop.systemd1': timed out (service_start_timeout=25000ms)
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 04/01/2014
  dmi.bios.vendor: SeaBIOS
  dmi.bios.version: rel-1.12.0-0-ga698c8995f-prebuilt.qemu.org
  dmi.chassis.type: 1
  dmi.chassis.vendor: QEMU
  dmi.chassis.version: pc-q35-3.1
  dmi.modalias: 
dmi:bvnSeaBIOS:bvrrel-1.12.0-0-ga698c8995f-prebuilt.qemu.org:bd04/01/2014:svnQEMU:pnStandardPC(Q35+ICH9,2009):pvrpc-q35-3.1:cvnQEMU:ct1:cvrpc-q35-3.1:
  dmi.product.name: Standard PC (Q35 + ICH9, 2009)
  dmi.product.version: pc-q35-3.1
  dmi.sys.vendor: QEMU

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1887744/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1791520] Re: package libxdmcp6 1:1.1.2-1.1 failed to install/upgrade: dpkg-deb --control subprocess returned error exit status 2

2020-07-16 Thread Kai Kasurinen
Thank you for taking the time to report this bug and helping to make
Ubuntu better. It seems that there was an error on your system when
trying to install a particular package. Please execute the following
command, as it will clear your package cache, in a terminal:

sudo apt-get clean

Then try performing the update again. This will likely resolve your
issue, but the failure could be caused by filesystem or memory
corruption. So please also run a fsck on your filesystem(s) and a memory
test. Thanks in advance!

** Changed in: libxdmcp (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libxdmcp in Ubuntu.
https://bugs.launchpad.net/bugs/1791520

Title:
  package libxdmcp6 1:1.1.2-1.1 failed to install/upgrade: dpkg-deb
  --control subprocess returned error exit status 2

Status in libxdmcp package in Ubuntu:
  Invalid

Bug description:
  NA

  ProblemType: Package
  DistroRelease: Ubuntu 18.04
  Package: libxdmcp6 1:1.1.2-1.1
  ProcVersionSignature: Ubuntu 4.15.0-33.36-generic 4.15.18
  Uname: Linux 4.15.0-33-generic x86_64
  NonfreeKernelModules: wl
  .tmp.unity_support_test.0:
   
  ApportVersion: 2.20.9-0ubuntu7.3
  Architecture: amd64
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: None
  Date: Sun Sep  9 17:42:59 2018
  Dependencies:
   gcc-8-base 8-20180414-1ubuntu2
   libc6 2.27-3ubuntu1
   libgcc1 1:8-20180414-1ubuntu2
  DistUpgraded: 2018-09-09 19:28:03,076 ERROR got error from PostInstallScript 
./xorg_fix_proprietary.py (g-exec-error-quark: Failed to execute child process 
"./xorg_fix_proprietary.py" (No such file or directory) (8))
  DistroCodename: bionic
  DistroVariant: ubuntu
  DkmsStatus:
   bcmwl, 6.30.223.271+bdcom, 4.15.0-30-generic, x86_64: installed
   bcmwl, 6.30.223.271+bdcom, 4.15.0-33-generic, x86_64: installed
  ErrorMessage: dpkg-deb --control subprocess returned error exit status 2
  GraphicsCard:
   Intel Corporation HD Graphics 5500 [8086:1616] (rev 09) (prog-if 00 [VGA 
controller])
 Subsystem: Lenovo HD Graphics 5500 [17aa:390c]
  InstallationDate: Installed on 2017-12-13 (270 days ago)
  InstallationMedia: Ubuntu 16.04.3 LTS "Xenial Xerus" - Release amd64 
(20170801)
  MachineType: LENOVO 80E5
  ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.15.0-33-generic 
root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=1
  Python3Details: /usr/bin/python3.6, Python 3.6.5, python3-minimal, 
3.6.5-3ubuntu1
  PythonDetails: /usr/bin/python2.7, Python 2.7.15rc1, python-minimal, 
2.7.15~rc1-1
  RelatedPackageVersions:
   dpkg 1.19.0.5ubuntu2
   apt  1.6.3ubuntu0.1
  SourcePackage: libxdmcp
  Title: package libxdmcp6 1:1.1.2-1.1 failed to install/upgrade: dpkg-deb 
--control subprocess returned error exit status 2
  UpgradeStatus: Upgraded to bionic on 2018-09-09 (0 days ago)
  dmi.bios.date: 06/20/2014
  dmi.bios.vendor: LENOVO
  dmi.bios.version: B0CN40WW
  dmi.board.asset.tag: NO Asset Tag
  dmi.board.name: Lenovo G50-80
  dmi.board.vendor: LENOVO
  dmi.board.version: 31900059WIN
  dmi.chassis.asset.tag: NO Asset Tag
  dmi.chassis.type: 10
  dmi.chassis.vendor: LENOVO
  dmi.chassis.version: Lenovo G50-80
  dmi.modalias: 
dmi:bvnLENOVO:bvrB0CN40WW:bd06/20/2014:svnLENOVO:pn80E5:pvrLenovoG50-80:rvnLENOVO:rnLenovoG50-80:rvr31900059WIN:cvnLENOVO:ct10:cvrLenovoG50-80:
  dmi.product.family: IDEAPAD
  dmi.product.name: 80E5
  dmi.product.version: Lenovo G50-80
  dmi.sys.vendor: LENOVO
  version.compiz: compiz 1:0.9.13.1+18.04.20180302-0ubuntu1
  version.libdrm2: libdrm2 2.4.91-2
  version.libgl1-mesa-dri: libgl1-mesa-dri 18.0.5-0ubuntu0~18.04.1
  version.libgl1-mesa-glx: libgl1-mesa-glx 18.0.5-0ubuntu0~18.04.1
  version.xserver-xorg-core: xserver-xorg-core 2:1.19.6-1ubuntu4
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.5-1ubuntu1
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.0.1-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20171229-1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-2
  xserver.bootTime: Sun Sep  9 20:23:28 2018
  xserver.configfile: default
  xserver.errors:
   
  xserver.logfile: /var/log/Xorg.0.log
  xserver.version: 2:1.19.6-1ubuntu4
  xserver.video_driver: modeset

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libxdmcp/+bug/1791520/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1783881] Re: ltp-syscalls: msgstress03 fails because systemd limits number of processes

2020-07-16 Thread Sean Feole
** Tags added: sru-20200629

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1783881

Title:
  ltp-syscalls: msgstress03 fails because systemd limits number of
  processes

Status in ubuntu-kernel-tests:
  Triaged
Status in linux package in Ubuntu:
  Incomplete
Status in linux-azure package in Ubuntu:
  New
Status in systemd package in Ubuntu:
  Incomplete
Status in linux source package in Xenial:
  New
Status in linux-azure source package in Xenial:
  New
Status in systemd source package in Xenial:
  New
Status in linux source package in Bionic:
  New
Status in linux-azure source package in Bionic:
  New
Status in systemd source package in Bionic:
  New

Bug description:
  As systemd limits the number of processes, this test will fail because
  it can't fork enough processes. That is limited to when the test is
  run after logging as user 1000, then running sudo. I guess that
  logging as root may not cause this to happen.

  # ./testcases/bin/msgstress03 
  Fork failed (may be OK if under stress)
  Fork failed (may be OK if under stress)
  msgstress031  TFAIL  :  msgstress03.c:157:  Fork failed (may be OK if 
under stress)
  #

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-kernel-tests/+bug/1783881/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 853091] Re: package libqtgui4 (not installed) failed to install/upgrade: subprocess dpkg-deb --control returned error exit status 2

2020-07-16 Thread Kai Kasurinen
Thank you for taking the time to report this bug and helping to make
Ubuntu better. It seems that there was an error on your system when
trying to install a particular package. Please execute the following
command, as it will clear your package cache, in a terminal:

sudo apt-get clean

Then try performing the update again. This will likely resolve your
issue, but the failure could be caused by filesystem or memory
corruption. So please also run a fsck on your filesystem(s) and a memory
test. Thanks in advance!

** Changed in: qt4-x11 (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qt4-x11 in Ubuntu.
https://bugs.launchpad.net/bugs/853091

Title:
  package libqtgui4 (not installed) failed to install/upgrade:
  subprocess dpkg-deb --control returned error exit status 2

Status in qt4-x11 package in Ubuntu:
  Invalid

Bug description:
  I got a message telling me something had gone wrong with an
  installation. I was trying to install  VLC player

  ProblemType: Package
  DistroRelease: Ubuntu 11.04
  Package: libqtgui4 (not installed)
  ProcVersionSignature: Ubuntu 2.6.38-11.48-generic 2.6.38.8
  Uname: Linux 2.6.38-11-generic i686
  Architecture: i386
  Date: Sun Sep 18 09:51:20 2011
  ErrorMessage: subprocess dpkg-deb --control returned error exit status 2
  InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release i386 (20110427.1)
  SourcePackage: qt4-x11
  Title: package libqtgui4 (not installed) failed to install/upgrade: 
subprocess dpkg-deb --control returned error exit status 2
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qt4-x11/+bug/853091/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1080564] Re: package libgtk-3-0 3.6.0-0ubuntu3 failed to install/upgrade: subprocess dpkg-deb --control returned error exit status 2

2020-07-16 Thread Kai Kasurinen
Thank you for taking the time to report this bug and helping to make
Ubuntu better. It seems that there was an error on your system when
trying to install a particular package. Please execute the following
command, as it will clear your package cache, in a terminal:

sudo apt-get clean

Then try performing the update again. This will likely resolve your
issue, but the failure could be caused by filesystem or memory
corruption. So please also run a fsck on your filesystem(s) and a memory
test. Thanks in advance!

** Package changed: gtk+3.0 (Ubuntu) => ubuntu

** Changed in: ubuntu
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gtk+3.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1080564

Title:
  package libgtk-3-0 3.6.0-0ubuntu3 failed to install/upgrade:
  subprocess dpkg-deb --control returned error exit status 2

Status in Ubuntu:
  Invalid

Bug description:
  Adding this package as the result of adding another package on a newly
  free install of ubuntu 12.10 system.

  ProblemType: Package
  DistroRelease: Ubuntu 12.10
  Package: libgtk-3-0 3.6.0-0ubuntu3
  ProcVersionSignature: Ubuntu 3.5.0-17.28-generic 3.5.5
  Uname: Linux 3.5.0-17-generic x86_64
  ApportVersion: 2.6.1-0ubuntu3
  Architecture: amd64
  Date: Sun Nov 18 21:56:31 2012
  ErrorMessage: subprocess dpkg-deb --control returned error exit status 2
  InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
  SourcePackage: gtk+3.0
  Title: package libgtk-3-0 3.6.0-0ubuntu3 failed to install/upgrade: 
subprocess dpkg-deb --control returned error exit status 2
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+bug/1080564/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884255] Re: [AMD/ATI] SBx00 Azalia (Intel HDA) Audio Ubuntu 20.04 not working

2020-07-16 Thread Marcelo Pires
Hello!

When I log in, the sound does not appear. Then I have to close the
application and try again until the sound appears.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1884255

Title:
  [AMD/ATI] SBx00 Azalia (Intel HDA) Audio Ubuntu 20.04 not working

Status in linux package in Ubuntu:
  Incomplete
Status in pulseaudio package in Ubuntu:
  New

Bug description:
  When you start playing some audio, the sound disappears.

  00:14.2 Audio device: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 Azalia 
(Intel HDA)
Subsystem: ASUSTeK Computer Inc. M5A78L LE
Kernel driver in use: snd_hda_intel
Kernel modules: snd_hda_intel

  
  uname -a
  Linux Marcelo-STI-FX6300 5.4.0-37-generic #41-Ubuntu SMP Wed Jun 3 18:57:02 
UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

  alsa-info

  
  !!
  !!ALSA Information Script v 0.4.65
  !!

  !!Script ran on: Fri Jun 19 13:38:12 UTC 2020

  
  !!Linux Distribution
  !!--

  Ubuntu 20.04 LTS \n \l DISTRIB_ID=Ubuntu DISTRIB_DESCRIPTION="Ubuntu
  20.04 LTS" NAME="Ubuntu" ID=ubuntu ID_LIKE=debian PRETTY_NAME="Ubuntu
  20.04 LTS" HOME_URL="https://www.ubuntu.com/;
  SUPPORT_URL="https://help.ubuntu.com/;
  BUG_REPORT_URL="https://bugs.launchpad.net/ubuntu/;
  PRIVACY_POLICY_URL="https://www.ubuntu.com/legal/terms-and-policies
  /privacy-policy" UBUNTU_CODENAME=focal

  
  !!DMI Information
  !!---

  Manufacturer:  System manufacturer
  Product Name:  System Product Name
  Product Version:   System Version
  Firmware Version:  1201   
  Board Vendor:  ASUSTeK Computer INC.
  Board Name:M5A78L-M LX/BR

  
  !!ACPI Device Status Information
  !!---

  /sys/bus/acpi/devices/ATK0110:00/status15
  /sys/bus/acpi/devices/PNP0103:00/status15
  /sys/bus/acpi/devices/PNP0400:00/status15
  /sys/bus/acpi/devices/PNP0501:00/status15
  /sys/bus/acpi/devices/PNP0C0C:00/status11
  /sys/bus/acpi/devices/PNP0C0F:00/status9
  /sys/bus/acpi/devices/PNP0C0F:01/status9
  /sys/bus/acpi/devices/PNP0C0F:02/status9
  /sys/bus/acpi/devices/PNP0C0F:03/status9
  /sys/bus/acpi/devices/PNP0C0F:04/status9
  /sys/bus/acpi/devices/PNP0C0F:05/status9
  /sys/bus/acpi/devices/PNP0C0F:06/status9
  /sys/bus/acpi/devices/PNP0C0F:07/status9
  /sys/bus/acpi/devices/device:20/status 15
  /sys/bus/acpi/devices/device:21/status 15

  
  !!Kernel Information
  !!--

  Kernel release:5.4.0-37-generic
  Operating System:  GNU/Linux
  Architecture:  x86_64
  Processor: x86_64
  SMP Enabled:   Yes

  
  !!ALSA Version
  !!

  Driver version: k5.4.0-37-generic
  Library version:1.2.3
  Utilities version:  1.2.2

  
  !!Loaded ALSA modules
  !!---

  snd_hda_intel

  
  !!Sound Servers on this system
  !!

  Pulseaudio:
Installed - Yes (/usr/bin/pulseaudio)
Running - Yes

  
  !!Soundcards recognised by ALSA
  !!-

   0 [SB ]: HDA-Intel - HDA ATI SB
HDA ATI SB at 0xfe9f4000 irq 16

  
  !!PCI Soundcards installed in the system
  !!--

  00:14.2 Audio device [0403]: Advanced Micro Devices, Inc. [AMD/ATI] SBx00 
Azalia (Intel HDA) [1002:4383]
Subsystem: ASUSTeK Computer Inc. M5A78L LE [1043:8445]

  
  !!Modprobe options (Sound related)
  !!

  snd_pcsp: index=-2
  snd_usb_audio: index=-2
  snd_atiixp_modem: index=-2
  snd_intel8x0m: index=-2
  snd_via82xx_modem: index=-2
  snd_atiixp_modem: index=-2
  snd_intel8x0m: index=-2
  snd_via82xx_modem: index=-2
  snd_usb_audio: index=-2
  snd_usb_caiaq: index=-2
  snd_usb_ua101: index=-2
  snd_usb_us122l: index=-2
  snd_usb_usx2y: index=-2
  snd_cmipci: mpu_port=0x330 fm_port=0x388
  snd_pcsp: index=-2
  snd_usb_audio: index=-2
  snd_hda_intel: model=auto
  snd_hda_intel: dmic detect=0

  
  !!Loaded sound module options
  !!---

  !!Module: snd_hda_intel
align_buffer_size : -1
bdl_pos_adj : 
-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
beep_mode : 
N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N
dmic_detect : Y
enable : Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y
enable_msi : -1
id : 
(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
index : 

[Touch-packages] [Bug 1848969] Re: src/date-time.cpp:171:GDateTime* unity::indicator::datetime::DateTime::get() const: assertion failed: (m_dt)

2020-07-16 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: libical3 (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to indicator-datetime in
Ubuntu.
https://bugs.launchpad.net/bugs/1848969

Title:
  src/date-time.cpp:171:GDateTime*
  unity::indicator::datetime::DateTime::get() const: assertion failed:
  (m_dt)

Status in indicator-datetime package in Ubuntu:
  Confirmed
Status in libical3 package in Ubuntu:
  Confirmed

Bug description:
  After upgrading to Ubuntu 19.10, indicator-datetime
  15.10+19.10.20190819.1-0ubuntu1 crashes right from the start:

  $ /usr/lib/x86_64-linux-gnu/indicator-datetime/indicator-datetime-service 
  (process:17641): Indicator-Datetime-WARNING **: 01:46:35.442: Unrecognized 
TZID: 'Etc/Utc'
  (process:17641): Indicator-Datetime-WARNING **: 01:46:35.442: Unrecognized 
TZID: 'Etc/Utc'
  (process:17641): Indicator-Datetime-WARNING **: 01:46:35.448: Unrecognized 
TZID: 'Etc/Utc'
  (process:17641): libecal-CRITICAL **: 01:46:35.457: 
e_cal_component_datetime_get_value: assertion 'dt != NULL' failed
  (process:17641): libecal-CRITICAL **: 01:46:35.457: 
e_cal_component_datetime_get_value: assertion 'dt != NULL' failed
  (process:17641): libical-glib-CRITICAL **: 01:46:35.457: i_cal_time_as_timet: 
assertion 'I_CAL_IS_TIME (tt)' failed
  (process:17641): libical-glib-CRITICAL **: 01:46:35.457: i_cal_time_as_timet: 
assertion 'I_CAL_IS_TIME (tt)' failed
  [...]
  (process:17641): libical-glib-CRITICAL **: 01:46:35.458: i_cal_time_as_timet: 
assertion 'I_CAL_IS_TIME (tt)' failed
  (process:17641): libecal-CRITICAL **: 01:46:35.458: 
e_cal_component_datetime_get_value: assertion 'dt != NULL' failed
  (process:17641): libecal-CRITICAL **: 01:46:35.458: 
e_cal_component_datetime_get_value: assertion 'dt != NULL' failed
  (process:17641): libical-glib-CRITICAL **: 01:46:35.458: i_cal_time_as_timet: 
assertion 'I_CAL_IS_TIME (tt)' failed
  (process:17641): libical-glib-CRITICAL **: 01:46:35.458: i_cal_time_as_timet: 
assertion 'I_CAL_IS_TIME (tt)' failed
  **
  
Indicator-Datetime:ERROR:/build/indicator-datetime-P60bPZ/indicator-datetime-15.10+19.10.20190819.1/src/date-time.cpp:171:GDateTime*
 unity::indicator::datetime::DateTime::get() const: assertion failed: (m_dt)
  Bail out! 
Indicator-Datetime:ERROR:/build/indicator-datetime-P60bPZ/indicator-datetime-15.10+19.10.20190819.1/src/date-time.cpp:171:GDateTime*
 unity::indicator::datetime::DateTime::get() const: assertion failed: (m_dt)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/indicator-datetime/+bug/1848969/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1808748] Re: package libapt-pkg5.0 1.6.3 failed to install/upgrade: dpkg-deb --control subprocess returned error exit status 2

2020-07-16 Thread Kai Kasurinen
Thank you for taking the time to report this bug and helping to make
Ubuntu better. It seems that there was an error on your system when
trying to install a particular package. Please execute the following
command, as it will clear your package cache, in a terminal:

sudo apt-get clean

Then try performing the update again. This will likely resolve your
issue, but the failure could be caused by filesystem or memory
corruption. So please also run a fsck on your filesystem(s) and a memory
test. Thanks in advance!


** Changed in: apt (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1808748

Title:
  package libapt-pkg5.0 1.6.3 failed to install/upgrade: dpkg-deb
  --control subprocess returned error exit status 2

Status in apt package in Ubuntu:
  Invalid

Bug description:
  I don't know exactly what is broken.

  ProblemType: Package
  DistroRelease: Ubuntu 18.04
  Package: libapt-pkg5.0 1.6.3
  ProcVersionSignature: Ubuntu 4.15.0-29.31-generic 4.15.18
  Uname: Linux 4.15.0-29-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.2
  Architecture: amd64
  Date: Sun Dec 16 12:20:50 2018
  DpkgTerminalLog:
   dpkg-deb: error: 
'/var/cache/apt/archives/libapt-pkg5.0_1.6.3ubuntu0.1_amd64.deb' is not a 
Debian format archive
   dpkg: error processing archive 
/var/cache/apt/archives/libapt-pkg5.0_1.6.3ubuntu0.1_amd64.deb (--unpack):
dpkg-deb --control subprocess returned error exit status 2
  ErrorMessage: dpkg-deb --control subprocess returned error exit status 2
  InstallationDate: Installed on 2018-12-15 (1 days ago)
  InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 
(20180725)
  Python3Details: /usr/bin/python3.6, Python 3.6.5, python3-minimal, 
3.6.5-3ubuntu1
  PythonDetails: N/A
  RelatedPackageVersions:
   dpkg 1.19.0.5ubuntu2
   apt  1.6.3
  SourcePackage: apt
  Title: package libapt-pkg5.0 1.6.3 failed to install/upgrade: dpkg-deb 
--control subprocess returned error exit status 2
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1808748/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1806166] Re: package gettext 0.19.8.1-8 failed to install/upgrade: dpkg-deb --control subprocess returned error exit status 2

2020-07-16 Thread Kai Kasurinen
Thank you for taking the time to report this bug and helping to make
Ubuntu better. It seems that there was an error on your system when
trying to install a particular package. Please execute the following
command, as it will clear your package cache, in a terminal:

sudo apt-get clean

Then try performing the update again. This will likely resolve your
issue, but the failure could be caused by filesystem or memory
corruption. So please also run a fsck on your filesystem(s) and a memory
test. Thanks in advance!

** Changed in: gettext (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gettext in Ubuntu.
https://bugs.launchpad.net/bugs/1806166

Title:
  package gettext 0.19.8.1-8 failed to install/upgrade: dpkg-deb
  --control subprocess returned error exit status 2

Status in gettext package in Ubuntu:
  Invalid

Bug description:
  First auto update of the OS since installation an hour earlier.

  ProblemType: Package
  DistroRelease: Ubuntu 18.10
  Package: gettext 0.19.8.1-8
  ProcVersionSignature: Ubuntu 4.18.0-10.11-generic 4.18.12
  Uname: Linux 4.18.0-10-generic x86_64
  ApportVersion: 2.20.10-0ubuntu13.1
  Architecture: amd64
  Date: Fri Nov 30 21:32:50 2018
  DuplicateSignature:
   package:gettext:0.19.8.1-8
   Unpacking gedit (3.30.2-0ubuntu0.18.10.1) over (3.30.1-1) ...
   dpkg-deb: error: 
'/tmp/apt-dpkg-install-qK5YKy/41-gettext_0.19.8.1-8ubuntu0.1_amd64.deb' is not 
a Debian format archive
   dpkg: error processing archive 
/tmp/apt-dpkg-install-qK5YKy/41-gettext_0.19.8.1-8ubuntu0.1_amd64.deb 
(--unpack):
dpkg-deb --control subprocess returned error exit status 2
  ErrorMessage: dpkg-deb --control subprocess returned error exit status 2
  InstallationDate: Installed on 2018-12-01 (0 days ago)
  InstallationMedia: Ubuntu 18.10 "Cosmic Cuttlefish" - Release amd64 
(20181017.3)
  Python3Details: /usr/bin/python3.6, Python 3.6.7, python3-minimal, 
3.6.7-1~18.10
  PythonDetails: N/A
  RelatedPackageVersions:
   dpkg 1.19.0.5ubuntu5
   apt  1.7.0
  SourcePackage: gettext
  Title: package gettext 0.19.8.1-8 failed to install/upgrade: dpkg-deb 
--control subprocess returned error exit status 2
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gettext/+bug/1806166/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1833450] Re: package libpython2.7-dev 2.7.15~rc1-1ubuntu0.1 failed to install/upgrade: dpkg-deb --control subprocess returned error exit status 2

2020-07-16 Thread Kai Kasurinen
Thank you for taking the time to report this bug and helping to make
Ubuntu better. It seems that there was an error on your system when
trying to install a particular package. Please execute the following
command, as it will clear your package cache, in a terminal:

sudo apt-get clean

Then try performing the update again. This will likely resolve your
issue, but the failure could be caused by filesystem or memory
corruption. So please also run a fsck on your filesystem(s) and a memory
test. Thanks in advance!


** Changed in: python2.7 (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to python2.7 in Ubuntu.
https://bugs.launchpad.net/bugs/1833450

Title:
  package libpython2.7-dev 2.7.15~rc1-1ubuntu0.1 failed to
  install/upgrade: dpkg-deb --control subprocess returned error exit
  status 2

Status in python2.7 package in Ubuntu:
  Invalid

Bug description:
  when i opened my system, this bug occurred. I don't know what's the
  issue. I've found so many things but not working in this case.

  ProblemType: Package
  DistroRelease: Ubuntu 18.04
  Package: libpython2.7-dev 2.7.15~rc1-1ubuntu0.1
  ProcVersionSignature: Ubuntu 4.15.0-51.55-generic 4.15.18
  Uname: Linux 4.15.0-51-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.2
  Architecture: amd64
  Date: Wed Jun 19 08:25:58 2019
  DuplicateSignature:
   package:libpython2.7-dev:2.7.15~rc1-1ubuntu0.1
   Unpacking python2.7-dev (2.7.15-4ubuntu4~18.04) over (2.7.15~rc1-1ubuntu0.1) 
...
   dpkg-deb: error: 
'/tmp/apt-dpkg-install-5GWLxY/20-libpython2.7-dev_2.7.15-4ubuntu4~18.04_amd64.deb'
 is not a Debian format archive
   dpkg: error processing archive 
/tmp/apt-dpkg-install-5GWLxY/20-libpython2.7-dev_2.7.15-4ubuntu4~18.04_amd64.deb
 (--unpack):
dpkg-deb --control subprocess returned error exit status 2
  ErrorMessage: dpkg-deb --control subprocess returned error exit status 2
  InstallationDate: Installed on 2018-12-22 (178 days ago)
  InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 
(20180725)
  Python3Details: /usr/bin/python3.6, Python 3.6.8, python3-minimal, 
3.6.7-1~18.04
  PythonDetails: /usr/bin/python2.7, Python 2.7.15+, python-minimal, 
2.7.15~rc1-1
  RelatedPackageVersions:
   dpkg 1.19.0.5ubuntu2.1
   apt  1.6.11
  SourcePackage: python2.7
  Title: package libpython2.7-dev 2.7.15~rc1-1ubuntu0.1 failed to 
install/upgrade: dpkg-deb --control subprocess returned error exit status 2
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python2.7/+bug/1833450/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1724532] Re: pycompile crashed with ImportError in /usr/share/python/debpython/version.py

2020-07-16 Thread Kai Kasurinen
*** This bug is a duplicate of bug 1659002 ***
https://bugs.launchpad.net/bugs/1659002

** This bug has been marked a duplicate of bug 1659002
   ImportError: No module named 'ConfigParser' when running pycompile

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to python-defaults in Ubuntu.
https://bugs.launchpad.net/bugs/1724532

Title:
  pycompile crashed with ImportError in
  /usr/share/python/debpython/version.py

Status in python-defaults package in Ubuntu:
  New

Bug description:
  ExecutablePath
 /usr/bin/pycompile
  Package
 python-minimal 2.7.11-1
  ProblemType
 Crash
  Title
 pycompile crashed with ImportError in 
/usr/share/python/debpython/version.py: No module named 'ConfigParser'
  Traceback
 Traceback (most recent call last):
  File "/usr/bin/pycompile",line 35,in 
   from depython.verison import SUPPORTED,debsorted,vrepr.\
  File "/usr/share/python/debpython/version.py",line 24, in 
   from ConfigParser import SafeConfigParser
 ImportError:No module named 'ConfigParser'
  ApportVersion
 2.20.1-0ubuntu2
  Architecture
 amd64
  CrashCounter
 1
  Date
 Wed Oct 18 17:12:33 2017
  Dependency
 [...]
  DistroRelease
 Ubuntu 16.04
  InstallationDate
 Installed on 2017-10-14(4 days ago)
  InstallationMedia
 Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64(20160420.1)
  InterpreterPath
 /usr/bin/python3.5
  JournalErrors
 [...]
  PackageArchitecture
 amd64
  ProcCmdline
 /usr/bin/python/ /usr/bin/pycompile -p apport /usr/share/apport-V 2.7-
  ProcCwd
 /
  ProcEnviron
 LANGUAGE=en_HK;en
 PATH=(custom, no user)
 LANG=en_HK.UTF-8
  ProcMaps
 [...]
  ProcStatus
 [...]
  ProcVersionSignature
 Ubuntu 4.4.0-97.120.generic 4.4.87
  PythonArgs
 ['/usr/bin/pycompile','-p','apport','/usr/share/apport','-V','2.7-']
  SourcePackage
 python-defaults
  Tags
 xenial
  Uname
 Linux 4.40-97-generic x86_64

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-defaults/+bug/1724532/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1677504] Re: samba failed to install

2020-07-16 Thread Kai Kasurinen
*** This bug is a duplicate of bug 1659002 ***
https://bugs.launchpad.net/bugs/1659002

** Changed in: dbus-python (Ubuntu)
   Status: New => Invalid

** This bug has been marked a duplicate of bug 1659002
   ImportError: No module named 'ConfigParser' when running pycompile

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to dbus-python in Ubuntu.
https://bugs.launchpad.net/bugs/1677504

Title:
  samba failed to install

Status in dbus-python package in Ubuntu:
  Invalid

Bug description:
  sudo apt-get install samba
  Reading package lists... Done
  Building dependency tree   
  Reading state information... Done
  The following packages were automatically installed and are no longer 
required:
dh-translations dia-libs gfortran gfortran-5 gnome-control-center-data
gnome-icon-theme gnome-icon-theme-symbolic gnome-settings-daemon
iio-sensor-proxy intltool launchpad-getkeys libblas-dev libbz2-dev
libcairo-script-interpreter2 libcolord-gtk1 libdbus-1-dev libegl1-mesa-dev
libepoxy-dev libfontconfig1-dev libfreetype6-dev libgfortran-5-dev
libgmp-dev libgmpxx4ldbl libharfbuzz-dev libharfbuzz-gobject0 libice-dev
libjavascriptcoregtk-3.0-0 libjpeg-dev libjpeg-turbo8-dev libjpeg8-dev
liblapack-dev liblzma-dev libmirclient-dev libmircommon-dev libmircookie-dev
libmircookie2 libncurses5-dev libpixman-1-dev libpng12-dev libprotobuf-dev
libpython-all-dev libpython-dev libpython2.7-dev libreadline-dev
libreadline6-dev libsm-dev libtinfo-dev libwayland-dev libwebkitgtk-3.0-0
libwebkitgtk-3.0-common libxcb-shm0-dev libxcomposite-dev libxcursor-dev
libxft-dev libxi-dev libxinerama-dev libxkbcommon-dev libxrandr-dev
libxrender-dev libxtst-dev nettle-dev planner-data planner-doc ppa-purge
scrollkeeper x11proto-composite-dev x11proto-randr-dev x11proto-record-dev
x11proto-render-dev x11proto-xinerama-dev xclip yad
  Use 'sudo apt autoremove' to remove them.
  The following additional packages will be installed:
python-samba python-talloc samba-common-bin samba-dsdb-modules samba-libs
samba-vfs-modules
  Suggested packages:
bind9 bind9utils ctdb ldb-tools ntp smbldap-tools winbind heimdal-clients
  The following NEW packages will be installed:
python-samba python-talloc samba samba-common-bin samba-dsdb-modules
samba-libs samba-vfs-modules
  0 upgraded, 7 newly installed, 0 to remove and 0 not upgraded.
  32 not fully installed or removed.
  Need to get 8,119 kB of archives.
  After this operation, 45.7 MB of additional disk space will be used.
  Do you want to continue? [Y/n] 
  Get:1 http://archive.ubuntu.com/ubuntu xenial/main amd64 python-talloc amd64 
2.1.5-2 [7,506 B]
  Get:2 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 samba-libs 
amd64 2:4.3.11+dfsg-0ubuntu0.16.04.5 [5,176 kB]
  Get:3 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 python-samba 
amd64 2:4.3.11+dfsg-0ubuntu0.16.04.5 [1,060 kB]
  Get:4 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 
samba-common-bin amd64 2:4.3.11+dfsg-0ubuntu0.16.04.5 [506 kB]
  Get:5 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 samba amd64 
2:4.3.11+dfsg-0ubuntu0.16.04.5 [899 kB]
  Get:6 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 
samba-dsdb-modules amd64 2:4.3.11+dfsg-0ubuntu0.16.04.5 [215 kB]
  Get:7 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 
samba-vfs-modules amd64 2:4.3.11+dfsg-0ubuntu0.16.04.5 [256 kB]
  Fetched 8,119 kB in 20s (388 kB/s)
 
  Selecting previously unselected package python-talloc.
  (Reading database ... 287850 files and directories currently installed.)
  Preparing to unpack .../python-talloc_2.1.5-2_amd64.deb ...
  Unpacking python-talloc (2.1.5-2) ...
  Selecting previously unselected package samba-libs:amd64.
  Preparing to unpack .../samba-libs_2%3a4.3.11+dfsg-0ubuntu0.16.04.5_amd64.deb 
...
  Unpacking samba-libs:amd64 (2:4.3.11+dfsg-0ubuntu0.16.04.5) ...
  Selecting previously unselected package python-samba.
  Preparing to unpack 
.../python-samba_2%3a4.3.11+dfsg-0ubuntu0.16.04.5_amd64.deb ...
  Unpacking python-samba (2:4.3.11+dfsg-0ubuntu0.16.04.5) ...
  Selecting previously unselected package samba-common-bin.
  Preparing to unpack 
.../samba-common-bin_2%3a4.3.11+dfsg-0ubuntu0.16.04.5_amd64.deb ...
  Unpacking samba-common-bin (2:4.3.11+dfsg-0ubuntu0.16.04.5) ...
  Selecting previously unselected package samba.
  Preparing to unpack .../samba_2%3a4.3.11+dfsg-0ubuntu0.16.04.5_amd64.deb ...
  Unpacking samba (2:4.3.11+dfsg-0ubuntu0.16.04.5) ...
  Selecting previously unselected package samba-dsdb-modules.
  Preparing to unpack 
.../samba-dsdb-modules_2%3a4.3.11+dfsg-0ubuntu0.16.04.5_amd64.deb ...
  Unpacking samba-dsdb-modules (2:4.3.11+dfsg-0ubuntu0.16.04.5) ...
  Selecting previously unselected package samba-vfs-modules.
  Preparing to unpack 

[Touch-packages] [Bug 1677503] Re: package python-dbus 1.2.0-3 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1

2020-07-16 Thread Kai Kasurinen
*** This bug is a duplicate of bug 1659002 ***
https://bugs.launchpad.net/bugs/1659002

** Changed in: dbus-python (Ubuntu)
   Status: Confirmed => Invalid

** This bug has been marked a duplicate of bug 1659002
   ImportError: No module named 'ConfigParser' when running pycompile

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to dbus-python in Ubuntu.
https://bugs.launchpad.net/bugs/1677503

Title:
  package python-dbus 1.2.0-3 failed to install/upgrade: subprocess
  installed post-installation script returned error exit status 1

Status in dbus-python package in Ubuntu:
  Invalid

Bug description:
  Reading package lists... Done
  Building dependency tree   
  Reading state information... Done
  Correcting dependencies... Done
  The following packages were automatically installed and are no longer 
required:
attr dh-translations dia-libs gfortran gfortran-5 gnome-control-center-data
gnome-icon-theme gnome-icon-theme-symbolic gnome-settings-daemon
iio-sensor-proxy intltool launchpad-getkeys libblas-dev libbz2-dev
libcairo-script-interpreter2 libcolord-gtk1 libdbus-1-dev libegl1-mesa-dev
libepoxy-dev libfontconfig1-dev libfreetype6-dev libgfortran-5-dev
libgmp-dev libgmpxx4ldbl libharfbuzz-dev libharfbuzz-gobject0 libice-dev
libjavascriptcoregtk-3.0-0 libjpeg-dev libjpeg-turbo8-dev libjpeg8-dev
liblapack-dev liblzma-dev libmirclient-dev libmircommon-dev libmircookie-dev
libmircookie2 libncurses5-dev libpixman-1-dev libpng12-dev libprotobuf-dev
libpython-all-dev libpython-dev libpython2.7-dev libreadline-dev
libreadline6-dev libsm-dev libtinfo-dev libwayland-dev libwbclient0
libwebkitgtk-3.0-0 libwebkitgtk-3.0-common libxcb-shm0-dev libxcomposite-dev
libxcursor-dev libxft-dev libxi-dev libxinerama-dev libxkbcommon-dev
libxrandr-dev libxrender-dev libxtst-dev nettle-dev planner-data planner-doc
ppa-purge samba-common scrollkeeper tdb-tools x11proto-composite-dev
x11proto-randr-dev x11proto-record-dev x11proto-render-dev
x11proto-xinerama-dev xclip yad
  Use 'sudo apt autoremove' to remove them.
  The following additional packages will be installed:
python python-gobject python-pyodbc python2.7
  Suggested packages:
python-doc python-tk python2.7-doc
  The following NEW packages will be installed:
python python-gobject python-pyodbc python2.7
  0 upgraded, 4 newly installed, 0 to remove and 0 not upgraded.
  31 not fully installed or removed.
  Need to get 408 kB of archives.
  After this operation, 1,174 kB of additional disk space will be used.
  Do you want to continue? [Y/n] y
  Get:1 http://archive.ubuntu.com/ubuntu xenial-updates/main amd64 python2.7 
amd64 2.7.12-1ubuntu0~16.04.1 [224 kB]
  Get:2 http://archive.ubuntu.com/ubuntu xenial/main amd64 python amd64 
2.7.11-1 [137 kB]
  Get:3 http://archive.ubuntu.com/ubuntu xenial/universe amd64 python-gobject 
all 3.20.0-0ubuntu1 [2,544 B]
  Get:4 http://archive.ubuntu.com/ubuntu xenial/universe amd64 python-pyodbc 
amd64 3.0.7-0ubuntu2 [44.4 kB]
  Fetched 408 kB in 18s (21.6 kB/s) 
 
  Selecting previously unselected package python2.7.
  (Reading database ... 287768 files and directories currently installed.)
  Preparing to unpack .../python2.7_2.7.12-1ubuntu0~16.04.1_amd64.deb ...
  Unpacking python2.7 (2.7.12-1ubuntu0~16.04.1) ...
  Selecting previously unselected package python.
  Preparing to unpack .../python_2.7.11-1_amd64.deb ...
  Unpacking python (2.7.11-1) ...
  Selecting previously unselected package python-gobject.
  Preparing to unpack .../python-gobject_3.20.0-0ubuntu1_all.deb ...
  Unpacking python-gobject (3.20.0-0ubuntu1) ...
  Selecting previously unselected package python-pyodbc.
  Preparing to unpack .../python-pyodbc_3.0.7-0ubuntu2_amd64.deb ...
  Unpacking python-pyodbc (3.0.7-0ubuntu2) ...
  Processing triggers for desktop-file-utils (0.22-1ubuntu5.1) ...
  Processing triggers for bamfdaemon (0.5.3~bzr0+16.04.20160824-0ubuntu1) ...
  Rebuilding /usr/share/applications/bamf-2.index...
  Processing triggers for gnome-menus (3.13.3-6ubuntu3.1) ...
  Processing triggers for mime-support (3.59ubuntu1) ...
  Processing triggers for man-db (2.7.5-1) ...
  Processing triggers for doc-base (0.10.7) ...
  Processing 1 added doc-base file...
  Registering documents with scrollkeeper...
  Setting up python2.7 (2.7.12-1ubuntu0~16.04.1) ...
  Setting up python (2.7.11-1) ...
  Setting up python-dbus (1.2.0-3) ...
  Traceback (most recent call last):
File "/usr/bin/pycompile", line 35, in 
  from debpython.version import SUPPORTED, debsorted, vrepr, \
File "/usr/share/python/debpython/version.py", line 24, in 
  from ConfigParser import SafeConfigParser
  ImportError: No module named 'ConfigParser'
  dpkg: error processing package python-dbus (--configure):
   subprocess installed post-installation script returned error exit 

[Touch-packages] [Bug 1677505] Re: package python-gi 3.20.0-0ubuntu1 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1

2020-07-16 Thread Kai Kasurinen
*** This bug is a duplicate of bug 1659002 ***
https://bugs.launchpad.net/bugs/1659002

invalid, you changed your /usr/bin/python symlink to point to python3

** Changed in: pygobject (Ubuntu)
   Status: New => Invalid

** This bug has been marked a duplicate of bug 1659002
   ImportError: No module named 'ConfigParser' when running pycompile

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pygobject in Ubuntu.
https://bugs.launchpad.net/bugs/1677505

Title:
  package python-gi 3.20.0-0ubuntu1 failed to install/upgrade:
  subprocess installed post-installation script returned error exit
  status 1

Status in pygobject package in Ubuntu:
  Invalid

Bug description:
  sudo apt autoremove
  Reading package lists... Done
  Building dependency tree   
  Reading state information... Done
  The following packages will be REMOVED:
dh-translations dia-libs gfortran gfortran-5 gnome-control-center-data
gnome-icon-theme gnome-icon-theme-symbolic gnome-settings-daemon
iio-sensor-proxy intltool launchpad-getkeys libblas-dev libbz2-dev
libcairo-script-interpreter2 libcolord-gtk1 libdbus-1-dev libegl1-mesa-dev
libepoxy-dev libfontconfig1-dev libfreetype6-dev libgfortran-5-dev
libgmp-dev libgmpxx4ldbl libharfbuzz-dev libharfbuzz-gobject0 libice-dev
libjavascriptcoregtk-3.0-0 libjpeg-dev libjpeg-turbo8-dev libjpeg8-dev
liblapack-dev liblzma-dev libmirclient-dev libmircommon-dev libmircookie-dev
libmircookie2 libncurses5-dev libpixman-1-dev libpng12-dev libprotobuf-dev
libpython-all-dev libpython-dev libpython2.7-dev libreadline-dev
libreadline6-dev libsm-dev libtinfo-dev libwayland-dev libwebkitgtk-3.0-0
libwebkitgtk-3.0-common libxcb-shm0-dev libxcomposite-dev libxcursor-dev
libxft-dev libxi-dev libxinerama-dev libxkbcommon-dev libxrandr-dev
libxrender-dev libxtst-dev nettle-dev planner-data planner-doc ppa-purge
scrollkeeper x11proto-composite-dev x11proto-randr-dev x11proto-record-dev
x11proto-render-dev x11proto-xinerama-dev xclip yad
  0 upgraded, 0 newly installed, 72 to remove and 0 not upgraded.
  35 not fully installed or removed.
  After this operation, 198 MB disk space will be freed.
  Do you want to continue? [Y/n] y
  (Reading database ... 288586 files and directories currently installed.)
  Removing dh-translations (129) ...
  Removing dia-libs (0.97.3-1) ...
  Removing liblapack-dev (3.6.0-2ubuntu2) ...
  Removing libblas-dev (3.6.0-2ubuntu2) ...
  Removing gfortran (4:5.3.1-1ubuntu1) ...
  Removing gfortran-5 (5.4.0-6ubuntu1~16.04.4) ...
  Removing gnome-control-center-data (1:3.18.2-1ubuntu6) ...
  Removing gnome-icon-theme-symbolic (3.12.0-1) ...
  Removing gnome-icon-theme (3.12.0-1ubuntu3) ...
  Removing gnome-settings-daemon (3.18.2-0ubuntu3.1) ...
  Removing iio-sensor-proxy (1.1-1ubuntu1) ...
  Removing intltool (0.51.0-2) ...
  Removing launchpad-getkeys (0.3.3-1~webupd8~2) ...
  Removing libbz2-dev:amd64 (1.0.6-8) ...
  Removing libcairo-script-interpreter2:amd64 (1.14.6-1) ...
  Removing libcolord-gtk1:amd64 (0.1.26-1) ...
  Removing libdbus-1-dev:amd64 (1.10.6-1ubuntu3.3) ...
  Removing libegl1-mesa-dev:amd64 (12.0.6-0ubuntu0.16.04.1) ...
  Removing libepoxy-dev:amd64 (1.3.1-1) ...
  Removing libxft-dev (2.3.2-1) ...
  Removing libfontconfig1-dev:amd64 (2.11.94-0ubuntu1.1) ...
  Removing libfreetype6-dev:amd64 (2.6.1-0.1ubuntu2.1) ...
  Removing libgfortran-5-dev:amd64 (5.4.0-6ubuntu1~16.04.4) ...
  Removing nettle-dev (3.2-1ubuntu0.16.04.1) ...
  Removing libgmp-dev:amd64 (2:6.1.0+dfsg-2) ...
  Removing libgmpxx4ldbl:amd64 (2:6.1.0+dfsg-2) ...
  Removing libharfbuzz-dev (1.0.1-1ubuntu0.1) ...
  Removing libharfbuzz-gobject0:amd64 (1.0.1-1ubuntu0.1) ...
  Removing libsm-dev:amd64 (2:1.2.2-1) ...
  Removing libice-dev:amd64 (2:1.0.9-1) ...
  Removing yad (0.38.2-1~webupd8~xenial0) ...
  Removing libwebkitgtk-3.0-0:amd64 (2.4.11-0ubuntu0.1) ...
  Removing libjavascriptcoregtk-3.0-0:amd64 (2.4.11-0ubuntu0.1) ...
  Removing libjpeg-dev:amd64 (8c-2ubuntu8) ...
  Removing libjpeg8-dev:amd64 (8c-2ubuntu8) ...
  Removing libjpeg-turbo8-dev:amd64 (1.4.2-0ubuntu3) ...
  Removing liblzma-dev:amd64 (5.1.1alpha+20120614-2ubuntu2) ...
  Removing libmirclient-dev:amd64 (0.21.0+16.04.20160330-0ubuntu1) ...
  Removing libmircommon-dev:amd64 (0.21.0+16.04.20160330-0ubuntu1) ...
  Removing libmircookie-dev:amd64 (0.21.0+16.04.20160330-0ubuntu1) ...
  Removing libmircookie2:amd64 (0.21.0+16.04.20160330-0ubuntu1) ...
  Removing libncurses5-dev:amd64 (6.0+20160213-1ubuntu1) ...
  Removing libpixman-1-dev (0.33.6-1) ...
  Removing libpng12-dev:amd64 (1.2.54-1ubuntu1) ...
  Removing libprotobuf-dev:amd64 (2.6.1-1.3) ...
  Removing libpython-all-dev:amd64 (2.7.11-1) ...
  Removing libpython-dev:amd64 (2.7.11-1) ...
  Removing libpython2.7-dev:amd64 (2.7.12-1ubuntu0~16.04.1) ...
  Removing libreadline-dev:amd64 (6.3-8ubuntu2) ...
  Removing libreadline6-dev:amd64 

[Touch-packages] [Bug 1886314] Re: preinstall `earlyoom` by default

2020-07-16 Thread Brian Murray
** Tags removed: rls-gg-incoming
** Tags added: rls-gg-notfixing

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-meta in Ubuntu.
https://bugs.launchpad.net/bugs/1886314

Title:
  preinstall `earlyoom` by default

Status in ubuntu-meta package in Ubuntu:
  New

Bug description:
  Fedora done this https://fedoraproject.org/wiki/Changes/EnableEarlyoom

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-meta/+bug/1886314/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887821] [NEW] gnome-shell GUI freezes totally

2020-07-16 Thread Sami Kuisma
Public bug reported:

I'm using basic Ubuntu 20.04 and GUI (gnome?) freezes totally. 
- I was running Firefox 78.0.2 and watching Youtube. The video and sound 
stopped.
- Keyboard was unresponsive, can't get into console, and for example pressing 
caps lock/num lock didn't toggle keyboard leds.
- mouse didn't move.
- The whole computer and OS didn't crash I suppose. I could ping the computer 
from another computer. and there were entries in /var/log/syslog after the GUI 
freeze.

What ever happened I can find some indicating in /var/log/syslog:

Crash happened 14:21 local time which pinpoints the bug into these
entries:


Jul 16 14:21:24 Aorus-Ultra-Ryzen gnome-shell[897367]: [Child 897367, 
ImageBridgeChld] WARNING: failed to open shm: Too many open files: file 
/build/firefox-k3d8Rk/firefox-78.0.2+build2/ipc/chromium/src/base/shared_memory_posix.cc,
 line 246
Jul 16 14:21:24 Aorus-Ultra-Ryzen gnome-shell[897367]: [Child 897367, 
MediaDecoderStateMachine #1] WARNING: Decoder=7f08246e5000 Decode error: 
NS_ERROR_OUT_OF_MEMORY (0x8007000e) - mozilla::MediaResult 
mozilla::FFmpegVideoDecoder<46465650>::CreateImage(int64_t, int64_t, int64_t, 
MediaDataDecoder::DecodedData &): image allocation error: file 
/build/firefox-k3d8Rk/firefox-78.0.2+build2/dom/media/MediaDecoderStateMachine.cpp,
 line 3470
Jul 16 14:21:25 Aorus-Ultra-Ryzen gnome-shell[897367]: message repeated 2 
times: [ [Child 897367, MediaDecoderStateMachine #1] WARNING: 
Decoder=7f08246e5000 Decode error: NS_ERROR_OUT_OF_MEMORY (0x8007000e) - 
mozilla::MediaResult 
mozilla::FFmpegVideoDecoder<46465650>::CreateImage(int64_t, int64_t, int64_t, 
MediaDataDecoder::DecodedData &): image allocation error: file 
/build/firefox-k3d8Rk/firefox-78.0.2+build2/dom/media/MediaDecoderStateMachine.cpp,
 line 3470]


after that anything GUI, keyboard or mouse related was totally unresponsive. 

there were other entries in syslog after that, and ping worked into this
frozen machine. So the whole OS didn't crash. Only GUI related.

I hope this helps.


lsb_release -rd
Description:Ubuntu 20.04 LTS
Release:20.04


apt-cache policy firefox
firefox:
  Installed: 78.0.2+build2-0ubuntu0.20.04.1
  Candidate: 78.0.2+build2-0ubuntu0.20.04.1
  Version table:
 *** 78.0.2+build2-0ubuntu0.20.04.1 500
500 http://fi.archive.ubuntu.com/ubuntu focal-updates/main amd64 
Packages
500 http://security.ubuntu.com/ubuntu focal-security/main amd64 Packages
100 /var/lib/dpkg/status
 75.0+build3-0ubuntu1 500
500 http://fi.archive.ubuntu.com/ubuntu focal/main amd64 Packages


I'm sure this is a bug. The same effect has happened 3 times in 30 days. I 
didn't check the previous syslog which error message there was.

** Affects: pulseaudio (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1887821

Title:
  gnome-shell GUI freezes totally

Status in pulseaudio package in Ubuntu:
  New

Bug description:
  I'm using basic Ubuntu 20.04 and GUI (gnome?) freezes totally. 
  - I was running Firefox 78.0.2 and watching Youtube. The video and sound 
stopped.
  - Keyboard was unresponsive, can't get into console, and for example pressing 
caps lock/num lock didn't toggle keyboard leds.
  - mouse didn't move.
  - The whole computer and OS didn't crash I suppose. I could ping the computer 
from another computer. and there were entries in /var/log/syslog after the GUI 
freeze.

  What ever happened I can find some indicating in /var/log/syslog:

  Crash happened 14:21 local time which pinpoints the bug into these
  entries:

  
  Jul 16 14:21:24 Aorus-Ultra-Ryzen gnome-shell[897367]: [Child 897367, 
ImageBridgeChld] WARNING: failed to open shm: Too many open files: file 
/build/firefox-k3d8Rk/firefox-78.0.2+build2/ipc/chromium/src/base/shared_memory_posix.cc,
 line 246
  Jul 16 14:21:24 Aorus-Ultra-Ryzen gnome-shell[897367]: [Child 897367, 
MediaDecoderStateMachine #1] WARNING: Decoder=7f08246e5000 Decode error: 
NS_ERROR_OUT_OF_MEMORY (0x8007000e) - mozilla::MediaResult 
mozilla::FFmpegVideoDecoder<46465650>::CreateImage(int64_t, int64_t, int64_t, 
MediaDataDecoder::DecodedData &): image allocation error: file 
/build/firefox-k3d8Rk/firefox-78.0.2+build2/dom/media/MediaDecoderStateMachine.cpp,
 line 3470
  Jul 16 14:21:25 Aorus-Ultra-Ryzen gnome-shell[897367]: message repeated 2 
times: [ [Child 897367, MediaDecoderStateMachine #1] WARNING: 
Decoder=7f08246e5000 Decode error: NS_ERROR_OUT_OF_MEMORY (0x8007000e) - 
mozilla::MediaResult 
mozilla::FFmpegVideoDecoder<46465650>::CreateImage(int64_t, int64_t, int64_t, 
MediaDataDecoder::DecodedData &): image allocation error: file 
/build/firefox-k3d8Rk/firefox-78.0.2+build2/dom/media/MediaDecoderStateMachine.cpp,
 line 3470]

  
  after that anything GUI, keyboard or mouse related was totally unresponsive. 

  there were other 

[Touch-packages] [Bug 1882161] Re: module-switch-on-port-avaiable: switch the port on ucm devices based on the priority

2020-07-16 Thread Rex Tsai
Hi, Lukas and SRU taem

This one is blocking another SRU[1] for a certification platform.

If we would like land the #1887610 soon to meet the project schedule,
what would be the best approach to do this?

- Can we reduce the review time for this SRU, since it's verified?
- Or should we merge two SRU into one?

[1] https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1887610

** Changed in: oem-priority
 Assignee: (unassigned) => Kai-Chuan Hsieh (kchsieh)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1882161

Title:
  module-switch-on-port-avaiable: switch the port on ucm devices based
  on the priority

Status in HWE Next:
  New
Status in OEM Priority Project:
  New
Status in pulseaudio package in Ubuntu:
  Fix Released
Status in pulseaudio source package in Focal:
  Fix Committed
Status in pulseaudio source package in Groovy:
  Fix Released

Bug description:
  [Impact]

   * On the Dell machines with multi function audio jack, the
     headphone/headset can't output sound automatically, which is different
     from ubuntu 18.04. The headphone/headset should be able to  output
     sound automatically after plugging in the audio jack.

  [Test Case]

   * On Tiger Lake platform
     Reproduce step:
     1. plug headphone/headset
     2. open g-c-c sound to check

     Expect result: The output device should switch to headphone or headset,
    since headphone's priority is higher in ucm2 config.
     Actual result: The output device is still internal speaker.

  [Regression Potential]

   * The change insert the ucm device by its priority, the potential
 regression is low, since if the change is not working properly, the 
 side effect is that the order of ucm devices are wrong, and it won't 
 switch to the correct output device as expect, but user can still
 config it manually.

  [Other]

   * This bug originates from an OEM private bug #1875597, then ubuntu users
     reported 2 public bugs #1871329 and #1881659. The 2nd issue of #1871329
     and the 1st issue of #1881659 have the same root cause as #1875597

   * The root cause is the ucm2 conf defines 2 input devices: the Mic2 and
     Headset MIC, and the pulseaudio parse the input device Headset MIC
     first then Mic2, finally the audio jack is set to Mic2 mode, this make
     the audio jack can't output sound anymore. To fix it, let the audio
     jack set to Headset MIC mode by default (Headset MIC has higher
     priority than Mic2 in the ucm2 conf), to do so, let pulseaudio send the
     device event to module-switch-on-port-available by the order of
     priority in the umc2.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1882161/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1735871] Re: package apport 2.20.1-0ubuntu2.10 failed to install/upgrade: subprocess new pre-removal script returned error exit status 1

2020-07-16 Thread Kai Kasurinen
*** This bug is a duplicate of bug 1727975 ***
https://bugs.launchpad.net/bugs/1727975

** This bug has been marked a duplicate of bug 1727975
   package python-libxml2 2.9.3+dfsg1-1ubuntu0.3 failed to install/upgrade: 子进程 
已安装 post-installation 脚本 返回错误状态 1

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1735871

Title:
  package apport 2.20.1-0ubuntu2.10 failed to install/upgrade:
  subprocess new pre-removal script returned error exit status 1

Status in apport package in Ubuntu:
  New

Bug description:
  it cannot be installed!

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: apport 2.20.1-0ubuntu2.10
  ProcVersionSignature: Ubuntu 4.10.0-38.42~16.04.1-generic 4.10.17
  Uname: Linux 4.10.0-38-generic x86_64
  ApportLog:
   
  ApportVersion: 2.20.1-0ubuntu2.10
  Architecture: amd64
  Date: Sat Dec  2 10:44:24 2017
  ErrorMessage: subprocess new pre-removal script returned error exit status 1
  InstallationDate: Installed on 2017-10-24 (38 days ago)
  InstallationMedia: Ubuntu 16.04.3 LTS "Xenial Xerus" - Release amd64 
(20170801)
  PackageArchitecture: all
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1.2
   apt  1.2.24
  SourcePackage: apport
  Title: package apport 2.20.1-0ubuntu2.10 failed to install/upgrade: 
subprocess new pre-removal script returned error exit status 1
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1735871/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887610] Re: [SRU]There is no available audio entry in sound settings after execute suspend in 'Performance mode'

2020-07-16 Thread Rex Tsai
** Also affects: oem-priority
   Importance: Undecided
   Status: New

** Changed in: oem-priority
   Importance: Undecided => Critical

** Changed in: oem-priority
 Assignee: (unassigned) => Shengyao Xue (xueshengyao)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1887610

Title:
  [SRU]There is no available audio entry in sound settings after execute
  suspend in 'Performance mode'

Status in HWE Next:
  New
Status in OEM Priority Project:
  New
Status in pulseaudio package in Ubuntu:
  Fix Committed
Status in pulseaudio source package in Bionic:
  Confirmed
Status in pulseaudio source package in Eoan:
  Won't Fix
Status in pulseaudio source package in Focal:
  Fix Committed
Status in pulseaudio source package in Groovy:
  Fix Committed

Bug description:
  [Impact]
  On some I+N machines (inlcuding lenovo and dell machines), after
  setting the graphic mode to perofermance mode, and open the gnome
  sound seting, run suspend/resume test, the audio devices will
  disappear from UI, instead a dummy audio shows on the UI, and from
  then on, the audio can't work anymore.

  [Fix]
  The root cause is after resuming, the pulseaudio try to recover the
  PCM device, but at that moment, the devices nodes at /dev/snd/ are
  not accessible yet sometimes, it will make snd_pcm_open fail and
  the pulseaudio will calll unload_module to unload alsa audio card.
  I cherrpicked a fix from upstream, the fix adds retry and pa_msleep(),
  this will retry the snd_pcm_open() a couple of times if it fails.

  [Test Case]
  Install the pulseaudio wit this fix, set the graphic mode to
  performance mode, open the sound setting, then run suspend/resume 90
  times, after test check the audio devices on the UI, the speaker,
  digital mic are still on the UI, and they could work well.

  [Regression Risk]
  Low, this SRU just add retry and pa_msleep(), if the snd_pcm_open()
  doesn't fail, this patch will not introduce any change, if snd_pcm_open()
  fails, it just retry a couple of times, so it will not introduce the
  regression in theory.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1887610/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1883880] Re: fix non-8-bit x86 displacements breaking AVX512 builds on Bionic

2020-07-16 Thread Christian Ehrhardt 
** Bug watch added: Debian Bug tracker #963702
   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=963702

** Also affects: binutils (Debian) via
   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=963702
   Importance: Unknown
   Status: Unknown

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to binutils in Ubuntu.
https://bugs.launchpad.net/bugs/1883880

Title:
  fix non-8-bit x86 displacements breaking AVX512 builds on Bionic

Status in binutils package in Ubuntu:
  Fix Released
Status in binutils source package in Bionic:
  Fix Committed
Status in binutils package in Debian:
  Unknown

Bug description:
  [Impact]

   * the assembler scales non 8 bit cases which was identified
 to break e.g. some AVX512 code. It is nasty as it isn't a compile/link/ 
 time error. Instead the instructions might silently be corrupted until 
 running. Things might even work on some but fail on other systems if 
 e.g. the AVX code paths only run on newer chips.

* The fix is upstream for a while and not re-changed again. Furthermore 
  it is in several Ubuntu releases without bugs due to that, which should 
  make the backport rather safe.

  [Test Case]

   * Simple example to trigger the bug:

  echo "vmovaps 0x40(,%rax,1),%zmm0" | as --64 -o avx.o && objdump -d
  avx.o | grep vmovaps

  The expected output is that the objdump output matches the vmovaps
  instruction input. When using binutils with the bug, the initial 0x40
  will be incorrect.

  Working:
  $ echo "vmovaps 0x40(,%rax,1),%zmm0" | as --64 -o avx.o && objdump -d avx.o | 
grep vmovaps
 0: 62 f1 7c 48 28 04 05 vmovaps 0x40(,%rax,1),%zmm0
  Failing:
  $ echo "vmovaps 0x40(,%rax,1),%zmm0" | as --64 -o avx.o && objdump -d avx.o | 
grep vmovaps
 0: 62 f1 7c 48 28 04 05 vmovaps 0x1(,%rax,1),%zmm0

  [Regression Potential]

   * Well, this is a double edged sword. On one hand this is fortunately a 
 small change and only affects something formerly clearly broken. So it 
 should be good and only change cases formerly being bad.
 But OTOH binutils areused in so many cases that I feel unable to say
 "nothing will happen". The change goes to the gnu assembler, so that is 
 the place to look out for regressions.

  [Other Info]
   
   * needs a sponsor experienced with binutils to check potential pitfalls


  
  ---

  
  Hi,
  DPDK has run into some issues in the past
   https://bugs.dpdk.org/show_bug.cgi?id=97
   https://bugs.dpdk.org/show_bug.cgi?id=249

  Eventually the issues got resolved in binutils via
   https://sourceware.org/bugzilla/show_bug.cgi?id=23465

  After binutils is fixed people rebuilding DPDK themselve can use
   http://patches.dpdk.org/patch/71679/
  to gain more performance while on Bionics bintuils level.

  Note: Bionic is on DPDK 17.11.x which will not get further stable release 
afaik. But quite often people build their own DPDK. In fact this came up as a 
request from Openvswitch upstream/Intel to allow such builds on Bionic.
  I'd ping those people about the bug and ask them to participate in the 
verification if this becomes an SRU.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/binutils/+bug/1883880/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887478] Re: missing symlinks for login and logout files used by gnome

2020-07-16 Thread Sebastien Bacher
Why should that be done in the package and isn't done upstream? Also how
do you test those service, using what desktop?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to sound-theme-freedesktop in
Ubuntu.
https://bugs.launchpad.net/bugs/1887478

Title:
  missing symlinks for login and logout files used by gnome

Status in sound-theme-freedesktop package in Ubuntu:
  Incomplete

Bug description:
  Merge request submitted upstream in Debian to fix the issue.
  https://salsa.debian.org/gnome-team/sound-theme-freedesktop/-/merge_requests/1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/sound-theme-freedesktop/+bug/1887478/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887807] Re: KDE doesn't prompt whether headphones or a headset is plugged in

2020-07-16 Thread Sebastien Bacher
The desktop integration is not up to pulseaudio, reassigning to KDE

** Package changed: pulseaudio (Ubuntu) => kdebase (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1887807

Title:
  KDE doesn't prompt whether headphones or a headset is plugged in

Status in kdebase package in Ubuntu:
  New

Bug description:
  As a follow-up from:
  https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1876056

  I have a Dell XPS 7590 with a combined headset jack. As I understood
  from the previous ticket 1876056, when on Ubuntu you plug in
  something, it will prompt you what you plugged in: either a headset or
  headphones. Kubuntu doesn't do this. This means that it will never
  automatically switch to the headset microphone when I plug it in, even
  though I never ever use headphones on this laptop.

  So it would be great if Kubuntu would prompt me what I plugged in and
  allow me to either select every time or select the default option when
  I plug something in.

  For now I'm working around this by adding

  [Jack Headphone Mic]
  state.plugged = no
  state.unplugged = unknown

  [Jack Headset Mic]
  state.plugged = no
  state.unplugged = unknown

  to /usr/share/pulseaudio/alsa-mixer/paths/analog-input-internal-
  mic.conf but after each update of pulseaudio this file gets reverted.
  And it's not really user friendly.

  I'm really not sure against what package I should report this - please
  correct me if this should be more specific (e.g. phonon or kde
  multimedia). I wouldn't know which part this would be.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/kdebase/+bug/1887807/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887796] Re: Bluetooth headset cant set output as A2DP sink while using the mic as input device

2020-07-16 Thread Sebastien Bacher
Thank you for taking the time to report this bug and helping to make
Ubuntu better. Please execute the following command, as it will
automatically gather debugging information, in a terminal:

  apport-collect 1887796

When reporting bugs in the future please use apport by using 'ubuntu-
bug' and the name of the package affected. You can learn more about this
functionality at https://wiki.ubuntu.com/ReportingBugs.

** Changed in: bluez (Ubuntu)
   Importance: Undecided => Low

** Changed in: bluez (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bluez in Ubuntu.
https://bugs.launchpad.net/bugs/1887796

Title:
  Bluetooth headset cant set output as A2DP sink while using the mic as
  input device

Status in bluez package in Ubuntu:
  Incomplete

Bug description:
  I have the popular Sony WH-100XM3 headset.

  I can connect to the headset fine using bluetooth. I set the Output
  device in Sound Option, there are two configurations A2DP Sink (sounds
  great) and HSP/HFP (sounds terrible).

  If I set the input device to the headset, it silently switches the
  output configuration to HSP/HFP and so the audio sounds terrible.

  If I then switch the output configuation back to A2DP sink, the audio
  output sounds good again, but then the input device switches to
  something else.

  So the problem is that I cant use the headset as audio input while
  having the good-sounding output configuration.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/1887796/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1883880] Re: fix non-8-bit x86 displacements breaking AVX512 builds on Bionic

2020-07-16 Thread Christian Ehrhardt 
Autopkgtest issues resolved, all good now.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to binutils in Ubuntu.
https://bugs.launchpad.net/bugs/1883880

Title:
  fix non-8-bit x86 displacements breaking AVX512 builds on Bionic

Status in binutils package in Ubuntu:
  Fix Released
Status in binutils source package in Bionic:
  Fix Committed

Bug description:
  [Impact]

   * the assembler scales non 8 bit cases which was identified
 to break e.g. some AVX512 code. It is nasty as it isn't a compile/link/ 
 time error. Instead the instructions might silently be corrupted until 
 running. Things might even work on some but fail on other systems if 
 e.g. the AVX code paths only run on newer chips.

* The fix is upstream for a while and not re-changed again. Furthermore 
  it is in several Ubuntu releases without bugs due to that, which should 
  make the backport rather safe.

  [Test Case]

   * Simple example to trigger the bug:

  echo "vmovaps 0x40(,%rax,1),%zmm0" | as --64 -o avx.o && objdump -d
  avx.o | grep vmovaps

  The expected output is that the objdump output matches the vmovaps
  instruction input. When using binutils with the bug, the initial 0x40
  will be incorrect.

  Working:
  $ echo "vmovaps 0x40(,%rax,1),%zmm0" | as --64 -o avx.o && objdump -d avx.o | 
grep vmovaps
 0: 62 f1 7c 48 28 04 05 vmovaps 0x40(,%rax,1),%zmm0
  Failing:
  $ echo "vmovaps 0x40(,%rax,1),%zmm0" | as --64 -o avx.o && objdump -d avx.o | 
grep vmovaps
 0: 62 f1 7c 48 28 04 05 vmovaps 0x1(,%rax,1),%zmm0

  [Regression Potential]

   * Well, this is a double edged sword. On one hand this is fortunately a 
 small change and only affects something formerly clearly broken. So it 
 should be good and only change cases formerly being bad.
 But OTOH binutils areused in so many cases that I feel unable to say
 "nothing will happen". The change goes to the gnu assembler, so that is 
 the place to look out for regressions.

  [Other Info]
   
   * needs a sponsor experienced with binutils to check potential pitfalls


  
  ---

  
  Hi,
  DPDK has run into some issues in the past
   https://bugs.dpdk.org/show_bug.cgi?id=97
   https://bugs.dpdk.org/show_bug.cgi?id=249

  Eventually the issues got resolved in binutils via
   https://sourceware.org/bugzilla/show_bug.cgi?id=23465

  After binutils is fixed people rebuilding DPDK themselve can use
   http://patches.dpdk.org/patch/71679/
  to gain more performance while on Bionics bintuils level.

  Note: Bionic is on DPDK 17.11.x which will not get further stable release 
afaik. But quite often people build their own DPDK. In fact this came up as a 
request from Openvswitch upstream/Intel to allow such builds on Bionic.
  I'd ping those people about the bug and ask them to participate in the 
verification if this becomes an SRU.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/binutils/+bug/1883880/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887807] [NEW] KDE doesn't prompt whether headphones or a headset is plugged in

2020-07-16 Thread Egbert van der Wal
Public bug reported:

As a follow-up from:
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1876056

I have a Dell XPS 7590 with a combined headset jack. As I understood
from the previous ticket 1876056, when on Ubuntu you plug in something,
it will prompt you what you plugged in: either a headset or headphones.
Kubuntu doesn't do this. This means that it will never automatically
switch to the headset microphone when I plug it in, even though I never
ever use headphones on this laptop.

So it would be great if Kubuntu would prompt me what I plugged in and
allow me to either select every time or select the default option when I
plug something in.

For now I'm working around this by adding

[Jack Headphone Mic]
state.plugged = no
state.unplugged = unknown

[Jack Headset Mic]
state.plugged = no
state.unplugged = unknown

to /usr/share/pulseaudio/alsa-mixer/paths/analog-input-internal-mic.conf
but after each update of pulseaudio this file gets reverted. And it's
not really user friendly.

I'm really not sure against what package I should report this - please
correct me if this should be more specific (e.g. phonon or kde
multimedia). I wouldn't know which part this would be.

** Affects: pulseaudio (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1887807

Title:
  KDE doesn't prompt whether headphones or a headset is plugged in

Status in pulseaudio package in Ubuntu:
  New

Bug description:
  As a follow-up from:
  https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1876056

  I have a Dell XPS 7590 with a combined headset jack. As I understood
  from the previous ticket 1876056, when on Ubuntu you plug in
  something, it will prompt you what you plugged in: either a headset or
  headphones. Kubuntu doesn't do this. This means that it will never
  automatically switch to the headset microphone when I plug it in, even
  though I never ever use headphones on this laptop.

  So it would be great if Kubuntu would prompt me what I plugged in and
  allow me to either select every time or select the default option when
  I plug something in.

  For now I'm working around this by adding

  [Jack Headphone Mic]
  state.plugged = no
  state.unplugged = unknown

  [Jack Headset Mic]
  state.plugged = no
  state.unplugged = unknown

  to /usr/share/pulseaudio/alsa-mixer/paths/analog-input-internal-
  mic.conf but after each update of pulseaudio this file gets reverted.
  And it's not really user friendly.

  I'm really not sure against what package I should report this - please
  correct me if this should be more specific (e.g. phonon or kde
  multimedia). I wouldn't know which part this would be.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/1887807/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1883880] Re: fix non-8-bit x86 displacements breaking AVX512 builds on Bionic

2020-07-16 Thread Christian Ehrhardt 
with:
2.30-21ubuntu1~18.04.3

root@b:~# echo "vmovaps 0x40(,%rax,1),%zmm0" | as --64 -o avx.o && objdump -d 
avx.o | grep vmovaps
   0:   62 f1 7c 48 28 04 05vmovaps 0x1(,%rax,1),%zmm0


with:
2.30-21ubuntu1~18.04.4

root@b:~# echo "vmovaps 0x40(,%rax,1),%zmm0" | as --64 -o avx.o && objdump -d 
avx.o | grep vmovaps
   0:   62 f1 7c 48 28 04 05vmovaps 0x40(,%rax,1),%zmm0

Setting verified, but please feel free to
a) keep this in proposed a bit longer
b) @Harry could you test the proposed changes to the OVS build system again?

** Tags removed: verification-needed verification-needed-bionic
** Tags added: verification-done verification-done-bionic

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to binutils in Ubuntu.
https://bugs.launchpad.net/bugs/1883880

Title:
  fix non-8-bit x86 displacements breaking AVX512 builds on Bionic

Status in binutils package in Ubuntu:
  Fix Released
Status in binutils source package in Bionic:
  Fix Committed

Bug description:
  [Impact]

   * the assembler scales non 8 bit cases which was identified
 to break e.g. some AVX512 code. It is nasty as it isn't a compile/link/ 
 time error. Instead the instructions might silently be corrupted until 
 running. Things might even work on some but fail on other systems if 
 e.g. the AVX code paths only run on newer chips.

* The fix is upstream for a while and not re-changed again. Furthermore 
  it is in several Ubuntu releases without bugs due to that, which should 
  make the backport rather safe.

  [Test Case]

   * Simple example to trigger the bug:

  echo "vmovaps 0x40(,%rax,1),%zmm0" | as --64 -o avx.o && objdump -d
  avx.o | grep vmovaps

  The expected output is that the objdump output matches the vmovaps
  instruction input. When using binutils with the bug, the initial 0x40
  will be incorrect.

  Working:
  $ echo "vmovaps 0x40(,%rax,1),%zmm0" | as --64 -o avx.o && objdump -d avx.o | 
grep vmovaps
 0: 62 f1 7c 48 28 04 05 vmovaps 0x40(,%rax,1),%zmm0
  Failing:
  $ echo "vmovaps 0x40(,%rax,1),%zmm0" | as --64 -o avx.o && objdump -d avx.o | 
grep vmovaps
 0: 62 f1 7c 48 28 04 05 vmovaps 0x1(,%rax,1),%zmm0

  [Regression Potential]

   * Well, this is a double edged sword. On one hand this is fortunately a 
 small change and only affects something formerly clearly broken. So it 
 should be good and only change cases formerly being bad.
 But OTOH binutils areused in so many cases that I feel unable to say
 "nothing will happen". The change goes to the gnu assembler, so that is 
 the place to look out for regressions.

  [Other Info]
   
   * needs a sponsor experienced with binutils to check potential pitfalls


  
  ---

  
  Hi,
  DPDK has run into some issues in the past
   https://bugs.dpdk.org/show_bug.cgi?id=97
   https://bugs.dpdk.org/show_bug.cgi?id=249

  Eventually the issues got resolved in binutils via
   https://sourceware.org/bugzilla/show_bug.cgi?id=23465

  After binutils is fixed people rebuilding DPDK themselve can use
   http://patches.dpdk.org/patch/71679/
  to gain more performance while on Bionics bintuils level.

  Note: Bionic is on DPDK 17.11.x which will not get further stable release 
afaik. But quite often people build their own DPDK. In fact this came up as a 
request from Openvswitch upstream/Intel to allow such builds on Bionic.
  I'd ping those people about the bug and ask them to participate in the 
verification if this becomes an SRU.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/binutils/+bug/1883880/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887744] Re: systemd dumps core on starting service: Assertion 'u->instance' failed at src/core/load-fragment.c:4798

2020-07-16 Thread Jeff Turner
Replicated on my local Ubuntu 20.04 system with systemd
245.4-4ubuntu3.1.

It's a PEBCAK error where a user writes a .service file containing %i's,
but instead of naming the file foo@bar.service, just names it
foo.service. To replicate:

cd /etc/systemd/system
curl -s -o testemail2jira.service 
'https://hg.sr.ht/~redradishtech/testemail2jira/raw/testemail2jira%40.service?rev=tip'
systemctl daemon-reload
systemctl start testemail2jira

On one of the last two steps everything freezes, errors start appearing:

[system] Failed to activate service 'org.freedesktop.systemd1': timed
out (service_start_timeout=25000ms)

and /var/crash/_usr_lib_systemd_systemd.0.crash is created.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1887744

Title:
  systemd dumps core on starting service: Assertion 'u->instance' failed
  at src/core/load-fragment.c:4798

Status in systemd package in Ubuntu:
  New

Bug description:
  On an Ubuntu 20.04 server, when I started a newly installed systemd
  service 'systemctl start testemail2jira.service', systemd trips on an
  assertion (from journalctl):

  Jul 16 13:49:12 pangolin-jiraconf systemd[1]: Assertion 'u->instance' failed 
at src/core/load-fragment.c:4798, function unit_load_fragment(). Aborting.
  Jul 16 13:49:13 pangolin-jiraconf systemd[1]: Caught , dumped core as 
pid 2906637.
  Jul 16 13:49:13 pangolin-jiraconf systemd[1]: Freezing execution.

  apport generates a core dump which I trust is attached.

  The server still works, but my terminal keeps showing:

  Failed to get properties: Failed to activate service
  'org.freedesktop.systemd1': timed out (service_start_timeout=25000ms)

  and pauses for 25s after each command.

  In case it's relevant, the  i was trying to start had just
  been symlinked into /etc/systemd/system/:

  root@pangolin-jiraconf # ls -la /etc/systemd/system/testemail2jira.service
  lrwxrwxrwx 1 root root 82 Jul 16 13:48 
/etc/systemd/system/testemail2jira.service -> 
/opt/atlassian/jira/current/emailprocessing/testemail2jira/testemail2jira@.service

  File contents:

  [Unit]
  Description=Check that email to %i JIRA works

  [Service]
  #Type=oneshot
  # Note: I keep the config file, testemail2jira.json5 and rsa.* files in 
emailprocessing/, one directory below testemail2jira/, so that they can be 
version-controlled independently.
  # If you want testemail2jira.json5 and rsa.* within testemail2jira/, then add 
testemail2jira/ to WorkingDirectory and remove it from the ExecStart command
  WorkingDirectory=/opt/atlassian/%i/current/emailprocessing
  
ExecStart=/opt/atlassian/%i/current/emailprocessing/testemail2jira/venv/bin/python
 testemail2jira/testemail2jira.py
  User=root

  [Install] 
  WantedBy=multi-user.target

  
  Perhaps the problem is that my service file is a template 
(testemail2jira@.service), but I symlinked it as a regular 
'testemail2jira.service'.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: systemd 245.4-4ubuntu3.1
  ProcVersionSignature: Ubuntu 5.4.0-39.43-generic 5.4.41
  Uname: Linux 5.4.0-39-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
  ApportVersion: 2.20.11-0ubuntu27.3
  Architecture: amd64
  CasperMD5CheckResult: skip
  Date: Thu Jul 16 14:13:06 2020
  InstallationDate: Installed on 2020-05-27 (49 days ago)
  InstallationMedia: Ubuntu-Server 20.04 LTS "Focal Fossa" - Release amd64 
(20200423)
  Lsusb: Error: command ['lsusb'] failed with exit code 1:
  Lsusb-t:
   
  Lsusb-v: Error: command ['lsusb', '-v'] failed with exit code 1:
  MachineType: QEMU Standard PC (Q35 + ICH9, 2009)
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-39-generic root=/dev/sda ro 
console=ttyS0,19200n8 net.ifnames=0
  SourcePackage: systemd
  SystemdFailedUnits: Error: command ['systemctl', 'status', '--full', 
'Error:'] failed with exit code 1: Failed to get properties: Failed to activate 
service 'org.freedesktop.systemd1': timed out (service_start_timeout=25000ms)
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 04/01/2014
  dmi.bios.vendor: SeaBIOS
  dmi.bios.version: rel-1.12.0-0-ga698c8995f-prebuilt.qemu.org
  dmi.chassis.type: 1
  dmi.chassis.vendor: QEMU
  dmi.chassis.version: pc-q35-3.1
  dmi.modalias: 
dmi:bvnSeaBIOS:bvrrel-1.12.0-0-ga698c8995f-prebuilt.qemu.org:bd04/01/2014:svnQEMU:pnStandardPC(Q35+ICH9,2009):pvrpc-q35-3.1:cvnQEMU:ct1:cvrpc-q35-3.1:
  dmi.product.name: Standard PC (Q35 + ICH9, 2009)
  dmi.product.version: pc-q35-3.1
  dmi.sys.vendor: QEMU

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1887744/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1857639] Re: DNS server capability detection is broken and has fatal consequences to resolving when DNSSEC is enabled

2020-07-16 Thread Avamander
** Summary changed:

- DNS server capability detection is broken and has critical consequences when 
DNSSEC is enabled
+ DNS server capability detection is broken and has fatal consequences to 
resolving when DNSSEC is enabled

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1857639

Title:
  DNS server capability detection is broken and has fatal consequences
  to resolving when DNSSEC is enabled

Status in systemd package in Ubuntu:
  Confirmed

Bug description:
  I'm running Ubuntu 19.10

  I'm on latest version available from repositories, systemd 242

  I'm expecting upstream DNS server capabilities being detected
  correctly and DNSSEC to keep working. Alternatively I'd expect a
  method of disabling capability checks instead of DNSSEC.

  Currently instead resolved misdetect features suddenly, stops
  resolving all together (fails closed, which is somewhat good).
  Capability reset is a very temporary fix.

  A suggested fix could be (ordered based on how nice of a solution it
  is):

  a. The capability detection is fixed
  (https://github.com/systemd/systemd/issues/9384)

  b. Force-disabling capability detection exists (this is what I also
  requested here: https://github.com/systemd/systemd/issues/14435)

  c. Patch Ubuntu version not to allow such a foot gun, update
  documentation (this is theoretically what Ubuntu could do meanwhile)

  d. Remove DNSSEC from resolved

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1857639/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887542] Re: apparmor 2.13.3-7ubuntu6 ADT test failure with linux-5.8 5.8.0-6.7

2020-07-16 Thread Seth Forshee
This is a new failure, an autopkgtest run on July 7 did not have these
failures whereas a run on July 14 did, so something happened between
those dates. As noted I also seen tests with 5.4 and 5.7 kernels showing
the same errors:

http://autopkgtest.ubuntu.com/packages/a/apparmor

There the first failures appear on July 9, though there are tests
triggered by pam which pass after the first failures appears, which is
kind of odd. Both these pam-triggered tests and some later tests
triggered by tor which failed are using the 5.4.0-26 kernel though.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor in Ubuntu.
https://bugs.launchpad.net/bugs/1887542

Title:
  apparmor 2.13.3-7ubuntu6 ADT test failure with linux-5.8 5.8.0-6.7

Status in apparmor package in Ubuntu:
  New

Bug description:
  Testing failed on:
  amd64: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/amd64/a/apparmor/20200714_133743_4383d@/log.gz
  arm64: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/arm64/a/apparmor/20200714_14_bc148@/log.gz
  armhf: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/armhf/a/apparmor/20200714_141429_e2c2b@/log.gz
  ppc64el: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/ppc64el/a/apparmor/20200714_121607_23fa9@/log.gz
  s390x: 
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-groovy-canonical-kernel-team-bootstrap/groovy/s390x/a/apparmor/20200714_120404_d5ecf@/log.gz

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apparmor/+bug/1887542/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887744] Re: systemd dumps core on starting service: Assertion 'u->instance' failed at src/core/load-fragment.c:4798

2020-07-16 Thread Jeff Turner
Attached is /var/crash/_usr_lib_systemd_systemd.0.crash

** Attachment added: "/var/crash/_usr_lib_systemd_systemd.0.crash"
   
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1887744/+attachment/5393190/+files/_usr_lib_systemd_systemd.0.crash

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1887744

Title:
  systemd dumps core on starting service: Assertion 'u->instance' failed
  at src/core/load-fragment.c:4798

Status in systemd package in Ubuntu:
  New

Bug description:
  On an Ubuntu 20.04 server, when I started a newly installed systemd
  service 'systemctl start testemail2jira.service', systemd trips on an
  assertion (from journalctl):

  Jul 16 13:49:12 pangolin-jiraconf systemd[1]: Assertion 'u->instance' failed 
at src/core/load-fragment.c:4798, function unit_load_fragment(). Aborting.
  Jul 16 13:49:13 pangolin-jiraconf systemd[1]: Caught , dumped core as 
pid 2906637.
  Jul 16 13:49:13 pangolin-jiraconf systemd[1]: Freezing execution.

  apport generates a core dump which I trust is attached.

  The server still works, but my terminal keeps showing:

  Failed to get properties: Failed to activate service
  'org.freedesktop.systemd1': timed out (service_start_timeout=25000ms)

  and pauses for 25s after each command.

  In case it's relevant, the  i was trying to start had just
  been symlinked into /etc/systemd/system/:

  root@pangolin-jiraconf # ls -la /etc/systemd/system/testemail2jira.service
  lrwxrwxrwx 1 root root 82 Jul 16 13:48 
/etc/systemd/system/testemail2jira.service -> 
/opt/atlassian/jira/current/emailprocessing/testemail2jira/testemail2jira@.service

  File contents:

  [Unit]
  Description=Check that email to %i JIRA works

  [Service]
  #Type=oneshot
  # Note: I keep the config file, testemail2jira.json5 and rsa.* files in 
emailprocessing/, one directory below testemail2jira/, so that they can be 
version-controlled independently.
  # If you want testemail2jira.json5 and rsa.* within testemail2jira/, then add 
testemail2jira/ to WorkingDirectory and remove it from the ExecStart command
  WorkingDirectory=/opt/atlassian/%i/current/emailprocessing
  
ExecStart=/opt/atlassian/%i/current/emailprocessing/testemail2jira/venv/bin/python
 testemail2jira/testemail2jira.py
  User=root

  [Install] 
  WantedBy=multi-user.target

  
  Perhaps the problem is that my service file is a template 
(testemail2jira@.service), but I symlinked it as a regular 
'testemail2jira.service'.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: systemd 245.4-4ubuntu3.1
  ProcVersionSignature: Ubuntu 5.4.0-39.43-generic 5.4.41
  Uname: Linux 5.4.0-39-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
  ApportVersion: 2.20.11-0ubuntu27.3
  Architecture: amd64
  CasperMD5CheckResult: skip
  Date: Thu Jul 16 14:13:06 2020
  InstallationDate: Installed on 2020-05-27 (49 days ago)
  InstallationMedia: Ubuntu-Server 20.04 LTS "Focal Fossa" - Release amd64 
(20200423)
  Lsusb: Error: command ['lsusb'] failed with exit code 1:
  Lsusb-t:
   
  Lsusb-v: Error: command ['lsusb', '-v'] failed with exit code 1:
  MachineType: QEMU Standard PC (Q35 + ICH9, 2009)
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-39-generic root=/dev/sda ro 
console=ttyS0,19200n8 net.ifnames=0
  SourcePackage: systemd
  SystemdFailedUnits: Error: command ['systemctl', 'status', '--full', 
'Error:'] failed with exit code 1: Failed to get properties: Failed to activate 
service 'org.freedesktop.systemd1': timed out (service_start_timeout=25000ms)
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 04/01/2014
  dmi.bios.vendor: SeaBIOS
  dmi.bios.version: rel-1.12.0-0-ga698c8995f-prebuilt.qemu.org
  dmi.chassis.type: 1
  dmi.chassis.vendor: QEMU
  dmi.chassis.version: pc-q35-3.1
  dmi.modalias: 
dmi:bvnSeaBIOS:bvrrel-1.12.0-0-ga698c8995f-prebuilt.qemu.org:bd04/01/2014:svnQEMU:pnStandardPC(Q35+ICH9,2009):pvrpc-q35-3.1:cvnQEMU:ct1:cvrpc-q35-3.1:
  dmi.product.name: Standard PC (Q35 + ICH9, 2009)
  dmi.product.version: pc-q35-3.1
  dmi.sys.vendor: QEMU

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1887744/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885562] Re: [fips] freebl_fipsSoftwareIntegrityTest fails in FIPS mode

2020-07-16 Thread Dan Streetman
** Also affects: nss (Ubuntu Groovy)
   Importance: Medium
 Assignee: Dariusz Gadomski (dgadomski)
   Status: In Progress

** Also affects: nss (Ubuntu Focal)
   Importance: Undecided
   Status: New

** Changed in: nss (Ubuntu Focal)
 Assignee: (unassigned) => Dariusz Gadomski (dgadomski)

** Changed in: nss (Ubuntu Focal)
   Importance: Undecided => Medium

** Changed in: nss (Ubuntu Focal)
   Status: New => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to nss in Ubuntu.
https://bugs.launchpad.net/bugs/1885562

Title:
  [fips] freebl_fipsSoftwareIntegrityTest fails in FIPS mode

Status in nss package in Ubuntu:
  In Progress
Status in nss source package in Bionic:
  In Progress
Status in nss source package in Focal:
  In Progress
Status in nss source package in Groovy:
  In Progress

Bug description:
  In FIPS mode there are some additional checks performed.

  They lead to verifying binaries signatures. Those signatures are
  shipped in the libnss3 package as *.chk files installed in
  /usr/lib/$(DEB_HOST_MULTIARCH)/nss. Along with those files are the
  libraries themselves (libfreebl3.so  libfreeblpriv3.so  libnssckbi.so
  libnssdbm3.so  libsoftokn3.so).

  Those libraries are symlinked to be present in /usr/lib/$(DEB_HOST_MULTIARCH):
  ls -l /usr/lib/x86_64-linux-gnu/libfreeblpriv3.so
  lrwxrwxrwx 1 root root 21 Jun 10 18:54 
/usr/lib/x86_64-linux-gnu/libfreeblpriv3.so -> nss/libfreeblpriv3.so

  The client binaries are linked against the symlinks, so when the verification 
happens (lib/freebl/shvfy.c) the mkCheckFileName function takes path to the 
symlink to the shlib and replaces the .so extension with .chk.
  Then it tries to open that file. Obviosly it fails, because the actual file 
is in /usr/lib/$(DEB_HOST_MULTIARCH)/nss.

  [Test case]
  sudo apt install chrony
  sudo chronyd -d
  chronyd: util.c:373 UTI_IPToRefid: Assertion `MD5_hash >= 0' failed.

  Potential solutions:
  Solution A:
  Drop the /usr/lib/$(DEB_HOST_MULTIARCH)/nss directory and put all signatures 
and libs in /usr/lib/$(DEB_HOST_MULTIARCH).

  Solution B:
  Create symlinks to *.chk files in /usr/lib/$(DEB_HOST_MULTIARCH) (like it is 
done for *.so).

  Solution C:
  Implement and upstream NSS feature of resolving symlinks and looking for 
*.chk where the symlinks lead to.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nss/+bug/1885562/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1557157] Re: apparmor profile denied for saslauthd: /run/saslauthd/mux

2020-07-16 Thread Launchpad Bug Tracker
This bug was fixed in the package openldap - 2.4.42+dfsg-2ubuntu3.9

---
openldap (2.4.42+dfsg-2ubuntu3.9) xenial; urgency=medium

  [ Andreas Hasenack ]
  * d/p/ITS-9171-Insert-callback-in-the-right-place.patch: Import upstream
patch to fix slapd crashing in certain configurations when a client
attempts a login to a locked account. (LP: #1866303)

  [ Sergio Durigan Junior]
  * d/apparmor-profile: Update apparmor profile to grant access to
the saslauthd socket, so that SASL authentication works.  (LP: #1557157)

 -- Andreas Hasenack   Wed, 01 Jul 2020 16:33:08
-0300

** Changed in: openldap (Ubuntu Xenial)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openldap in Ubuntu.
https://bugs.launchpad.net/bugs/1557157

Title:
  apparmor profile denied for saslauthd: /run/saslauthd/mux

Status in openldap package in Ubuntu:
  Fix Released
Status in openldap source package in Trusty:
  Won't Fix
Status in openldap source package in Xenial:
  Fix Released
Status in openldap source package in Bionic:
  Fix Released
Status in openldap source package in Eoan:
  Fix Released
Status in openldap source package in Focal:
  Fix Released
Status in openldap source package in Groovy:
  Fix Released

Bug description:
  [Impact]

  When using openldap with sasl authentication, the slapd process will
  communicate with the saslauthd daemon via a socket in
  {,/var}/run/saslauthd/mux. Unfortunately, this will fail in every
  Ubuntu release from trusty onwards, because slapd's apparmor profile
  doesn't contain the necessary directive to allow it to read/write
  from/to the socket specified above.

  The fix is simple: just add the necessary directive to allow slapd to
  read/write from/to the saslauthd socket.

  [Test Case]

  One can reproduce the problem by doing:

  $ lxc launch ubuntu-daily:groovy openldap-bugbug1557157-groovy
  $ lxc shell openldap-bugbug1557157-groovy
  # apt install slapd sasl2-bin ldap-utils apparmor-utils

  (As the domain name, use "example.com").

  # sed -i -e 's/^START=.*/START=yes/' /etc/default/saslauthd
  # cat > /etc/ldap/sasl2/slapd.conf << __EOF__
  mech_list: PLAIN
  pwcheck_method: saslauthd
  __EOF__
  # adduser openldap sasl
  # aa-enforce /etc/apparmor.d/usr.sbin.slapd
  # systemctl restart slapd.service
  # systemctl restart saslauthd.service
  # passwd root

  (You can choose any password here. You will need to type it when
  running the next command.)

  # ldapsearch -H ldapi:/// -LLL -b 'dc=example,dc=com' -s base -U root
  -Y PLAIN

  The command will fail with something like:

  ldap_sasl_interactive_bind_s: Other (e.g., implementation specific) error (80)
  additional info: SASL(-1): generic failure: Password verification 
failed

  [Regression Potential]

  This is an extremely simple and well contained fix, so I don't
  envision any possible regressions after applying it.  It is important
  noticing that, since the problem affects older Ubuntu releases, the
  openldap package will have to be rebuilt against possible newer
  versions of libraries and other depencencies, which, albeit unlikely,
  may cause issues.

  [Original Description]

  When using slapd with saslauthd the processes communicate via the
  {,/var}/run/saslauthd/mux socket (this is the default location for the
  saslauthd server from the sasl2-bin package in the
  /etc/default/saslauthd config), but the apparmor profile for
  usr.sbin.slapd does not allow access to this socket/file.

  Syslog message:
  apparmor="DENIED" operation="connect" profile="/usr/sbin/slapd" 
name="/run/saslauthd/mux" pid=1880
  4 comm="slapd" requested_mask="r" denied_mask="r" fsuid=108 ouid=0

  Please add the following line to  /etc/apparmor.d/usr.sbin.slapd:
  /{,var/}run/saslauthd/mux rw,

  Ubuntu version: Ubuntu 14.04.4 LTS
  slapd version: 2.4.31-1+nmu2ubu

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1557157/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1866303] Re: slapd crash with pwdAccountLockedTime and stacked overlays

2020-07-16 Thread Launchpad Bug Tracker
This bug was fixed in the package openldap - 2.4.42+dfsg-2ubuntu3.9

---
openldap (2.4.42+dfsg-2ubuntu3.9) xenial; urgency=medium

  [ Andreas Hasenack ]
  * d/p/ITS-9171-Insert-callback-in-the-right-place.patch: Import upstream
patch to fix slapd crashing in certain configurations when a client
attempts a login to a locked account. (LP: #1866303)

  [ Sergio Durigan Junior]
  * d/apparmor-profile: Update apparmor profile to grant access to
the saslauthd socket, so that SASL authentication works.  (LP: #1557157)

 -- Andreas Hasenack   Wed, 01 Jul 2020 16:33:08
-0300

** Changed in: openldap (Ubuntu Xenial)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openldap in Ubuntu.
https://bugs.launchpad.net/bugs/1866303

Title:
  slapd crash with pwdAccountLockedTime and stacked overlays

Status in openldap package in Ubuntu:
  Fix Released
Status in openldap source package in Xenial:
  Fix Released
Status in openldap source package in Bionic:
  Fix Released
Status in openldap source package in Disco:
  Won't Fix
Status in openldap source package in Eoan:
  Fix Released
Status in openldap package in Debian:
  Fix Released

Bug description:
  [Impact]
  In the configuration and conditions described below, slapd can crash:

  1. ppolicy overlay configured with pwdLockout: TRUE
  2. smbk5pwd overlay stacked after ppolicy
  3. an account locked out via pwdAccountLockedTime
  4. a client binding to the locked-out account and also requesting the ppolicy 
control

  [Test Case]

  * get the files from the bug:
  mkdir slapd-test-case; cd slapd-test-case
  wget -ct0 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334194/+files/slapd.conf
 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334195/+files/data.ldif
 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334196/+files/samba.schema
 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334197/+files/script

  * run the script:
  sudo apt update && sudo sh ./script

  * With the bug, the result is:
  ldap_bind: Invalid credentials (49)
  slapd dead

  * If when confirming the bug you don't see "slapd dead" like above,
  check manually, as slapd might have been in the process of shutting
  down when the script checked its status: "sudo systemctl status slapd"

  * With the fixed packages, you get a living slapd at the end (you can
  run the script again on the same system after updating the packages):

  sudo sh ./script
  ...
  slapd running
  ldap_bind: Invalid credentials (49)
  slapd running

  [Regression Potential]
  The fix is in the password policy overlay (not enabled by default), so any 
regressions would be around that area and could potentially impact 
authentication ("binding") to openldap.

  [Other Info]
  This was fixed in focal and "cooked" there for a long while, as suggested by 
the Debian maintainer. We haven't received further bug reports about this in 
focal+.

  [Original Description]

  Hello,

  Please merge openldap 2.4.49+dfsg-2 from Debian unstable to fix an
  issue in the ppolicy overlay that can crash slapd. Please also
  consider SRUing the patch after it has had some testing time.

  Upstream: https://openldap.org/its/?findid=9171
  Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=953150

  The ingredients for the crash are:

  1: ppolicy overlay configured with pwdLockout: TRUE
  2. smbk5pwd overlay stacked after ppolicy
  3. an account locked out via pwdAccountLockedTime
  4. a client binding to the locked-out account and also requesting the ppolicy 
control

  The buggy code is not as specific as the above steps, so I suspect
  there are probably other configurations or steps that can trigger the
  same crash.

  I will attach my test script and data for reproducing the crash.

  Expected output (last lines):

  [ ok ] Starting OpenLDAP: slapd.
  slapd running
  ldap_bind: Invalid credentials (49)
  slapd running

  Actual output (last lines):

  [ ok ] Starting OpenLDAP: slapd.
  slapd running
  ldap_bind: Invalid credentials (49)
  slapd dead

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1864307] Re: Many apps have no icon in Software on Focal

2020-07-16 Thread AsciiWolf
** Changed in: gnome-software (Ubuntu Focal)
   Status: Triaged => Fix Released

** Changed in: gnome-software (Ubuntu)
   Status: Triaged => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-meta in Ubuntu.
https://bugs.launchpad.net/bugs/1864307

Title:
  Many apps have no icon in Software on Focal

Status in GNOME Software:
  Unknown
Status in snap-store-desktop:
  Fix Released
Status in gnome-software package in Ubuntu:
  Fix Released
Status in ubuntu-meta package in Ubuntu:
  Fix Released
Status in gnome-software source package in Focal:
  Fix Released
Status in ubuntu-meta source package in Focal:
  Fix Released

Bug description:
  Many applications have no icon displayed in GNOME Software 3.35.91 on
  latest Ubuntu Focal. See the attached screenshot.

  
  [Impact] 

   * Some apt packages do not include an icon in snap-store

  [Test Case]

   * Open snap-store, search for GCompris and confirm there is an
  appropriate icon

  [Regression Potential]

   * Very low.  Previous Ubuntu releases including apt-config-icons
  based on the depends in gnome-software.  This just adds an apt config
  that can be used to fetch icons for apt packages via apt.

To manage notifications about this bug go to:
https://bugs.launchpad.net/gnome-software/+bug/1864307/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1557157] Re: apparmor profile denied for saslauthd: /run/saslauthd/mux

2020-07-16 Thread Launchpad Bug Tracker
This bug was fixed in the package openldap - 2.4.45+dfsg-1ubuntu1.6

---
openldap (2.4.45+dfsg-1ubuntu1.6) bionic; urgency=medium

  [ Andreas Hasenack ]
  * d/p/ITS-9171-Insert-callback-in-the-right-place.patch: Import upstream
patch to fix slapd crashing in certain configurations when a client
attempts a login to a locked account. (LP: #1866303)

  [ Sergio Durigan Junior ]
  * d/apparmor-profile: Update apparmor profile to grant access to
the saslauthd socket, so that SASL authentication works.  (LP: #1557157)

 -- Andreas Hasenack   Wed, 01 Jul 2020 16:38:55
-0300

** Changed in: openldap (Ubuntu Bionic)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openldap in Ubuntu.
https://bugs.launchpad.net/bugs/1557157

Title:
  apparmor profile denied for saslauthd: /run/saslauthd/mux

Status in openldap package in Ubuntu:
  Fix Released
Status in openldap source package in Trusty:
  Won't Fix
Status in openldap source package in Xenial:
  Fix Committed
Status in openldap source package in Bionic:
  Fix Released
Status in openldap source package in Eoan:
  Fix Released
Status in openldap source package in Focal:
  Fix Released
Status in openldap source package in Groovy:
  Fix Released

Bug description:
  [Impact]

  When using openldap with sasl authentication, the slapd process will
  communicate with the saslauthd daemon via a socket in
  {,/var}/run/saslauthd/mux. Unfortunately, this will fail in every
  Ubuntu release from trusty onwards, because slapd's apparmor profile
  doesn't contain the necessary directive to allow it to read/write
  from/to the socket specified above.

  The fix is simple: just add the necessary directive to allow slapd to
  read/write from/to the saslauthd socket.

  [Test Case]

  One can reproduce the problem by doing:

  $ lxc launch ubuntu-daily:groovy openldap-bugbug1557157-groovy
  $ lxc shell openldap-bugbug1557157-groovy
  # apt install slapd sasl2-bin ldap-utils apparmor-utils

  (As the domain name, use "example.com").

  # sed -i -e 's/^START=.*/START=yes/' /etc/default/saslauthd
  # cat > /etc/ldap/sasl2/slapd.conf << __EOF__
  mech_list: PLAIN
  pwcheck_method: saslauthd
  __EOF__
  # adduser openldap sasl
  # aa-enforce /etc/apparmor.d/usr.sbin.slapd
  # systemctl restart slapd.service
  # systemctl restart saslauthd.service
  # passwd root

  (You can choose any password here. You will need to type it when
  running the next command.)

  # ldapsearch -H ldapi:/// -LLL -b 'dc=example,dc=com' -s base -U root
  -Y PLAIN

  The command will fail with something like:

  ldap_sasl_interactive_bind_s: Other (e.g., implementation specific) error (80)
  additional info: SASL(-1): generic failure: Password verification 
failed

  [Regression Potential]

  This is an extremely simple and well contained fix, so I don't
  envision any possible regressions after applying it.  It is important
  noticing that, since the problem affects older Ubuntu releases, the
  openldap package will have to be rebuilt against possible newer
  versions of libraries and other depencencies, which, albeit unlikely,
  may cause issues.

  [Original Description]

  When using slapd with saslauthd the processes communicate via the
  {,/var}/run/saslauthd/mux socket (this is the default location for the
  saslauthd server from the sasl2-bin package in the
  /etc/default/saslauthd config), but the apparmor profile for
  usr.sbin.slapd does not allow access to this socket/file.

  Syslog message:
  apparmor="DENIED" operation="connect" profile="/usr/sbin/slapd" 
name="/run/saslauthd/mux" pid=1880
  4 comm="slapd" requested_mask="r" denied_mask="r" fsuid=108 ouid=0

  Please add the following line to  /etc/apparmor.d/usr.sbin.slapd:
  /{,var/}run/saslauthd/mux rw,

  Ubuntu version: Ubuntu 14.04.4 LTS
  slapd version: 2.4.31-1+nmu2ubu

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1557157/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1866303] Re: slapd crash with pwdAccountLockedTime and stacked overlays

2020-07-16 Thread Launchpad Bug Tracker
This bug was fixed in the package openldap - 2.4.45+dfsg-1ubuntu1.6

---
openldap (2.4.45+dfsg-1ubuntu1.6) bionic; urgency=medium

  [ Andreas Hasenack ]
  * d/p/ITS-9171-Insert-callback-in-the-right-place.patch: Import upstream
patch to fix slapd crashing in certain configurations when a client
attempts a login to a locked account. (LP: #1866303)

  [ Sergio Durigan Junior ]
  * d/apparmor-profile: Update apparmor profile to grant access to
the saslauthd socket, so that SASL authentication works.  (LP: #1557157)

 -- Andreas Hasenack   Wed, 01 Jul 2020 16:38:55
-0300

** Changed in: openldap (Ubuntu Bionic)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openldap in Ubuntu.
https://bugs.launchpad.net/bugs/1866303

Title:
  slapd crash with pwdAccountLockedTime and stacked overlays

Status in openldap package in Ubuntu:
  Fix Released
Status in openldap source package in Xenial:
  Fix Committed
Status in openldap source package in Bionic:
  Fix Released
Status in openldap source package in Disco:
  Won't Fix
Status in openldap source package in Eoan:
  Fix Released
Status in openldap package in Debian:
  Fix Released

Bug description:
  [Impact]
  In the configuration and conditions described below, slapd can crash:

  1. ppolicy overlay configured with pwdLockout: TRUE
  2. smbk5pwd overlay stacked after ppolicy
  3. an account locked out via pwdAccountLockedTime
  4. a client binding to the locked-out account and also requesting the ppolicy 
control

  [Test Case]

  * get the files from the bug:
  mkdir slapd-test-case; cd slapd-test-case
  wget -ct0 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334194/+files/slapd.conf
 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334195/+files/data.ldif
 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334196/+files/samba.schema
 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334197/+files/script

  * run the script:
  sudo apt update && sudo sh ./script

  * With the bug, the result is:
  ldap_bind: Invalid credentials (49)
  slapd dead

  * If when confirming the bug you don't see "slapd dead" like above,
  check manually, as slapd might have been in the process of shutting
  down when the script checked its status: "sudo systemctl status slapd"

  * With the fixed packages, you get a living slapd at the end (you can
  run the script again on the same system after updating the packages):

  sudo sh ./script
  ...
  slapd running
  ldap_bind: Invalid credentials (49)
  slapd running

  [Regression Potential]
  The fix is in the password policy overlay (not enabled by default), so any 
regressions would be around that area and could potentially impact 
authentication ("binding") to openldap.

  [Other Info]
  This was fixed in focal and "cooked" there for a long while, as suggested by 
the Debian maintainer. We haven't received further bug reports about this in 
focal+.

  [Original Description]

  Hello,

  Please merge openldap 2.4.49+dfsg-2 from Debian unstable to fix an
  issue in the ppolicy overlay that can crash slapd. Please also
  consider SRUing the patch after it has had some testing time.

  Upstream: https://openldap.org/its/?findid=9171
  Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=953150

  The ingredients for the crash are:

  1: ppolicy overlay configured with pwdLockout: TRUE
  2. smbk5pwd overlay stacked after ppolicy
  3. an account locked out via pwdAccountLockedTime
  4. a client binding to the locked-out account and also requesting the ppolicy 
control

  The buggy code is not as specific as the above steps, so I suspect
  there are probably other configurations or steps that can trigger the
  same crash.

  I will attach my test script and data for reproducing the crash.

  Expected output (last lines):

  [ ok ] Starting OpenLDAP: slapd.
  slapd running
  ldap_bind: Invalid credentials (49)
  slapd running

  Actual output (last lines):

  [ ok ] Starting OpenLDAP: slapd.
  slapd running
  ldap_bind: Invalid credentials (49)
  slapd dead

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1814302] Re: Quasselcore apparmor profile issue in lxd container.

2020-07-16 Thread Launchpad Bug Tracker
This bug was fixed in the package quassel - 1:0.12.4-3ubuntu1.18.04.2

---
quassel (1:0.12.4-3ubuntu1.18.04.2) bionic; urgency=medium

  * d/usr.bin.quasselcore:
- Update apparmor profile to allow running in lxd (LP: #1814302)

 -- Dan Streetman   Sun, 28 Jun 2020 11:01:19
-0400

** Changed in: quassel (Ubuntu Bionic)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor in Ubuntu.
https://bugs.launchpad.net/bugs/1814302

Title:
  Quasselcore apparmor profile issue in lxd container.

Status in AppArmor:
  Invalid
Status in apparmor package in Ubuntu:
  Invalid
Status in quassel package in Ubuntu:
  Fix Released
Status in apparmor source package in Bionic:
  Invalid
Status in quassel source package in Bionic:
  Fix Released
Status in apparmor source package in Focal:
  Invalid
Status in quassel source package in Focal:
  Fix Released
Status in apparmor source package in Groovy:
  Invalid
Status in quassel source package in Groovy:
  Fix Released

Bug description:
  [impact]

  quasselcore cannot start inside lxd container

  [test case]

  create lxd container, install quassel-core, check quasselcore service:

  $ systemctl status quasselcore
  ● quasselcore.service - distributed IRC client using a central core component
   Loaded: loaded (/lib/systemd/system/quasselcore.service; enabled; vendor 
preset: enabled)
   Active: failed (Result: signal) since Tue 2020-06-30 18:32:40 UTC; 4s ago
 Docs: man:quasselcore(1)
  Process: 3853 ExecStart=/usr/bin/quasselcore --configdir=${DATADIR} 
--logfile=${LOGFILE} --loglevel=${LOGLEVEL} --port=${PORT} --listen=${LISTEN} 
(code=killed, signal=SEGV)
 Main PID: 3853 (code=killed, signal=SEGV)

  Jun 30 18:32:40 lp1814302-f systemd[1]: quasselcore.service: Scheduled 
restart job, restart counter is at 7.
  Jun 30 18:32:40 lp1814302-f systemd[1]: Stopped distributed IRC client using 
a central core component.
  Jun 30 18:32:40 lp1814302-f systemd[1]: quasselcore.service: Start request 
repeated too quickly.
  Jun 30 18:32:40 lp1814302-f systemd[1]: quasselcore.service: Failed with 
result 'signal'.
  Jun 30 18:32:40 lp1814302-f systemd[1]: Failed to start distributed IRC 
client using a central core component.

  
  Also, the binary will segfault when run directly due to apparmor denials:

  $ /usr/bin/quasselcore 
  Segmentation fault

  [760149.590802] audit: type=1400 audit(1593542073.962:1058):
  apparmor="DENIED" operation="file_mmap" namespace="root//lxd-
  lp1814302-f_" profile="/usr/bin/quasselcore"
  name="/usr/bin/quasselcore" pid=2006430 comm="quasselcore"
  requested_mask="r" denied_mask="r" fsuid=1000110 ouid=100

  [regression potential]

  this expands the apparmor profile, so any regression would likely
  involve problems while starting due to apparmor.

  [scope]

  this is needed for b/f/g.

  this is also needed for e, but that is EOL in weeks and this is not
  important enough to bother there.

  [original description]

  
  Fresh install of Ubuntu 18.04. lxd installed from snap. Fresh 18.04 
container. Everything up todate via apt.

  Install quassel-core. Service will not start.

  Set "aa-complain /usr/bin/quasselcore" allows quasselcore to start.

  I then added "/usr/bin/quasselcore rm," to
  "/etc/apparmor.d/usr.bin.quasselcore".

  Set "aa-enforce /usr/bin/quasselcore". Restarted main host.

  Quasselcore service now starts and I can connect to it.

To manage notifications about this bug go to:
https://bugs.launchpad.net/apparmor/+bug/1814302/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887796] [NEW] Bluetooth headset cant set output as A2DP sink while using the mic as input device

2020-07-16 Thread Falc
Public bug reported:

I have the popular Sony WH-100XM3 headset.

I can connect to the headset fine using bluetooth. I set the Output
device in Sound Option, there are two configurations A2DP Sink (sounds
great) and HSP/HFP (sounds terrible).

If I set the input device to the headset, it silently switches the
output configuration to HSP/HFP and so the audio sounds terrible.

If I then switch the output configuation back to A2DP sink, the audio
output sounds good again, but then the input device switches to
something else.

So the problem is that I cant use the headset as audio input while
having the good-sounding output configuration.

** Affects: bluez (Ubuntu)
 Importance: Undecided
 Status: New

** Description changed:

  I have the popular Sony WH-100XM3 headset.
  
  I can connect to the headset fine using bluetooth. I set the Output
  device in Sound Option, there are two configurations A2DP Sink (sounds
  great) and HSP/HFP (sounds terrible).
  
  If I set the input device to the headset, it silently switches the
  Configuration to HSP/HFP and so the audio sounds terrible.
  
- If I then switch the configuation back to A2DP sink, the audio output
- sounds good again, but then the input device switches to something else.
+ If I then switch the output configuation back to A2DP sink, the audio
+ output sounds good again, but then the input device switches to
+ something else.
  
  So the problem is that I cant use the headset as audio input while
  having the good-sounding output configuration.

** Description changed:

  I have the popular Sony WH-100XM3 headset.
  
  I can connect to the headset fine using bluetooth. I set the Output
  device in Sound Option, there are two configurations A2DP Sink (sounds
  great) and HSP/HFP (sounds terrible).
  
  If I set the input device to the headset, it silently switches the
- Configuration to HSP/HFP and so the audio sounds terrible.
+ output configuration to HSP/HFP and so the audio sounds terrible.
  
  If I then switch the output configuation back to A2DP sink, the audio
  output sounds good again, but then the input device switches to
  something else.
  
  So the problem is that I cant use the headset as audio input while
  having the good-sounding output configuration.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bluez in Ubuntu.
https://bugs.launchpad.net/bugs/1887796

Title:
  Bluetooth headset cant set output as A2DP sink while using the mic as
  input device

Status in bluez package in Ubuntu:
  New

Bug description:
  I have the popular Sony WH-100XM3 headset.

  I can connect to the headset fine using bluetooth. I set the Output
  device in Sound Option, there are two configurations A2DP Sink (sounds
  great) and HSP/HFP (sounds terrible).

  If I set the input device to the headset, it silently switches the
  output configuration to HSP/HFP and so the audio sounds terrible.

  If I then switch the output configuation back to A2DP sink, the audio
  output sounds good again, but then the input device switches to
  something else.

  So the problem is that I cant use the headset as audio input while
  having the good-sounding output configuration.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/1887796/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1882248] Re: [SRU] plug headset won't proper reconfig ouput to it on machine with default output

2020-07-16 Thread Sebastien Bacher
Ah, I see, it makes sense now, thanks for the explanation!

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1882248

Title:
  [SRU] plug headset won't proper reconfig ouput to it on machine with
  default output

Status in HWE Next:
  New
Status in OEM Priority Project:
  Confirmed
Status in linux-oem package in Ubuntu:
  New
Status in pulseaudio package in Ubuntu:
  Fix Released
Status in linux-oem source package in Bionic:
  Fix Committed
Status in pulseaudio source package in Bionic:
  Fix Committed

Bug description:
  This is for pulseaudio bionic:

  [Impact]
  On a Dell machine without internal spk and internal mic, after freshly
  install the bionic on it, the active profile is Off, after users plug a
  headset to it and users select the headset from the pop-up dialogue,
  users expect the profile changes to analog-stereo (headset is on it),
  but the active_profile is still Off.

  [Fix]
  Upstream already has a patch to fix it, cherrypiack that patch to bionic.
  And that patch is already in the eoan, focal, ...

  [Test Case]
  freshly install the bionic with this patch on that dell machine,
  plug headset and select the headset from UI, the profile changes to
  analog-stereo, and play some sound, we could hear it from the headset

  [Regression Risk]
  Low, this patch is already in the upstream for a long time, and it is
  already in the eoan and focal.


  
  For linux kernel (oem-b):

  [Impact]
  On a Dell machine without internal spk and internal mic, after freshly
  install the bionic on it, and users plug a headset, the sound couldn't
  output from headset.

  [Fix]
  reverse the order of headset mic and headphone mic

  [Test Case]
  freshly install the bionic with this patch on that dell machine,
  plug headset and play sound, we could hear the sound from headset.

  [Regression Risk]
  Low, this patch only affects the machine without internal mic and
  internal spk, and I already tested this patch on the machine without
  internal mic and internal spk, it worked well.

  target machine does not have built-in speaker, and the monitor does
  not have an audio output (like d-sub VGA)

  As first boot, there will be a "dummy output" in g-c-c.

  After plug-in headset, there will be a headset appear in g-c-c, but it
  won't be automatically selected even it's chosen in the pop-up window.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1882248/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1835660] Re: initramfs unpacking failed

2020-07-16 Thread Edmand Thipursian
Hi, I had this same issue while updating ubuntu 20, however, I have
noticed that kernal hung error while the update stalled.

So I have added the following in  /etc/sysctl.conf and rebooted the
server, this issue has gone(we can apply those parameter without
restarting server usings sysctl -w vm.dirty_background_ratio=5.

vm.dirty_background_ratio=5
vm.dirty_ratio=10

vm.swappiness=30
vm.vfs_cache_pressure=50

I have tried 4 different vms and it works with the workaround. Kernal is used 
as follows; 
5.4.0-26-generic #30-Ubuntu SMP Mon Apr 20 16:58:30 UTC 2020 x86_64 x86_64 
x86_64 GNU/Linux

I am sure the could help some people out there to resolve this issue
asap.

Thanks
Edmand

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1835660

Title:
  initramfs unpacking failed

Status in initramfs-tools package in Ubuntu:
  Invalid
Status in linux package in Ubuntu:
  Confirmed

Bug description:
  "initramfs unpacking failed: Decoding failed",  message appears on
  boot up.

  If I "update-initramfs" using gzip instead of lz, then boot up passes
  without decoding failed message.

  ---

  However, we currently believe that the decoding error reported in
  dmesg is actually harmless and has no impact on usability on the
  system.

  Switching from lz4 to gzip compression, simply papers over the
  warning, without any benefits, and slows down boot.

  Kernel should be fixed to correctly parse lz4 compressed initrds, or
  at least lower the warning, to not be user visible as an error.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1835660/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887744] Re: systemd dumps core on starting service: Assertion 'u->instance' failed at src/core/load-fragment.c:4798

2020-07-16 Thread Dan Streetman
> apport generates a core dump which I trust is attached.

unfortunately i don't see it attached; could you manually attach it
please?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1887744

Title:
  systemd dumps core on starting service: Assertion 'u->instance' failed
  at src/core/load-fragment.c:4798

Status in systemd package in Ubuntu:
  New

Bug description:
  On an Ubuntu 20.04 server, when I started a newly installed systemd
  service 'systemctl start testemail2jira.service', systemd trips on an
  assertion (from journalctl):

  Jul 16 13:49:12 pangolin-jiraconf systemd[1]: Assertion 'u->instance' failed 
at src/core/load-fragment.c:4798, function unit_load_fragment(). Aborting.
  Jul 16 13:49:13 pangolin-jiraconf systemd[1]: Caught , dumped core as 
pid 2906637.
  Jul 16 13:49:13 pangolin-jiraconf systemd[1]: Freezing execution.

  apport generates a core dump which I trust is attached.

  The server still works, but my terminal keeps showing:

  Failed to get properties: Failed to activate service
  'org.freedesktop.systemd1': timed out (service_start_timeout=25000ms)

  and pauses for 25s after each command.

  In case it's relevant, the  i was trying to start had just
  been symlinked into /etc/systemd/system/:

  root@pangolin-jiraconf # ls -la /etc/systemd/system/testemail2jira.service
  lrwxrwxrwx 1 root root 82 Jul 16 13:48 
/etc/systemd/system/testemail2jira.service -> 
/opt/atlassian/jira/current/emailprocessing/testemail2jira/testemail2jira@.service

  File contents:

  [Unit]
  Description=Check that email to %i JIRA works

  [Service]
  #Type=oneshot
  # Note: I keep the config file, testemail2jira.json5 and rsa.* files in 
emailprocessing/, one directory below testemail2jira/, so that they can be 
version-controlled independently.
  # If you want testemail2jira.json5 and rsa.* within testemail2jira/, then add 
testemail2jira/ to WorkingDirectory and remove it from the ExecStart command
  WorkingDirectory=/opt/atlassian/%i/current/emailprocessing
  
ExecStart=/opt/atlassian/%i/current/emailprocessing/testemail2jira/venv/bin/python
 testemail2jira/testemail2jira.py
  User=root

  [Install] 
  WantedBy=multi-user.target

  
  Perhaps the problem is that my service file is a template 
(testemail2jira@.service), but I symlinked it as a regular 
'testemail2jira.service'.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: systemd 245.4-4ubuntu3.1
  ProcVersionSignature: Ubuntu 5.4.0-39.43-generic 5.4.41
  Uname: Linux 5.4.0-39-generic x86_64
  NonfreeKernelModules: zfs zunicode zavl icp zcommon znvpair
  ApportVersion: 2.20.11-0ubuntu27.3
  Architecture: amd64
  CasperMD5CheckResult: skip
  Date: Thu Jul 16 14:13:06 2020
  InstallationDate: Installed on 2020-05-27 (49 days ago)
  InstallationMedia: Ubuntu-Server 20.04 LTS "Focal Fossa" - Release amd64 
(20200423)
  Lsusb: Error: command ['lsusb'] failed with exit code 1:
  Lsusb-t:
   
  Lsusb-v: Error: command ['lsusb', '-v'] failed with exit code 1:
  MachineType: QEMU Standard PC (Q35 + ICH9, 2009)
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-39-generic root=/dev/sda ro 
console=ttyS0,19200n8 net.ifnames=0
  SourcePackage: systemd
  SystemdFailedUnits: Error: command ['systemctl', 'status', '--full', 
'Error:'] failed with exit code 1: Failed to get properties: Failed to activate 
service 'org.freedesktop.systemd1': timed out (service_start_timeout=25000ms)
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 04/01/2014
  dmi.bios.vendor: SeaBIOS
  dmi.bios.version: rel-1.12.0-0-ga698c8995f-prebuilt.qemu.org
  dmi.chassis.type: 1
  dmi.chassis.vendor: QEMU
  dmi.chassis.version: pc-q35-3.1
  dmi.modalias: 
dmi:bvnSeaBIOS:bvrrel-1.12.0-0-ga698c8995f-prebuilt.qemu.org:bd04/01/2014:svnQEMU:pnStandardPC(Q35+ICH9,2009):pvrpc-q35-3.1:cvnQEMU:ct1:cvrpc-q35-3.1:
  dmi.product.name: Standard PC (Q35 + ICH9, 2009)
  dmi.product.version: pc-q35-3.1
  dmi.sys.vendor: QEMU

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1887744/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1557157] Re: apparmor profile denied for saslauthd: /run/saslauthd/mux

2020-07-16 Thread Launchpad Bug Tracker
This bug was fixed in the package openldap - 2.4.48+dfsg-1ubuntu1.2

---
openldap (2.4.48+dfsg-1ubuntu1.2) eoan; urgency=medium

  [ Andreas Hasenack ]
  * d/p/ITS-9171-Insert-callback-in-the-right-place.patch: Import upstream
patch to fix slapd crashing in certain configurations when a client
attempts a login to a locked account. (LP: #1866303)

  [ Sergio Durigan Junior ]
  * d/apparmor-profile: Update apparmor profile to grant access to
the saslauthd socket, so that SASL authentication works.  (LP: #1557157)

 -- Andreas Hasenack   Wed, 01 Jul 2020 16:43:06
-0300

** Changed in: openldap (Ubuntu Eoan)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openldap in Ubuntu.
https://bugs.launchpad.net/bugs/1557157

Title:
  apparmor profile denied for saslauthd: /run/saslauthd/mux

Status in openldap package in Ubuntu:
  Fix Released
Status in openldap source package in Trusty:
  Won't Fix
Status in openldap source package in Xenial:
  Fix Committed
Status in openldap source package in Bionic:
  Fix Committed
Status in openldap source package in Eoan:
  Fix Released
Status in openldap source package in Focal:
  Fix Released
Status in openldap source package in Groovy:
  Fix Released

Bug description:
  [Impact]

  When using openldap with sasl authentication, the slapd process will
  communicate with the saslauthd daemon via a socket in
  {,/var}/run/saslauthd/mux. Unfortunately, this will fail in every
  Ubuntu release from trusty onwards, because slapd's apparmor profile
  doesn't contain the necessary directive to allow it to read/write
  from/to the socket specified above.

  The fix is simple: just add the necessary directive to allow slapd to
  read/write from/to the saslauthd socket.

  [Test Case]

  One can reproduce the problem by doing:

  $ lxc launch ubuntu-daily:groovy openldap-bugbug1557157-groovy
  $ lxc shell openldap-bugbug1557157-groovy
  # apt install slapd sasl2-bin ldap-utils apparmor-utils

  (As the domain name, use "example.com").

  # sed -i -e 's/^START=.*/START=yes/' /etc/default/saslauthd
  # cat > /etc/ldap/sasl2/slapd.conf << __EOF__
  mech_list: PLAIN
  pwcheck_method: saslauthd
  __EOF__
  # adduser openldap sasl
  # aa-enforce /etc/apparmor.d/usr.sbin.slapd
  # systemctl restart slapd.service
  # systemctl restart saslauthd.service
  # passwd root

  (You can choose any password here. You will need to type it when
  running the next command.)

  # ldapsearch -H ldapi:/// -LLL -b 'dc=example,dc=com' -s base -U root
  -Y PLAIN

  The command will fail with something like:

  ldap_sasl_interactive_bind_s: Other (e.g., implementation specific) error (80)
  additional info: SASL(-1): generic failure: Password verification 
failed

  [Regression Potential]

  This is an extremely simple and well contained fix, so I don't
  envision any possible regressions after applying it.  It is important
  noticing that, since the problem affects older Ubuntu releases, the
  openldap package will have to be rebuilt against possible newer
  versions of libraries and other depencencies, which, albeit unlikely,
  may cause issues.

  [Original Description]

  When using slapd with saslauthd the processes communicate via the
  {,/var}/run/saslauthd/mux socket (this is the default location for the
  saslauthd server from the sasl2-bin package in the
  /etc/default/saslauthd config), but the apparmor profile for
  usr.sbin.slapd does not allow access to this socket/file.

  Syslog message:
  apparmor="DENIED" operation="connect" profile="/usr/sbin/slapd" 
name="/run/saslauthd/mux" pid=1880
  4 comm="slapd" requested_mask="r" denied_mask="r" fsuid=108 ouid=0

  Please add the following line to  /etc/apparmor.d/usr.sbin.slapd:
  /{,var/}run/saslauthd/mux rw,

  Ubuntu version: Ubuntu 14.04.4 LTS
  slapd version: 2.4.31-1+nmu2ubu

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1557157/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1866303] Re: slapd crash with pwdAccountLockedTime and stacked overlays

2020-07-16 Thread Launchpad Bug Tracker
This bug was fixed in the package openldap - 2.4.48+dfsg-1ubuntu1.2

---
openldap (2.4.48+dfsg-1ubuntu1.2) eoan; urgency=medium

  [ Andreas Hasenack ]
  * d/p/ITS-9171-Insert-callback-in-the-right-place.patch: Import upstream
patch to fix slapd crashing in certain configurations when a client
attempts a login to a locked account. (LP: #1866303)

  [ Sergio Durigan Junior ]
  * d/apparmor-profile: Update apparmor profile to grant access to
the saslauthd socket, so that SASL authentication works.  (LP: #1557157)

 -- Andreas Hasenack   Wed, 01 Jul 2020 16:43:06
-0300

** Changed in: openldap (Ubuntu Eoan)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openldap in Ubuntu.
https://bugs.launchpad.net/bugs/1866303

Title:
  slapd crash with pwdAccountLockedTime and stacked overlays

Status in openldap package in Ubuntu:
  Fix Released
Status in openldap source package in Xenial:
  Fix Committed
Status in openldap source package in Bionic:
  Fix Committed
Status in openldap source package in Disco:
  Won't Fix
Status in openldap source package in Eoan:
  Fix Released
Status in openldap package in Debian:
  Fix Released

Bug description:
  [Impact]
  In the configuration and conditions described below, slapd can crash:

  1. ppolicy overlay configured with pwdLockout: TRUE
  2. smbk5pwd overlay stacked after ppolicy
  3. an account locked out via pwdAccountLockedTime
  4. a client binding to the locked-out account and also requesting the ppolicy 
control

  [Test Case]

  * get the files from the bug:
  mkdir slapd-test-case; cd slapd-test-case
  wget -ct0 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334194/+files/slapd.conf
 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334195/+files/data.ldif
 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334196/+files/samba.schema
 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334197/+files/script

  * run the script:
  sudo apt update && sudo sh ./script

  * With the bug, the result is:
  ldap_bind: Invalid credentials (49)
  slapd dead

  * If when confirming the bug you don't see "slapd dead" like above,
  check manually, as slapd might have been in the process of shutting
  down when the script checked its status: "sudo systemctl status slapd"

  * With the fixed packages, you get a living slapd at the end (you can
  run the script again on the same system after updating the packages):

  sudo sh ./script
  ...
  slapd running
  ldap_bind: Invalid credentials (49)
  slapd running

  [Regression Potential]
  The fix is in the password policy overlay (not enabled by default), so any 
regressions would be around that area and could potentially impact 
authentication ("binding") to openldap.

  [Other Info]
  This was fixed in focal and "cooked" there for a long while, as suggested by 
the Debian maintainer. We haven't received further bug reports about this in 
focal+.

  [Original Description]

  Hello,

  Please merge openldap 2.4.49+dfsg-2 from Debian unstable to fix an
  issue in the ppolicy overlay that can crash slapd. Please also
  consider SRUing the patch after it has had some testing time.

  Upstream: https://openldap.org/its/?findid=9171
  Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=953150

  The ingredients for the crash are:

  1: ppolicy overlay configured with pwdLockout: TRUE
  2. smbk5pwd overlay stacked after ppolicy
  3. an account locked out via pwdAccountLockedTime
  4. a client binding to the locked-out account and also requesting the ppolicy 
control

  The buggy code is not as specific as the above steps, so I suspect
  there are probably other configurations or steps that can trigger the
  same crash.

  I will attach my test script and data for reproducing the crash.

  Expected output (last lines):

  [ ok ] Starting OpenLDAP: slapd.
  slapd running
  ldap_bind: Invalid credentials (49)
  slapd running

  Actual output (last lines):

  [ ok ] Starting OpenLDAP: slapd.
  slapd running
  ldap_bind: Invalid credentials (49)
  slapd dead

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1866303] Update Released

2020-07-16 Thread Łukasz Zemczak
The verification of the Stable Release Update for openldap has completed
successfully and the package is now being released to -updates.
Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openldap in Ubuntu.
https://bugs.launchpad.net/bugs/1866303

Title:
  slapd crash with pwdAccountLockedTime and stacked overlays

Status in openldap package in Ubuntu:
  Fix Released
Status in openldap source package in Xenial:
  Fix Committed
Status in openldap source package in Bionic:
  Fix Committed
Status in openldap source package in Disco:
  Won't Fix
Status in openldap source package in Eoan:
  Fix Released
Status in openldap package in Debian:
  Fix Released

Bug description:
  [Impact]
  In the configuration and conditions described below, slapd can crash:

  1. ppolicy overlay configured with pwdLockout: TRUE
  2. smbk5pwd overlay stacked after ppolicy
  3. an account locked out via pwdAccountLockedTime
  4. a client binding to the locked-out account and also requesting the ppolicy 
control

  [Test Case]

  * get the files from the bug:
  mkdir slapd-test-case; cd slapd-test-case
  wget -ct0 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334194/+files/slapd.conf
 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334195/+files/data.ldif
 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334196/+files/samba.schema
 
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+attachment/5334197/+files/script

  * run the script:
  sudo apt update && sudo sh ./script

  * With the bug, the result is:
  ldap_bind: Invalid credentials (49)
  slapd dead

  * If when confirming the bug you don't see "slapd dead" like above,
  check manually, as slapd might have been in the process of shutting
  down when the script checked its status: "sudo systemctl status slapd"

  * With the fixed packages, you get a living slapd at the end (you can
  run the script again on the same system after updating the packages):

  sudo sh ./script
  ...
  slapd running
  ldap_bind: Invalid credentials (49)
  slapd running

  [Regression Potential]
  The fix is in the password policy overlay (not enabled by default), so any 
regressions would be around that area and could potentially impact 
authentication ("binding") to openldap.

  [Other Info]
  This was fixed in focal and "cooked" there for a long while, as suggested by 
the Debian maintainer. We haven't received further bug reports about this in 
focal+.

  [Original Description]

  Hello,

  Please merge openldap 2.4.49+dfsg-2 from Debian unstable to fix an
  issue in the ppolicy overlay that can crash slapd. Please also
  consider SRUing the patch after it has had some testing time.

  Upstream: https://openldap.org/its/?findid=9171
  Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=953150

  The ingredients for the crash are:

  1: ppolicy overlay configured with pwdLockout: TRUE
  2. smbk5pwd overlay stacked after ppolicy
  3. an account locked out via pwdAccountLockedTime
  4. a client binding to the locked-out account and also requesting the ppolicy 
control

  The buggy code is not as specific as the above steps, so I suspect
  there are probably other configurations or steps that can trigger the
  same crash.

  I will attach my test script and data for reproducing the crash.

  Expected output (last lines):

  [ ok ] Starting OpenLDAP: slapd.
  slapd running
  ldap_bind: Invalid credentials (49)
  slapd running

  Actual output (last lines):

  [ ok ] Starting OpenLDAP: slapd.
  slapd running
  ldap_bind: Invalid credentials (49)
  slapd dead

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1866303/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887610] Re: [SRU]There is no available audio entry in sound settings after execute suspend in 'Performance mode'

2020-07-16 Thread Hui Wang
Yes, please upload to B as well. thx.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1887610

Title:
  [SRU]There is no available audio entry in sound settings after execute
  suspend in 'Performance mode'

Status in HWE Next:
  New
Status in pulseaudio package in Ubuntu:
  Fix Committed
Status in pulseaudio source package in Bionic:
  Confirmed
Status in pulseaudio source package in Eoan:
  Won't Fix
Status in pulseaudio source package in Focal:
  Fix Committed
Status in pulseaudio source package in Groovy:
  Fix Committed

Bug description:
  [Impact]
  On some I+N machines (inlcuding lenovo and dell machines), after
  setting the graphic mode to perofermance mode, and open the gnome
  sound seting, run suspend/resume test, the audio devices will
  disappear from UI, instead a dummy audio shows on the UI, and from
  then on, the audio can't work anymore.

  [Fix]
  The root cause is after resuming, the pulseaudio try to recover the
  PCM device, but at that moment, the devices nodes at /dev/snd/ are
  not accessible yet sometimes, it will make snd_pcm_open fail and
  the pulseaudio will calll unload_module to unload alsa audio card.
  I cherrpicked a fix from upstream, the fix adds retry and pa_msleep(),
  this will retry the snd_pcm_open() a couple of times if it fails.

  [Test Case]
  Install the pulseaudio wit this fix, set the graphic mode to
  performance mode, open the sound setting, then run suspend/resume 90
  times, after test check the audio devices on the UI, the speaker,
  digital mic are still on the UI, and they could work well.

  [Regression Risk]
  Low, this SRU just add retry and pa_msleep(), if the snd_pcm_open()
  doesn't fail, this patch will not introduce any change, if snd_pcm_open()
  fails, it just retry a couple of times, so it will not introduce the
  regression in theory.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1887610/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1878517] Re: please apply bash 5.0 patch 17

2020-07-16 Thread Łukasz Zemczak
Please be sure to include the exact version number used for testing next
time!

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bash in Ubuntu.
https://bugs.launchpad.net/bugs/1878517

Title:
  please apply bash 5.0 patch 17

Status in bash package in Ubuntu:
  Fix Released
Status in bash source package in Focal:
  Fix Released

Bug description:
  This section is for Focal SRU purpose

  [Impact]
  From https://ftp.gnu.org/gnu/bash
  There were cases where bash 5.0 patch 16 reaped process substitution file 
descriptors (or FIFOs) and processes to early. This is a better fix for the 
problem that bash50-016 attempted to solve.

  [Test Case]
  This simple bash script pass when bash with patch 017 is installed
  Recommend to run it before and after installing the update to notice the 
difference

  ```
  #!/usr/bin/bash

  ouch() {
  cat < <(echo bar)
  cat "$1"
  }

  ouch2() {
  { cat; } < <(echo bar)
  cat "$1"
  }

  ouch <(echo "foo")
  ouch2 <(echo "foo")
  ```
  Expected output with the patch installed:

  foo
  bar
  foo
  bar

  [Regression Potential]
  This is an upstream patch level update with no additional modification. The 
regression potential should be fairly low. Also the patch is intended to only 
fix this problem.
  Possible regression would be unforeseen additional process substitutions that 
upstream bash would share.

  End SRU
  --
  Original Bug Description:

  I am using Ubuntu 20.04 for development and has hit a bug in bash 5.0
  patch 16.

  I can't reproduce it in pure bash, but with bats from
  https://github.com/bats-core/bats-core/ it is very easy to repro:

  ```
  # cat << EOF > ya.bats
  check() {
   echo "check $@"
   ls -l /proc/self/fd
  }

  @test "here file" {
   check -p <(echo "hey")
   false
  }
  EOF

  $ bats ya.bats
  ```

  Normally the output should contain the line

     lr-x-- 1 kir kir 64 May 14 02:01 63 -> pipe:[4616918]

  which is a result of a "here file" created by bash via <(echo "hey").

  In my testing, about 50% of runs don't have /dev/fd/63 listed.

  I found out this is a manifest of a bug introduced in bash 5.0 patch
  16 (see http://ftp.gnu.org/gnu/bash/bash-5.0-patches/bash50-016)

  The bug is fixed in 5.0 patch 17 (see
  http://ftp.gnu.org/gnu/bash/bash-5.0-patches/bash50-017).

  Please update bash to patchlevel 17.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bash/+bug/1878517/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1878517] Update Released

2020-07-16 Thread Łukasz Zemczak
The verification of the Stable Release Update for bash has completed
successfully and the package is now being released to -updates.
Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bash in Ubuntu.
https://bugs.launchpad.net/bugs/1878517

Title:
  please apply bash 5.0 patch 17

Status in bash package in Ubuntu:
  Fix Released
Status in bash source package in Focal:
  Fix Released

Bug description:
  This section is for Focal SRU purpose

  [Impact]
  From https://ftp.gnu.org/gnu/bash
  There were cases where bash 5.0 patch 16 reaped process substitution file 
descriptors (or FIFOs) and processes to early. This is a better fix for the 
problem that bash50-016 attempted to solve.

  [Test Case]
  This simple bash script pass when bash with patch 017 is installed
  Recommend to run it before and after installing the update to notice the 
difference

  ```
  #!/usr/bin/bash

  ouch() {
  cat < <(echo bar)
  cat "$1"
  }

  ouch2() {
  { cat; } < <(echo bar)
  cat "$1"
  }

  ouch <(echo "foo")
  ouch2 <(echo "foo")
  ```
  Expected output with the patch installed:

  foo
  bar
  foo
  bar

  [Regression Potential]
  This is an upstream patch level update with no additional modification. The 
regression potential should be fairly low. Also the patch is intended to only 
fix this problem.
  Possible regression would be unforeseen additional process substitutions that 
upstream bash would share.

  End SRU
  --
  Original Bug Description:

  I am using Ubuntu 20.04 for development and has hit a bug in bash 5.0
  patch 16.

  I can't reproduce it in pure bash, but with bats from
  https://github.com/bats-core/bats-core/ it is very easy to repro:

  ```
  # cat << EOF > ya.bats
  check() {
   echo "check $@"
   ls -l /proc/self/fd
  }

  @test "here file" {
   check -p <(echo "hey")
   false
  }
  EOF

  $ bats ya.bats
  ```

  Normally the output should contain the line

     lr-x-- 1 kir kir 64 May 14 02:01 63 -> pipe:[4616918]

  which is a result of a "here file" created by bash via <(echo "hey").

  In my testing, about 50% of runs don't have /dev/fd/63 listed.

  I found out this is a manifest of a bug introduced in bash 5.0 patch
  16 (see http://ftp.gnu.org/gnu/bash/bash-5.0-patches/bash50-016)

  The bug is fixed in 5.0 patch 17 (see
  http://ftp.gnu.org/gnu/bash/bash-5.0-patches/bash50-017).

  Please update bash to patchlevel 17.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bash/+bug/1878517/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1878517] Re: please apply bash 5.0 patch 17

2020-07-16 Thread Launchpad Bug Tracker
This bug was fixed in the package bash - 5.0-6ubuntu1.1

---
bash (5.0-6ubuntu1.1) focal; urgency=medium

  * Apply upstream patches 017 (LP: #1878517)

 -- Matthieu Clemenceau   Thu, 18 Jun
2020 10:44:55 -0500

** Changed in: bash (Ubuntu Focal)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to bash in Ubuntu.
https://bugs.launchpad.net/bugs/1878517

Title:
  please apply bash 5.0 patch 17

Status in bash package in Ubuntu:
  Fix Released
Status in bash source package in Focal:
  Fix Released

Bug description:
  This section is for Focal SRU purpose

  [Impact]
  From https://ftp.gnu.org/gnu/bash
  There were cases where bash 5.0 patch 16 reaped process substitution file 
descriptors (or FIFOs) and processes to early. This is a better fix for the 
problem that bash50-016 attempted to solve.

  [Test Case]
  This simple bash script pass when bash with patch 017 is installed
  Recommend to run it before and after installing the update to notice the 
difference

  ```
  #!/usr/bin/bash

  ouch() {
  cat < <(echo bar)
  cat "$1"
  }

  ouch2() {
  { cat; } < <(echo bar)
  cat "$1"
  }

  ouch <(echo "foo")
  ouch2 <(echo "foo")
  ```
  Expected output with the patch installed:

  foo
  bar
  foo
  bar

  [Regression Potential]
  This is an upstream patch level update with no additional modification. The 
regression potential should be fairly low. Also the patch is intended to only 
fix this problem.
  Possible regression would be unforeseen additional process substitutions that 
upstream bash would share.

  End SRU
  --
  Original Bug Description:

  I am using Ubuntu 20.04 for development and has hit a bug in bash 5.0
  patch 16.

  I can't reproduce it in pure bash, but with bats from
  https://github.com/bats-core/bats-core/ it is very easy to repro:

  ```
  # cat << EOF > ya.bats
  check() {
   echo "check $@"
   ls -l /proc/self/fd
  }

  @test "here file" {
   check -p <(echo "hey")
   false
  }
  EOF

  $ bats ya.bats
  ```

  Normally the output should contain the line

     lr-x-- 1 kir kir 64 May 14 02:01 63 -> pipe:[4616918]

  which is a result of a "here file" created by bash via <(echo "hey").

  In my testing, about 50% of runs don't have /dev/fd/63 listed.

  I found out this is a manifest of a bug introduced in bash 5.0 patch
  16 (see http://ftp.gnu.org/gnu/bash/bash-5.0-patches/bash50-016)

  The bug is fixed in 5.0 patch 17 (see
  http://ftp.gnu.org/gnu/bash/bash-5.0-patches/bash50-017).

  Please update bash to patchlevel 17.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/bash/+bug/1878517/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1861177] Re: seccomp_rule_add is very slow

2020-07-16 Thread Ioanna Alifieraki
#VERIFICATION FOCAL

---> Old version
# dpkg -l | grep libseccomp
ii  libseccomp2:amd642.4.3-1ubuntu3.20.04.2
amd64high level interface to Linux seccomp filter

# for i in `seq 1 40`; do (time sudo docker exec test_seccomp true &); done
MAX TIME : 10.176s


---> New version

# dpkg -l | grep libseccomp
ii  libseccomp2:amd642.4.3-1ubuntu3.20.04.3
amd64high level interface to Linux seccomp filter

# for i in `seq 1 40`; do (time sudo docker exec test_seccomp true &); done
MAX TIME : 3.161s

** Tags removed: verification-needed-focal
** Tags added: verification-done-focal

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libseccomp in Ubuntu.
https://bugs.launchpad.net/bugs/1861177

Title:
  seccomp_rule_add is very slow

Status in snapd:
  Invalid
Status in libseccomp package in Ubuntu:
  Fix Released
Status in libseccomp source package in Xenial:
  Fix Committed
Status in libseccomp source package in Bionic:
  Fix Committed
Status in libseccomp source package in Eoan:
  Fix Committed
Status in libseccomp source package in Focal:
  Fix Committed
Status in libseccomp source package in Groovy:
  Fix Released

Bug description:
  [IMPACT]
  There is a known and patched issue with version 2.4 of libseccomp where 
certain operations have a large performance regression. This is causing some 
packages that use libseccomp such as container orchestration systems to 
occasionally time out or otherwise fail under certain workloads.

  Please consider porting the patch into the various Ubuntu versions
  that have version 2.4 of libseccomp and into the backports. The
  performance patch from version 2.5 (yet to be released) applies
  cleanly on top of the 2.4 branch of libseccomp.

  For more information, and for a copy of the patch (which can also be
  cherry picked from the upstream libseccomp repos) see the similar
  Debian issue: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=943913

  Upstream issue : https://github.com/seccomp/libseccomp/issues/153
  Upstream fix : https://github.com/seccomp/libseccomp/pull/180/

  [Test Case]

  For this test case we use Docker on Ubuntu Groovy (20.10) :

  --> Current libseccomp version
  #dpkg -l | grep libseccomp
  ii  libseccomp2:amd64  2.4.3-1ubuntu3 
 amd64high level interface to Linux seccomp filter

  ## pull ubuntu image
  # docker pull ubuntu
  ## create a container
  # docker run --name test_seccomp -it 74435f89ab78 /bin/bash

  ## run test case
  # for i in `seq 1 40`; do (time sudo docker exec test_seccomp true &); done
  ...
  MAX TIME :
  real  0m10,319s
  user  0m0,018s
  sys   0m0,033s

  
  --> Patched libseccomp version

  # dpkg -l | grep libseccomp
  ii  libseccomp2:amd64  2.4.3-1ubuntu4 
 amd64high level interface to Linux seccomp filter

  # docker start test_seccomp
  ## run test case
  # for i in `seq 1 40`; do (time sudo docker exec test_seccomp true &); done
  ...
  MAX TIME :
  real  0m3,650s
  user  0m0,025s
  sys   0m0,028s

  [Regression Potential]

  The first of the 2 patches cleans up the code that adds rules to a
  single filter without changing the logic of the code. The second patch
  introduces the idea of shadow transactions. On a successful
  transaction commit the old transaction checkpoint is preserved and is
  brought up to date with the current filter. The next time a new
  transaction starts, it checks is the a shadow transaction exist and if
  so the shadow is used instead of creating a new checkpoint from
  scratch [1]. This is the patch that mitigates the performance
  regression. Any potential regression will involve the parts of the
  code that add rules to filters and/or the code that creates and checks
  the shadow transactions.

  
  [Other]

  Affected releases : Groovy, Focal, Eoan, Bionic, Xenial.

  [1]
  
https://github.com/seccomp/libseccomp/pull/180/commits/bc3a6c0453b0350ee43e4925482f705a2fbf5a4d

To manage notifications about this bug go to:
https://bugs.launchpad.net/snapd/+bug/1861177/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1883027] Re: dump_acpi_tables.py: fix incorrect output and change format

2020-07-16 Thread Launchpad Bug Tracker
This bug was fixed in the package apport - 2.20.11-0ubuntu27.4

---
apport (2.20.11-0ubuntu27.4) focal; urgency=medium

  [ Lukas Märdian ]
  * Backport snap handling for ubuntu-bug from Groovy (LP: #1861082)
  * Build-depend on python3-requests-unixsocket.

  [ Brian Murray ]
  * data/dump_acpi_tables.py: update the output thanks to Alex Hung for the
patch. (LP: #1883027)

 -- Brian Murray   Wed, 24 Jun 2020 09:57:22 -0700

** Changed in: apport (Ubuntu Focal)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1883027

Title:
  dump_acpi_tables.py: fix incorrect output and change format

Status in Apport:
  Confirmed
Status in apport package in Ubuntu:
  Fix Released
Status in apport source package in Focal:
  Fix Released
Status in apport source package in Groovy:
  Fix Released

Bug description:
  [Impact]

    dump_acpi_tables.py does not always generate 4-char table names
  (which is defined by ACPI spec), and it can miss or duplicate data of
  ACPI tables in /sys/firmware/acpi/tables.

  [Test Case]
    Tested with ACPI tables from Dell's Precision 3530. The outputs are almost 
the same as ones from "acpidump". The difference is the order of ACPI tables in 
the output but the order is not important.

1. run dump_acpi_tables.py
2. run acpidump 
3. compare the outputs

Note: acpidump is from acpica-tools

  [Regression Potential]

    Formats were changed to be the same as outputs from "acpidump", but
  known tools, such as acpiexec and fwts, by default reads outputs from
  acpidump and they do not reply on spaces and upper/lower cases.

  [Other Info]

    See original bug reports as below:

  dump_acpi_tables.py generates log files that is similar as the output
  from "acpidump" in acpica-tools. The output can be passed to other
  utilities in acpica-tools and fwts.

  It, however, has some subtle differences and some errors.

  Summary:

  1. ACPI tables have 4-char signatures - meaning SSDT's are SSDT, not
  SSDT1, SSDT2 and so on. Each table is unique by its table ID.

  Original:
    SSDT1, SSDT2, SSDT3 ...

  Changed:
    SSDT, SSDT, SSDT ...

  2. (Minor) acpidump outputs are all in upper cases

  3. (Minor) acpidump offset are aligned by data, not address

  Original:
    FFF0: 53 41 56 43 52 44 43 41 4E 43 52 4E 72 4E 50 4D  SAVCRDCANCRNrNPM
    1: 56 0A 04 00 0C FC FF FF FF 0A 03 0A 03 52 44 43  VRDC

  Changed:
  FFF0: 53 41 56 43 52 44 43 41 4E 43 52 4E 72 4E 50 4D  SAVCRDCANCRNrNPM
     1: 56 0A 04 00 0C FC FF FF FF 0A 03 0A 03 52 44 43  VRDC

  4. (Bug) dump_acpi_tables.py generates an extra line when data sizes
  are multiple of 16 bytes

  Original:
  05F0: 30 30 0B 00 08 00 A4 48 50 53 44 A4 53 50 53 44  00.HPSD.SPSD
  05F0: 30 30 0B 00 08 00 A4 48 50 53 44 A4 53 50 53 44 
 00.HPSD.SPSD

  Corrected:
  05F0: 30 30 0B 00 08 00 A4 48 50 53 44 A4 53 50 53 44  00.HPSD.SPSD

  5. (Bug) dump_acpi_tables.py misses an line when data sizes are
  multiple of 15 bytes

  Original:
  07E0: 42 0A 87 5C 2F 03 5F 53 42 5F 55 42 54 43 43 43  B..\/._SB_UBTCCC

  Corrected:
  07E0: 42 0A 87 5C 2F 03 5F 53 42 5F 55 42 54 43 43 43  B..\/._SB_UBTCCC
  07F0: 49 33 86 5C 2E 5F 53 42 5F 55 42 54 43 0A 80 I3.\._SB_UBTC..

To manage notifications about this bug go to:
https://bugs.launchpad.net/apport/+bug/1883027/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1861082] Re: [SRU] ubuntu-bug doesn't know how to file bugs against snaps

2020-07-16 Thread Launchpad Bug Tracker
This bug was fixed in the package apport - 2.20.11-0ubuntu27.4

---
apport (2.20.11-0ubuntu27.4) focal; urgency=medium

  [ Lukas Märdian ]
  * Backport snap handling for ubuntu-bug from Groovy (LP: #1861082)
  * Build-depend on python3-requests-unixsocket.

  [ Brian Murray ]
  * data/dump_acpi_tables.py: update the output thanks to Alex Hung for the
patch. (LP: #1883027)

 -- Brian Murray   Wed, 24 Jun 2020 09:57:22 -0700

** Changed in: apport (Ubuntu Focal)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1861082

Title:
  [SRU] ubuntu-bug doesn't know how to file bugs against snaps

Status in Snapcraft:
  New
Status in snapd:
  Triaged
Status in Snap Store Server:
  New
Status in apport package in Ubuntu:
  Fix Released
Status in apport source package in Focal:
  Fix Released

Bug description:
  [Impact]
  Users of Ubuntu 20.04 are not able to easily report bugs against applications 
provided as a snap.

  [Test Case]
  Install subiquity snap:
  # sudo snap install subiquity --classic
  subiquity 20.06.1 aus Canonical✓ installiert
  # snap list | grep subiquity
  subiquity   20.06.1  1938  latest/stable  canonical*  classic

  ubuntu-bug subiquity results in message:
  # LANGUAGE="en_US" apport-cli subiquity

  *** Collecting problem information

  The collected information can be sent to the developers to improve the
  application. This might take a few minutes.
  ...dpkg-query: no packages found matching subiquity

  *** You are about to report a bug against the deb package, but you
  also a have snap published by canonical installed. You can contact
  them via https://bugs.launchpad.net/subiquity for help. Do you want to
  continue with the bug report against the deb?

  What would you like to do? Your options are:
    Y: Yes
    N: No
    C: Cancel

  === New/Expected Result ===
  ubuntu-bug  should ask the user if he/she wants to 
report the bug against the snap or deb package, if both are installed. If the 
snap is chosen, the "Snap" and "SnapSource" fields should be part of the report:

  # LANGUAGE="en_US" apport-cli subiquity

  *** Collecting problem information

  The collected information can be sent to the developers to improve the
  application. This might take a few minutes.
  ...dpkg-query: no packages found matching subiquity

  *** You have two versions of this application installed, which one do
  you want to report a bug against?

  Choices:
    1: subiquity 20.06.1 (stable) snap
    2: subiquity (1938) deb package
    C: Cancel
  Please choose (1/2/C): 1
  .

  *** Send problem report to the developers?

  After the problem report has been sent, please fill out the form in the
  automatically opened web browser.

  What would you like to do? Your options are:
    S: Send report (46.1 KB)
    V: View report
    K: Keep report file for sending later or copying to somewhere else
    I: Cancel and ignore future crashes of this program version
    C: Cancel
  Please choose (S/V/K/I/C): V

  Make sure the following two fields are part of the generated report:
  == Snap =
  subiquity 20.06.1 (stable)

  == SnapSource =
  subiquity

  [Regression Potential]
  Small; the change adds a new add_snap_info() method to report.py and is 
triggered in the ui.py logic only in cases which would have otherwise lead to 
an error message. Furthermore, the change has been uploaded to Groovy some 
while ago where it is being used and tested.

  [Original Bug Report]
  Hello, I had problems with subiquity in the focal live server install image. 
I tried to use 'ubuntu-bug subiquity' to report the bug, but ubuntu-bug 
apparently cannot file bug reports against snaps.

  This is frustrating that users need to know which portions of Ubuntu
  are delivered via debs, which portions are delivered by snaps, and try
  to find a way to report bugs correctly.

  ubuntu-bug should know how to report bugs for Canonical software.

  Thanks

To manage notifications about this bug go to:
https://bugs.launchpad.net/snapcraft/+bug/1861082/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887610] Re: [SRU]There is no available audio entry in sound settings after execute suspend in 'Performance mode'

2020-07-16 Thread Sebastien Bacher
Upload to G and F, do you want to target B as well there?

** Changed in: pulseaudio (Ubuntu Groovy)
   Status: Confirmed => Fix Committed

** Changed in: pulseaudio (Ubuntu Eoan)
   Status: Confirmed => Won't Fix

** Changed in: pulseaudio (Ubuntu Focal)
   Status: Confirmed => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1887610

Title:
  [SRU]There is no available audio entry in sound settings after execute
  suspend in 'Performance mode'

Status in HWE Next:
  New
Status in pulseaudio package in Ubuntu:
  Fix Committed
Status in pulseaudio source package in Bionic:
  Confirmed
Status in pulseaudio source package in Eoan:
  Won't Fix
Status in pulseaudio source package in Focal:
  Fix Committed
Status in pulseaudio source package in Groovy:
  Fix Committed

Bug description:
  [Impact]
  On some I+N machines (inlcuding lenovo and dell machines), after
  setting the graphic mode to perofermance mode, and open the gnome
  sound seting, run suspend/resume test, the audio devices will
  disappear from UI, instead a dummy audio shows on the UI, and from
  then on, the audio can't work anymore.

  [Fix]
  The root cause is after resuming, the pulseaudio try to recover the
  PCM device, but at that moment, the devices nodes at /dev/snd/ are
  not accessible yet sometimes, it will make snd_pcm_open fail and
  the pulseaudio will calll unload_module to unload alsa audio card.
  I cherrpicked a fix from upstream, the fix adds retry and pa_msleep(),
  this will retry the snd_pcm_open() a couple of times if it fails.

  [Test Case]
  Install the pulseaudio wit this fix, set the graphic mode to
  performance mode, open the sound setting, then run suspend/resume 90
  times, after test check the audio devices on the UI, the speaker,
  digital mic are still on the UI, and they could work well.

  [Regression Risk]
  Low, this SRU just add retry and pa_msleep(), if the snd_pcm_open()
  doesn't fail, this patch will not introduce any change, if snd_pcm_open()
  fails, it just retry a couple of times, so it will not introduce the
  regression in theory.

To manage notifications about this bug go to:
https://bugs.launchpad.net/hwe-next/+bug/1887610/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1861082] Update Released

2020-07-16 Thread Łukasz Zemczak
The verification of the Stable Release Update for apport has completed
successfully and the package is now being released to -updates.
Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1861082

Title:
  [SRU] ubuntu-bug doesn't know how to file bugs against snaps

Status in Snapcraft:
  New
Status in snapd:
  Triaged
Status in Snap Store Server:
  New
Status in apport package in Ubuntu:
  Fix Released
Status in apport source package in Focal:
  Fix Released

Bug description:
  [Impact]
  Users of Ubuntu 20.04 are not able to easily report bugs against applications 
provided as a snap.

  [Test Case]
  Install subiquity snap:
  # sudo snap install subiquity --classic
  subiquity 20.06.1 aus Canonical✓ installiert
  # snap list | grep subiquity
  subiquity   20.06.1  1938  latest/stable  canonical*  classic

  ubuntu-bug subiquity results in message:
  # LANGUAGE="en_US" apport-cli subiquity

  *** Collecting problem information

  The collected information can be sent to the developers to improve the
  application. This might take a few minutes.
  ...dpkg-query: no packages found matching subiquity

  *** You are about to report a bug against the deb package, but you
  also a have snap published by canonical installed. You can contact
  them via https://bugs.launchpad.net/subiquity for help. Do you want to
  continue with the bug report against the deb?

  What would you like to do? Your options are:
    Y: Yes
    N: No
    C: Cancel

  === New/Expected Result ===
  ubuntu-bug  should ask the user if he/she wants to 
report the bug against the snap or deb package, if both are installed. If the 
snap is chosen, the "Snap" and "SnapSource" fields should be part of the report:

  # LANGUAGE="en_US" apport-cli subiquity

  *** Collecting problem information

  The collected information can be sent to the developers to improve the
  application. This might take a few minutes.
  ...dpkg-query: no packages found matching subiquity

  *** You have two versions of this application installed, which one do
  you want to report a bug against?

  Choices:
    1: subiquity 20.06.1 (stable) snap
    2: subiquity (1938) deb package
    C: Cancel
  Please choose (1/2/C): 1
  .

  *** Send problem report to the developers?

  After the problem report has been sent, please fill out the form in the
  automatically opened web browser.

  What would you like to do? Your options are:
    S: Send report (46.1 KB)
    V: View report
    K: Keep report file for sending later or copying to somewhere else
    I: Cancel and ignore future crashes of this program version
    C: Cancel
  Please choose (S/V/K/I/C): V

  Make sure the following two fields are part of the generated report:
  == Snap =
  subiquity 20.06.1 (stable)

  == SnapSource =
  subiquity

  [Regression Potential]
  Small; the change adds a new add_snap_info() method to report.py and is 
triggered in the ui.py logic only in cases which would have otherwise lead to 
an error message. Furthermore, the change has been uploaded to Groovy some 
while ago where it is being used and tested.

  [Original Bug Report]
  Hello, I had problems with subiquity in the focal live server install image. 
I tried to use 'ubuntu-bug subiquity' to report the bug, but ubuntu-bug 
apparently cannot file bug reports against snaps.

  This is frustrating that users need to know which portions of Ubuntu
  are delivered via debs, which portions are delivered by snaps, and try
  to find a way to report bugs correctly.

  ubuntu-bug should know how to report bugs for Canonical software.

  Thanks

To manage notifications about this bug go to:
https://bugs.launchpad.net/snapcraft/+bug/1861082/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1883027] Update Released

2020-07-16 Thread Łukasz Zemczak
The verification of the Stable Release Update for apport has completed
successfully and the package is now being released to -updates.
Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1883027

Title:
  dump_acpi_tables.py: fix incorrect output and change format

Status in Apport:
  Confirmed
Status in apport package in Ubuntu:
  Fix Released
Status in apport source package in Focal:
  Fix Released
Status in apport source package in Groovy:
  Fix Released

Bug description:
  [Impact]

    dump_acpi_tables.py does not always generate 4-char table names
  (which is defined by ACPI spec), and it can miss or duplicate data of
  ACPI tables in /sys/firmware/acpi/tables.

  [Test Case]
    Tested with ACPI tables from Dell's Precision 3530. The outputs are almost 
the same as ones from "acpidump". The difference is the order of ACPI tables in 
the output but the order is not important.

1. run dump_acpi_tables.py
2. run acpidump 
3. compare the outputs

Note: acpidump is from acpica-tools

  [Regression Potential]

    Formats were changed to be the same as outputs from "acpidump", but
  known tools, such as acpiexec and fwts, by default reads outputs from
  acpidump and they do not reply on spaces and upper/lower cases.

  [Other Info]

    See original bug reports as below:

  dump_acpi_tables.py generates log files that is similar as the output
  from "acpidump" in acpica-tools. The output can be passed to other
  utilities in acpica-tools and fwts.

  It, however, has some subtle differences and some errors.

  Summary:

  1. ACPI tables have 4-char signatures - meaning SSDT's are SSDT, not
  SSDT1, SSDT2 and so on. Each table is unique by its table ID.

  Original:
    SSDT1, SSDT2, SSDT3 ...

  Changed:
    SSDT, SSDT, SSDT ...

  2. (Minor) acpidump outputs are all in upper cases

  3. (Minor) acpidump offset are aligned by data, not address

  Original:
    FFF0: 53 41 56 43 52 44 43 41 4E 43 52 4E 72 4E 50 4D  SAVCRDCANCRNrNPM
    1: 56 0A 04 00 0C FC FF FF FF 0A 03 0A 03 52 44 43  VRDC

  Changed:
  FFF0: 53 41 56 43 52 44 43 41 4E 43 52 4E 72 4E 50 4D  SAVCRDCANCRNrNPM
     1: 56 0A 04 00 0C FC FF FF FF 0A 03 0A 03 52 44 43  VRDC

  4. (Bug) dump_acpi_tables.py generates an extra line when data sizes
  are multiple of 16 bytes

  Original:
  05F0: 30 30 0B 00 08 00 A4 48 50 53 44 A4 53 50 53 44  00.HPSD.SPSD
  05F0: 30 30 0B 00 08 00 A4 48 50 53 44 A4 53 50 53 44 
 00.HPSD.SPSD

  Corrected:
  05F0: 30 30 0B 00 08 00 A4 48 50 53 44 A4 53 50 53 44  00.HPSD.SPSD

  5. (Bug) dump_acpi_tables.py misses an line when data sizes are
  multiple of 15 bytes

  Original:
  07E0: 42 0A 87 5C 2F 03 5F 53 42 5F 55 42 54 43 43 43  B..\/._SB_UBTCCC

  Corrected:
  07E0: 42 0A 87 5C 2F 03 5F 53 42 5F 55 42 54 43 43 43  B..\/._SB_UBTCCC
  07F0: 49 33 86 5C 2E 5F 53 42 5F 55 42 54 43 0A 80 I3.\._SB_UBTC..

To manage notifications about this bug go to:
https://bugs.launchpad.net/apport/+bug/1883027/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887741] Re: Display flicker sometimes

2020-07-16 Thread Daniel van Vugt
** This bug is no longer a duplicate of bug 1754284
   Fullscreen windows are tearing in Xorg sessions

** Summary changed:

- Display flicker sometimes
+ [conroe] Display flicker sometimes

** Package changed: xorg (Ubuntu) => xorg-server (Ubuntu)

** Also affects: linux (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1887741

Title:
  [conroe] Display flicker sometimes

Status in linux package in Ubuntu:
  New
Status in xorg-server package in Ubuntu:
  New

Bug description:
  It more likey flicker more if I watch someting in fullscreen or a
  certain image shown is and it starts to flicker a lot out of one
  where.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: xorg 1:7.7+19ubuntu7.1
  ProcVersionSignature: Ubuntu 4.15.0-101.102-generic 4.15.18
  Uname: Linux 4.15.0-101-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.15
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: None
  CurrentDesktop: LXDE
  Date: Thu Jul 16 03:28:48 2020
  DistUpgraded: 2020-06-09 01:37:47,812 DEBUG icon theme changed, re-reading
  DistroCodename: bionic
  DistroVariant: ubuntu
  GraphicsCard:
   Intel Corporation 4 Series Chipset Integrated Graphics Controller 
[8086:2e22] (rev 03) (prog-if 00 [VGA controller])
 Subsystem: Dell 4 Series Chipset Integrated Graphics Controller [1028:0439]
 Subsystem: Dell 4 Series Chipset Integrated Graphics Controller [1028:0439]
  InstallationDate: Installed on 2019-12-28 (200 days ago)
  InstallationMedia: Lubuntu 16.04.3 LTS "Xenial Xerus" - Release amd64 
(20170801)
  MachineType: Dell Inc. Inspiron 560
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-101-generic 
root=UUID=2c5b89f4-4126-404c-9d8f-3dea42f2847c ro quiet splash vt.handoff=1
  SourcePackage: xorg
  UpgradeStatus: Upgraded to bionic on 2020-06-09 (37 days ago)
  dmi.bios.date: 02/26/2010
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: A02
  dmi.board.name: 0K83V0
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 3
  dmi.chassis.vendor: Dell Inc.
  dmi.chassis.version: Not Specified
  dmi.modalias: 
dmi:bvnDellInc.:bvrA02:bd02/26/2010:svnDellInc.:pnInspiron560:pvr00:rvnDellInc.:rn0K83V0:rvrA00:cvnDellInc.:ct3:cvrNotSpecified:
  dmi.product.family: 0
  dmi.product.name: Inspiron 560
  dmi.product.version: 00
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.99-1ubuntu1~18.04.2
  version.libgl1-mesa-dri: libgl1-mesa-dri 19.2.8-0ubuntu0~18.04.3
  version.libgl1-mesa-glx: libgl1-mesa-glx 19.2.8-0ubuntu0~18.04.3
  version.xserver-xorg-core: xserver-xorg-core 2:1.19.6-1ubuntu4.4
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.5-1ubuntu1
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.0.1-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20171229-1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-2

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1887741/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1861177] Re: seccomp_rule_add is very slow

2020-07-16 Thread Ioanna Alifieraki
#VERIFICATION XENIAL

---> Old version
# dpkg -l | grep libseccomp
ii  libseccomp2:amd64   2.4.3-1ubuntu3.16.04.2  
amd64high level interface to Linux seccomp filte

# for i in `seq 1 40`; do (time sudo docker exec test_seccomp true &); done
MAX TIME : 8.923s


---> New version

# dpkg -l | grep libseccomp
ii  libseccomp2:amd64 2.4.3-1ubuntu3.16.04.3
  amd64high level interface to Linux seccomp filter


# for i in `seq 1 40`; do (time sudo docker exec test_seccomp true &); done
MAX TIME : 3.270s

** Tags removed: verification-needed-xenial
** Tags added: verification-done-xenial

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libseccomp in Ubuntu.
https://bugs.launchpad.net/bugs/1861177

Title:
  seccomp_rule_add is very slow

Status in snapd:
  Invalid
Status in libseccomp package in Ubuntu:
  Fix Released
Status in libseccomp source package in Xenial:
  Fix Committed
Status in libseccomp source package in Bionic:
  Fix Committed
Status in libseccomp source package in Eoan:
  Fix Committed
Status in libseccomp source package in Focal:
  Fix Committed
Status in libseccomp source package in Groovy:
  Fix Released

Bug description:
  [IMPACT]
  There is a known and patched issue with version 2.4 of libseccomp where 
certain operations have a large performance regression. This is causing some 
packages that use libseccomp such as container orchestration systems to 
occasionally time out or otherwise fail under certain workloads.

  Please consider porting the patch into the various Ubuntu versions
  that have version 2.4 of libseccomp and into the backports. The
  performance patch from version 2.5 (yet to be released) applies
  cleanly on top of the 2.4 branch of libseccomp.

  For more information, and for a copy of the patch (which can also be
  cherry picked from the upstream libseccomp repos) see the similar
  Debian issue: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=943913

  Upstream issue : https://github.com/seccomp/libseccomp/issues/153
  Upstream fix : https://github.com/seccomp/libseccomp/pull/180/

  [Test Case]

  For this test case we use Docker on Ubuntu Groovy (20.10) :

  --> Current libseccomp version
  #dpkg -l | grep libseccomp
  ii  libseccomp2:amd64  2.4.3-1ubuntu3 
 amd64high level interface to Linux seccomp filter

  ## pull ubuntu image
  # docker pull ubuntu
  ## create a container
  # docker run --name test_seccomp -it 74435f89ab78 /bin/bash

  ## run test case
  # for i in `seq 1 40`; do (time sudo docker exec test_seccomp true &); done
  ...
  MAX TIME :
  real  0m10,319s
  user  0m0,018s
  sys   0m0,033s

  
  --> Patched libseccomp version

  # dpkg -l | grep libseccomp
  ii  libseccomp2:amd64  2.4.3-1ubuntu4 
 amd64high level interface to Linux seccomp filter

  # docker start test_seccomp
  ## run test case
  # for i in `seq 1 40`; do (time sudo docker exec test_seccomp true &); done
  ...
  MAX TIME :
  real  0m3,650s
  user  0m0,025s
  sys   0m0,028s

  [Regression Potential]

  The first of the 2 patches cleans up the code that adds rules to a
  single filter without changing the logic of the code. The second patch
  introduces the idea of shadow transactions. On a successful
  transaction commit the old transaction checkpoint is preserved and is
  brought up to date with the current filter. The next time a new
  transaction starts, it checks is the a shadow transaction exist and if
  so the shadow is used instead of creating a new checkpoint from
  scratch [1]. This is the patch that mitigates the performance
  regression. Any potential regression will involve the parts of the
  code that add rules to filters and/or the code that creates and checks
  the shadow transactions.

  
  [Other]

  Affected releases : Groovy, Focal, Eoan, Bionic, Xenial.

  [1]
  
https://github.com/seccomp/libseccomp/pull/180/commits/bc3a6c0453b0350ee43e4925482f705a2fbf5a4d

To manage notifications about this bug go to:
https://bugs.launchpad.net/snapd/+bug/1861177/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1874953] Re: dpkg: conffile difference visualizer subprocess returned error exit status 127

2020-07-16 Thread Launchpad Bug Tracker
This bug was fixed in the package less - 551-1ubuntu0.1

---
less (551-1ubuntu0.1) focal; urgency=medium

  * On upgrade from packages that shipped less in both /bin and /usr/bin,
call update-alternatives in preinst, such that after unpacking,
/usr/bin/pager remains operational. This should resolve dpkg failing
to invoke pager by dpkg. LP: #1874953

 -- Brian Murray   Wed, 01 Jul 2020 16:25:13 -0700

** Changed in: less (Ubuntu Focal)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to less in Ubuntu.
https://bugs.launchpad.net/bugs/1874953

Title:
  dpkg: conffile difference visualizer subprocess returned error exit
  status 127

Status in dpkg package in Ubuntu:
  Invalid
Status in less package in Ubuntu:
  Fix Released
Status in smartmontools package in Ubuntu:
  Invalid
Status in dpkg source package in Focal:
  Invalid
Status in less source package in Focal:
  Fix Released
Status in smartmontools source package in Focal:
  Invalid
Status in dpkg source package in Groovy:
  Invalid
Status in less source package in Groovy:
  Fix Released
Status in smartmontools source package in Groovy:
  Invalid
Status in dpkg package in Debian:
  New
Status in less package in Debian:
  Fix Committed

Bug description:
  [Impact]
  During a release upgrade to Ubuntu 20.04 LTS some users are not able to view 
the differences made to a configuration file during the upgrade process. This 
creates a bad user experience and leads to extra crash reports.

  [Test Case]
  1) Upgrade from a not usr-merged system (Ubuntu 16.04 LTS) to Ubuntu 18.04 LTS
  2) Install the smartmontools package
  3) Edit /etc/default/smartmontools (it's enough to just add a comment in 
there)
  4) Upgrade to Ubuntu 20.04 LTS (this requires do-release-upgrade -d as 
20.04.1 is not out yet so release upgrades are not enabled)

  To test the fix in the version of less from focal-proposed some
  hackery of the release upgrader code will be necessary as it disables
  proposed during the upgrade process. After enabling -proposed for
  bionic you'll want to run do-release-upgrade -d, then cancel the
  upgrade. After which you can cd to /tmp/ubuntu-release-
  upgrader-$MKTMPDIR and edit DistUpgradeController.py and the if
  statement around line 641 re "Disable proposed on upgrade to a
  development release". Then run 'sudo ./focal'.

  [Regression Potential]
  None, as we are just calling update-alternatives in the preinst of less.

  
  Issue occurred on upgrade from 19.10 to 20.04

  ProblemType: PackageDistroRelease: Ubuntu 20.04
  Package: smartmontools 7.1-1build1
  ProcVersionSignature: Ubuntu 5.3.0-46.38-generic 5.3.18
  Uname: Linux 5.3.0-46-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  Date: Fri Apr 24 21:33:08 2020
  ErrorMessage: conffile difference visualizer subprocess returned error exit 
status 127
  InstallationDate: Installed on 2011-06-18 (3233 days ago)InstallationMedia: 
Ubuntu-Server 11.04 "Natty Narwhal" - Release amd64 (20110426)
  Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu2
  PythonDetails: /usr/bin/python2.7, Python 2.7.18rc1, python-is-python2, 
2.7.17-4
  RelatedPackageVersions:
   dpkg 1.19.7ubuntu3
   apt  2.0.2SourcePackage: smartmontools
  Title: package smartmontools 7.1-1build1 failed to install/upgrade: conffile 
difference visualizer subprocess returned error exit status 127
  UpgradeStatus: Upgraded to focal on 2020-04-25 (0 days ago)
  mtime.conffile..etc.default.smartmontools: 2017-12-08T19:12:02.064375
  mtime.conffile..etc.smartd.conf: 2017-12-08T20:27:28.727282

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/dpkg/+bug/1874953/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1887741] Re: Display flicker sometimes

2020-07-16 Thread cake
*** This bug is a duplicate of bug 1754284 ***
https://bugs.launchpad.net/bugs/1754284

When I mean by flickiering, I meant the display flashes on and off
There is no distortion graphically so I don't think tearing fits that 
description.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1887741

Title:
  Display flicker sometimes

Status in xorg package in Ubuntu:
  New

Bug description:
  It more likey flicker more if I watch someting in fullscreen or a
  certain image shown is and it starts to flicker a lot out of one
  where.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: xorg 1:7.7+19ubuntu7.1
  ProcVersionSignature: Ubuntu 4.15.0-101.102-generic 4.15.18
  Uname: Linux 4.15.0-101-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.15
  Architecture: amd64
  BootLog: Error: [Errno 13] Permission denied: '/var/log/boot.log'
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: None
  CurrentDesktop: LXDE
  Date: Thu Jul 16 03:28:48 2020
  DistUpgraded: 2020-06-09 01:37:47,812 DEBUG icon theme changed, re-reading
  DistroCodename: bionic
  DistroVariant: ubuntu
  GraphicsCard:
   Intel Corporation 4 Series Chipset Integrated Graphics Controller 
[8086:2e22] (rev 03) (prog-if 00 [VGA controller])
 Subsystem: Dell 4 Series Chipset Integrated Graphics Controller [1028:0439]
 Subsystem: Dell 4 Series Chipset Integrated Graphics Controller [1028:0439]
  InstallationDate: Installed on 2019-12-28 (200 days ago)
  InstallationMedia: Lubuntu 16.04.3 LTS "Xenial Xerus" - Release amd64 
(20170801)
  MachineType: Dell Inc. Inspiron 560
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.15.0-101-generic 
root=UUID=2c5b89f4-4126-404c-9d8f-3dea42f2847c ro quiet splash vt.handoff=1
  SourcePackage: xorg
  UpgradeStatus: Upgraded to bionic on 2020-06-09 (37 days ago)
  dmi.bios.date: 02/26/2010
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: A02
  dmi.board.name: 0K83V0
  dmi.board.vendor: Dell Inc.
  dmi.board.version: A00
  dmi.chassis.type: 3
  dmi.chassis.vendor: Dell Inc.
  dmi.chassis.version: Not Specified
  dmi.modalias: 
dmi:bvnDellInc.:bvrA02:bd02/26/2010:svnDellInc.:pnInspiron560:pvr00:rvnDellInc.:rn0K83V0:rvrA00:cvnDellInc.:ct3:cvrNotSpecified:
  dmi.product.family: 0
  dmi.product.name: Inspiron 560
  dmi.product.version: 00
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz N/A
  version.libdrm2: libdrm2 2.4.99-1ubuntu1~18.04.2
  version.libgl1-mesa-dri: libgl1-mesa-dri 19.2.8-0ubuntu0~18.04.3
  version.libgl1-mesa-glx: libgl1-mesa-glx 19.2.8-0ubuntu0~18.04.3
  version.xserver-xorg-core: xserver-xorg-core 2:1.19.6-1ubuntu4.4
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.5-1ubuntu1
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:18.0.1-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20171229-1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.15-2

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1887741/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1874953] Update Released

2020-07-16 Thread Łukasz Zemczak
The verification of the Stable Release Update for less has completed
successfully and the package is now being released to -updates.
Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to less in Ubuntu.
https://bugs.launchpad.net/bugs/1874953

Title:
  dpkg: conffile difference visualizer subprocess returned error exit
  status 127

Status in dpkg package in Ubuntu:
  Invalid
Status in less package in Ubuntu:
  Fix Released
Status in smartmontools package in Ubuntu:
  Invalid
Status in dpkg source package in Focal:
  Invalid
Status in less source package in Focal:
  Fix Committed
Status in smartmontools source package in Focal:
  Invalid
Status in dpkg source package in Groovy:
  Invalid
Status in less source package in Groovy:
  Fix Released
Status in smartmontools source package in Groovy:
  Invalid
Status in dpkg package in Debian:
  New
Status in less package in Debian:
  Fix Committed

Bug description:
  [Impact]
  During a release upgrade to Ubuntu 20.04 LTS some users are not able to view 
the differences made to a configuration file during the upgrade process. This 
creates a bad user experience and leads to extra crash reports.

  [Test Case]
  1) Upgrade from a not usr-merged system (Ubuntu 16.04 LTS) to Ubuntu 18.04 LTS
  2) Install the smartmontools package
  3) Edit /etc/default/smartmontools (it's enough to just add a comment in 
there)
  4) Upgrade to Ubuntu 20.04 LTS (this requires do-release-upgrade -d as 
20.04.1 is not out yet so release upgrades are not enabled)

  To test the fix in the version of less from focal-proposed some
  hackery of the release upgrader code will be necessary as it disables
  proposed during the upgrade process. After enabling -proposed for
  bionic you'll want to run do-release-upgrade -d, then cancel the
  upgrade. After which you can cd to /tmp/ubuntu-release-
  upgrader-$MKTMPDIR and edit DistUpgradeController.py and the if
  statement around line 641 re "Disable proposed on upgrade to a
  development release". Then run 'sudo ./focal'.

  [Regression Potential]
  None, as we are just calling update-alternatives in the preinst of less.

  
  Issue occurred on upgrade from 19.10 to 20.04

  ProblemType: PackageDistroRelease: Ubuntu 20.04
  Package: smartmontools 7.1-1build1
  ProcVersionSignature: Ubuntu 5.3.0-46.38-generic 5.3.18
  Uname: Linux 5.3.0-46-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27
  Architecture: amd64
  CasperMD5CheckResult: skip
  Date: Fri Apr 24 21:33:08 2020
  ErrorMessage: conffile difference visualizer subprocess returned error exit 
status 127
  InstallationDate: Installed on 2011-06-18 (3233 days ago)InstallationMedia: 
Ubuntu-Server 11.04 "Natty Narwhal" - Release amd64 (20110426)
  Python3Details: /usr/bin/python3.8, Python 3.8.2, python3-minimal, 
3.8.2-0ubuntu2
  PythonDetails: /usr/bin/python2.7, Python 2.7.18rc1, python-is-python2, 
2.7.17-4
  RelatedPackageVersions:
   dpkg 1.19.7ubuntu3
   apt  2.0.2SourcePackage: smartmontools
  Title: package smartmontools 7.1-1build1 failed to install/upgrade: conffile 
difference visualizer subprocess returned error exit status 127
  UpgradeStatus: Upgraded to focal on 2020-04-25 (0 days ago)
  mtime.conffile..etc.default.smartmontools: 2017-12-08T19:12:02.064375
  mtime.conffile..etc.smartd.conf: 2017-12-08T20:27:28.727282

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/dpkg/+bug/1874953/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1557157] Re: apparmor profile denied for saslauthd: /run/saslauthd/mux

2020-07-16 Thread Launchpad Bug Tracker
This bug was fixed in the package openldap - 2.4.49+dfsg-2ubuntu1.3

---
openldap (2.4.49+dfsg-2ubuntu1.3) focal; urgency=medium

  * d/apparmor-profile: Update apparmor profile to grant access to
the saslauthd socket, so that SASL authentication works.  (LP: #1557157)

 -- Sergio Durigan Junior   Fri, 12 Jun
2020 18:18:58 -0400

** Changed in: openldap (Ubuntu Focal)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openldap in Ubuntu.
https://bugs.launchpad.net/bugs/1557157

Title:
  apparmor profile denied for saslauthd: /run/saslauthd/mux

Status in openldap package in Ubuntu:
  Fix Released
Status in openldap source package in Trusty:
  Won't Fix
Status in openldap source package in Xenial:
  Fix Committed
Status in openldap source package in Bionic:
  Fix Committed
Status in openldap source package in Eoan:
  Fix Committed
Status in openldap source package in Focal:
  Fix Released
Status in openldap source package in Groovy:
  Fix Released

Bug description:
  [Impact]

  When using openldap with sasl authentication, the slapd process will
  communicate with the saslauthd daemon via a socket in
  {,/var}/run/saslauthd/mux. Unfortunately, this will fail in every
  Ubuntu release from trusty onwards, because slapd's apparmor profile
  doesn't contain the necessary directive to allow it to read/write
  from/to the socket specified above.

  The fix is simple: just add the necessary directive to allow slapd to
  read/write from/to the saslauthd socket.

  [Test Case]

  One can reproduce the problem by doing:

  $ lxc launch ubuntu-daily:groovy openldap-bugbug1557157-groovy
  $ lxc shell openldap-bugbug1557157-groovy
  # apt install slapd sasl2-bin ldap-utils apparmor-utils

  (As the domain name, use "example.com").

  # sed -i -e 's/^START=.*/START=yes/' /etc/default/saslauthd
  # cat > /etc/ldap/sasl2/slapd.conf << __EOF__
  mech_list: PLAIN
  pwcheck_method: saslauthd
  __EOF__
  # adduser openldap sasl
  # aa-enforce /etc/apparmor.d/usr.sbin.slapd
  # systemctl restart slapd.service
  # systemctl restart saslauthd.service
  # passwd root

  (You can choose any password here. You will need to type it when
  running the next command.)

  # ldapsearch -H ldapi:/// -LLL -b 'dc=example,dc=com' -s base -U root
  -Y PLAIN

  The command will fail with something like:

  ldap_sasl_interactive_bind_s: Other (e.g., implementation specific) error (80)
  additional info: SASL(-1): generic failure: Password verification 
failed

  [Regression Potential]

  This is an extremely simple and well contained fix, so I don't
  envision any possible regressions after applying it.  It is important
  noticing that, since the problem affects older Ubuntu releases, the
  openldap package will have to be rebuilt against possible newer
  versions of libraries and other depencencies, which, albeit unlikely,
  may cause issues.

  [Original Description]

  When using slapd with saslauthd the processes communicate via the
  {,/var}/run/saslauthd/mux socket (this is the default location for the
  saslauthd server from the sasl2-bin package in the
  /etc/default/saslauthd config), but the apparmor profile for
  usr.sbin.slapd does not allow access to this socket/file.

  Syslog message:
  apparmor="DENIED" operation="connect" profile="/usr/sbin/slapd" 
name="/run/saslauthd/mux" pid=1880
  4 comm="slapd" requested_mask="r" denied_mask="r" fsuid=108 ouid=0

  Please add the following line to  /etc/apparmor.d/usr.sbin.slapd:
  /{,var/}run/saslauthd/mux rw,

  Ubuntu version: Ubuntu 14.04.4 LTS
  slapd version: 2.4.31-1+nmu2ubu

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1557157/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1557157] Update Released

2020-07-16 Thread Łukasz Zemczak
The verification of the Stable Release Update for openldap has completed
successfully and the package is now being released to -updates.
Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openldap in Ubuntu.
https://bugs.launchpad.net/bugs/1557157

Title:
  apparmor profile denied for saslauthd: /run/saslauthd/mux

Status in openldap package in Ubuntu:
  Fix Released
Status in openldap source package in Trusty:
  Won't Fix
Status in openldap source package in Xenial:
  Fix Committed
Status in openldap source package in Bionic:
  Fix Committed
Status in openldap source package in Eoan:
  Fix Committed
Status in openldap source package in Focal:
  Fix Released
Status in openldap source package in Groovy:
  Fix Released

Bug description:
  [Impact]

  When using openldap with sasl authentication, the slapd process will
  communicate with the saslauthd daemon via a socket in
  {,/var}/run/saslauthd/mux. Unfortunately, this will fail in every
  Ubuntu release from trusty onwards, because slapd's apparmor profile
  doesn't contain the necessary directive to allow it to read/write
  from/to the socket specified above.

  The fix is simple: just add the necessary directive to allow slapd to
  read/write from/to the saslauthd socket.

  [Test Case]

  One can reproduce the problem by doing:

  $ lxc launch ubuntu-daily:groovy openldap-bugbug1557157-groovy
  $ lxc shell openldap-bugbug1557157-groovy
  # apt install slapd sasl2-bin ldap-utils apparmor-utils

  (As the domain name, use "example.com").

  # sed -i -e 's/^START=.*/START=yes/' /etc/default/saslauthd
  # cat > /etc/ldap/sasl2/slapd.conf << __EOF__
  mech_list: PLAIN
  pwcheck_method: saslauthd
  __EOF__
  # adduser openldap sasl
  # aa-enforce /etc/apparmor.d/usr.sbin.slapd
  # systemctl restart slapd.service
  # systemctl restart saslauthd.service
  # passwd root

  (You can choose any password here. You will need to type it when
  running the next command.)

  # ldapsearch -H ldapi:/// -LLL -b 'dc=example,dc=com' -s base -U root
  -Y PLAIN

  The command will fail with something like:

  ldap_sasl_interactive_bind_s: Other (e.g., implementation specific) error (80)
  additional info: SASL(-1): generic failure: Password verification 
failed

  [Regression Potential]

  This is an extremely simple and well contained fix, so I don't
  envision any possible regressions after applying it.  It is important
  noticing that, since the problem affects older Ubuntu releases, the
  openldap package will have to be rebuilt against possible newer
  versions of libraries and other depencencies, which, albeit unlikely,
  may cause issues.

  [Original Description]

  When using slapd with saslauthd the processes communicate via the
  {,/var}/run/saslauthd/mux socket (this is the default location for the
  saslauthd server from the sasl2-bin package in the
  /etc/default/saslauthd config), but the apparmor profile for
  usr.sbin.slapd does not allow access to this socket/file.

  Syslog message:
  apparmor="DENIED" operation="connect" profile="/usr/sbin/slapd" 
name="/run/saslauthd/mux" pid=1880
  4 comm="slapd" requested_mask="r" denied_mask="r" fsuid=108 ouid=0

  Please add the following line to  /etc/apparmor.d/usr.sbin.slapd:
  /{,var/}run/saslauthd/mux rw,

  Ubuntu version: Ubuntu 14.04.4 LTS
  slapd version: 2.4.31-1+nmu2ubu

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1557157/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1814302] Re: Quasselcore apparmor profile issue in lxd container.

2020-07-16 Thread Launchpad Bug Tracker
This bug was fixed in the package quassel - 1:0.13.1-3ubuntu2.1

---
quassel (1:0.13.1-3ubuntu2.1) focal; urgency=medium

  * d/usr.bin.quasselcore:
- Update apparmor profile to allow running in lxd (LP: #1814302)

 -- Dan Streetman   Sun, 28 Jun 2020 11:01:19
-0400

** Changed in: quassel (Ubuntu Focal)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor in Ubuntu.
https://bugs.launchpad.net/bugs/1814302

Title:
  Quasselcore apparmor profile issue in lxd container.

Status in AppArmor:
  Invalid
Status in apparmor package in Ubuntu:
  Invalid
Status in quassel package in Ubuntu:
  Fix Released
Status in apparmor source package in Bionic:
  Invalid
Status in quassel source package in Bionic:
  Fix Committed
Status in apparmor source package in Focal:
  Invalid
Status in quassel source package in Focal:
  Fix Released
Status in apparmor source package in Groovy:
  Invalid
Status in quassel source package in Groovy:
  Fix Released

Bug description:
  [impact]

  quasselcore cannot start inside lxd container

  [test case]

  create lxd container, install quassel-core, check quasselcore service:

  $ systemctl status quasselcore
  ● quasselcore.service - distributed IRC client using a central core component
   Loaded: loaded (/lib/systemd/system/quasselcore.service; enabled; vendor 
preset: enabled)
   Active: failed (Result: signal) since Tue 2020-06-30 18:32:40 UTC; 4s ago
 Docs: man:quasselcore(1)
  Process: 3853 ExecStart=/usr/bin/quasselcore --configdir=${DATADIR} 
--logfile=${LOGFILE} --loglevel=${LOGLEVEL} --port=${PORT} --listen=${LISTEN} 
(code=killed, signal=SEGV)
 Main PID: 3853 (code=killed, signal=SEGV)

  Jun 30 18:32:40 lp1814302-f systemd[1]: quasselcore.service: Scheduled 
restart job, restart counter is at 7.
  Jun 30 18:32:40 lp1814302-f systemd[1]: Stopped distributed IRC client using 
a central core component.
  Jun 30 18:32:40 lp1814302-f systemd[1]: quasselcore.service: Start request 
repeated too quickly.
  Jun 30 18:32:40 lp1814302-f systemd[1]: quasselcore.service: Failed with 
result 'signal'.
  Jun 30 18:32:40 lp1814302-f systemd[1]: Failed to start distributed IRC 
client using a central core component.

  
  Also, the binary will segfault when run directly due to apparmor denials:

  $ /usr/bin/quasselcore 
  Segmentation fault

  [760149.590802] audit: type=1400 audit(1593542073.962:1058):
  apparmor="DENIED" operation="file_mmap" namespace="root//lxd-
  lp1814302-f_" profile="/usr/bin/quasselcore"
  name="/usr/bin/quasselcore" pid=2006430 comm="quasselcore"
  requested_mask="r" denied_mask="r" fsuid=1000110 ouid=100

  [regression potential]

  this expands the apparmor profile, so any regression would likely
  involve problems while starting due to apparmor.

  [scope]

  this is needed for b/f/g.

  this is also needed for e, but that is EOL in weeks and this is not
  important enough to bother there.

  [original description]

  
  Fresh install of Ubuntu 18.04. lxd installed from snap. Fresh 18.04 
container. Everything up todate via apt.

  Install quassel-core. Service will not start.

  Set "aa-complain /usr/bin/quasselcore" allows quasselcore to start.

  I then added "/usr/bin/quasselcore rm," to
  "/etc/apparmor.d/usr.bin.quasselcore".

  Set "aa-enforce /usr/bin/quasselcore". Restarted main host.

  Quasselcore service now starts and I can connect to it.

To manage notifications about this bug go to:
https://bugs.launchpad.net/apparmor/+bug/1814302/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884326] Update Released

2020-07-16 Thread Łukasz Zemczak
The verification of the Stable Release Update for librsvg has completed
successfully and the package is now being released to -updates.
Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to librsvg in Ubuntu.
https://bugs.launchpad.net/bugs/1884326

Title:
  SRU the current 2.48.7 stable update

Status in librsvg package in Ubuntu:
  Fix Released
Status in librsvg source package in Focal:
  Fix Released

Bug description:
  * Impact
  That's the current GNOME stable update, which fixes a number of issues: 
https://gitlab.gnome.org/GNOME/librsvg/-/blob/librsvg-2.48/NEWS

  * Test case

  The update is part of GNOME stable updates
  https://wiki.ubuntu.com/StableReleaseUpdates/GNOME

  Smoke testing by opening SVG images with eog or importing them with
  gimp can be performed to ensure there are no regressions.

  * Regression potential

  This is a bugfix-only stable micro-release, however librsvg is a core
  component with a number of reverse dependencies. A combination of
  autopkgtests and manual smoke testing to try and detect SVG rendering
  issues should be performed.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1884326/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1884326] Re: SRU the current 2.48.7 stable update

2020-07-16 Thread Launchpad Bug Tracker
This bug was fixed in the package librsvg - 2.48.7-1ubuntu0.20.04.1

---
librsvg (2.48.7-1ubuntu0.20.04.1) focal; urgency=medium

  * SRU new upstream release to focal (LP: #1884326)

 -- Olivier Tilloy   Fri, 19 Jun 2020
23:19:37 +0200

** Changed in: librsvg (Ubuntu Focal)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to librsvg in Ubuntu.
https://bugs.launchpad.net/bugs/1884326

Title:
  SRU the current 2.48.7 stable update

Status in librsvg package in Ubuntu:
  Fix Released
Status in librsvg source package in Focal:
  Fix Released

Bug description:
  * Impact
  That's the current GNOME stable update, which fixes a number of issues: 
https://gitlab.gnome.org/GNOME/librsvg/-/blob/librsvg-2.48/NEWS

  * Test case

  The update is part of GNOME stable updates
  https://wiki.ubuntu.com/StableReleaseUpdates/GNOME

  Smoke testing by opening SVG images with eog or importing them with
  gimp can be performed to ensure there are no regressions.

  * Regression potential

  This is a bugfix-only stable micro-release, however librsvg is a core
  component with a number of reverse dependencies. A combination of
  autopkgtests and manual smoke testing to try and detect SVG rendering
  issues should be performed.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/librsvg/+bug/1884326/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885914] Update Released

2020-07-16 Thread Łukasz Zemczak
The verification of the Stable Release Update for ibus has completed
successfully and the package is now being released to -updates.
Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ibus in Ubuntu.
https://bugs.launchpad.net/bugs/1885914

Title:
  Drop obsolete Unicode patch

Status in ibus package in Ubuntu:
  Fix Released
Status in ibus source package in Focal:
  Fix Released

Bug description:
  [Impact]

  The Ubuntu 20.04 IBus version includes a patch, which was necessary in
  18.04 to make the Ctrl+Shift+u shortcut work, but which has become
  obsolete later. Currently it prevents users from replacing
  Ctrl+Shift+u with some other shortcut to avoid conflicts with other
  applications.

  See also:
  * Bug #1885749
  * https://github.com/ibus/ibus/issues/2163

  In the proposed upload that patch has been dropped.

  [Test Case]

  1. Launch ibus-setup and navigate to the Emoji tab.
  2. Change the Unicode code point shortcut to something else.
  3. Find that the original shortcut is still effective.
  4. Install the ibus packages from focal-proposed.
  5. Repeat 1. and 2.
  6. Find that the new shortcut works while the original
 shortcut no longer works.

  [Regression Potential]

  Important to confirm that the default Ctrl+Shift+u shortcut works as
  intended without the patch. Otherwise the regression risk should be
  low.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/1885914/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1885914] Re: Drop obsolete Unicode patch

2020-07-16 Thread Launchpad Bug Tracker
This bug was fixed in the package ibus - 1.5.22-2ubuntu2.1

---
ibus (1.5.22-2ubuntu2.1) focal; urgency=medium

  * debian/patches/ubuntu-unicode-keybinding.patch:
- Dropped (LP: #1885914)

 -- Gunnar Hjalmarsson   Wed, 01 Jul 2020 14:47:00
+0200

** Changed in: ibus (Ubuntu Focal)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ibus in Ubuntu.
https://bugs.launchpad.net/bugs/1885914

Title:
  Drop obsolete Unicode patch

Status in ibus package in Ubuntu:
  Fix Released
Status in ibus source package in Focal:
  Fix Released

Bug description:
  [Impact]

  The Ubuntu 20.04 IBus version includes a patch, which was necessary in
  18.04 to make the Ctrl+Shift+u shortcut work, but which has become
  obsolete later. Currently it prevents users from replacing
  Ctrl+Shift+u with some other shortcut to avoid conflicts with other
  applications.

  See also:
  * Bug #1885749
  * https://github.com/ibus/ibus/issues/2163

  In the proposed upload that patch has been dropped.

  [Test Case]

  1. Launch ibus-setup and navigate to the Emoji tab.
  2. Change the Unicode code point shortcut to something else.
  3. Find that the original shortcut is still effective.
  4. Install the ibus packages from focal-proposed.
  5. Repeat 1. and 2.
  6. Find that the new shortcut works while the original
 shortcut no longer works.

  [Regression Potential]

  Important to confirm that the default Ctrl+Shift+u shortcut works as
  intended without the patch. Otherwise the regression risk should be
  low.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ibus/+bug/1885914/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1814302] Update Released

2020-07-16 Thread Łukasz Zemczak
The verification of the Stable Release Update for quassel has completed
successfully and the package is now being released to -updates.
Subsequently, the Ubuntu Stable Release Updates Team is being
unsubscribed and will not receive messages about this bug report.  In
the event that you encounter a regression using the package from
-updates please report a new bug using ubuntu-bug and tag the bug report
regression-update so we can easily find any regressions.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor in Ubuntu.
https://bugs.launchpad.net/bugs/1814302

Title:
  Quasselcore apparmor profile issue in lxd container.

Status in AppArmor:
  Invalid
Status in apparmor package in Ubuntu:
  Invalid
Status in quassel package in Ubuntu:
  Fix Released
Status in apparmor source package in Bionic:
  Invalid
Status in quassel source package in Bionic:
  Fix Committed
Status in apparmor source package in Focal:
  Invalid
Status in quassel source package in Focal:
  Fix Committed
Status in apparmor source package in Groovy:
  Invalid
Status in quassel source package in Groovy:
  Fix Released

Bug description:
  [impact]

  quasselcore cannot start inside lxd container

  [test case]

  create lxd container, install quassel-core, check quasselcore service:

  $ systemctl status quasselcore
  ● quasselcore.service - distributed IRC client using a central core component
   Loaded: loaded (/lib/systemd/system/quasselcore.service; enabled; vendor 
preset: enabled)
   Active: failed (Result: signal) since Tue 2020-06-30 18:32:40 UTC; 4s ago
 Docs: man:quasselcore(1)
  Process: 3853 ExecStart=/usr/bin/quasselcore --configdir=${DATADIR} 
--logfile=${LOGFILE} --loglevel=${LOGLEVEL} --port=${PORT} --listen=${LISTEN} 
(code=killed, signal=SEGV)
 Main PID: 3853 (code=killed, signal=SEGV)

  Jun 30 18:32:40 lp1814302-f systemd[1]: quasselcore.service: Scheduled 
restart job, restart counter is at 7.
  Jun 30 18:32:40 lp1814302-f systemd[1]: Stopped distributed IRC client using 
a central core component.
  Jun 30 18:32:40 lp1814302-f systemd[1]: quasselcore.service: Start request 
repeated too quickly.
  Jun 30 18:32:40 lp1814302-f systemd[1]: quasselcore.service: Failed with 
result 'signal'.
  Jun 30 18:32:40 lp1814302-f systemd[1]: Failed to start distributed IRC 
client using a central core component.

  
  Also, the binary will segfault when run directly due to apparmor denials:

  $ /usr/bin/quasselcore 
  Segmentation fault

  [760149.590802] audit: type=1400 audit(1593542073.962:1058):
  apparmor="DENIED" operation="file_mmap" namespace="root//lxd-
  lp1814302-f_" profile="/usr/bin/quasselcore"
  name="/usr/bin/quasselcore" pid=2006430 comm="quasselcore"
  requested_mask="r" denied_mask="r" fsuid=1000110 ouid=100

  [regression potential]

  this expands the apparmor profile, so any regression would likely
  involve problems while starting due to apparmor.

  [scope]

  this is needed for b/f/g.

  this is also needed for e, but that is EOL in weeks and this is not
  important enough to bother there.

  [original description]

  
  Fresh install of Ubuntu 18.04. lxd installed from snap. Fresh 18.04 
container. Everything up todate via apt.

  Install quassel-core. Service will not start.

  Set "aa-complain /usr/bin/quasselcore" allows quasselcore to start.

  I then added "/usr/bin/quasselcore rm," to
  "/etc/apparmor.d/usr.bin.quasselcore".

  Set "aa-enforce /usr/bin/quasselcore". Restarted main host.

  Quasselcore service now starts and I can connect to it.

To manage notifications about this bug go to:
https://bugs.launchpad.net/apparmor/+bug/1814302/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp